<TeXmacs|1.0.7.20>

<style|tmdoc>

<\body>
  <tmdoc-title|Usar el estilo tmdoc>

  Adems de los macros de <hlink|informacin de copyright|copyright.es.tm> y
  <hlink|macros transversales|traversal.es.tm>, los cuales han sido
  docuementados antes, el estilo <tmstyle|tmdoc> viene con cierto nmero de
  otros macros y funciones, las cuales usted debe usar cuando sea apropiado:

  <\explain|<markup|key>>
    Este macro es usado para indicar una entrada de teclado como
    <shortcut|(save-buffer)>. Los macros especializados <markup|kbd-gen>,
    <markup|kbd-text>, <markup|kbd-math>, <markup|kbd-symb>,
    <markup|kbd-big>, <markup|kbd-large>, <markup|kbd-ia>, <markup|kbd-exec>
    y <markup|kbd-table> son usados para entradas de teclado correspondientes
    a tipos especficos de accin o modos. Por ejemplo, <markup|kbd-math>
    corresponde a atajos de teclado para operaciones matemticas, tales como
    <key|math f>, el cual inicia una fraccin.
  </explain>

  <\explain|<markup|menu>>
    Esta funcin con un nmero arbitrario de argumentos indica un men como
    <menu|File> o <menu|Document|Language>. Las entradas de menu con
    automticamente traducidas por esta funcin.
  </explain>

  <\explain|<markup|markup>>
    Esta macro es usado a fin de indicar un macro o una funcin como
    <markup|section>.
  </explain>

  <\explain|<markup|tmstyle>>
    Este macro indica el nombre de un archivo estilo <TeXmacs> o un paquete
    como <tmstyle|article>.
  </explain>

  <\explain|<markup|tmpackage>>
    Este macro indica el nombre de un paquete <TeXmacs> como
    <tmpackage|std-markup>.
  </explain>

  <\explain|<markup|tmdtd>>
    Este macro indica de un <abbr|d.t.d.> de <TeXmacs> like
    <tmdtd|number-env>.
  </explain>

  Note que los contenidos de ninguna de las etiquetas de arriba deben ser
  traducidos a lenguajes extrangeros. De hecho, para etiquetas de men, las
  traducciones son hechas automticamente, as se mantienen sincronizadas con
  las traducciones en los menus acutales de <TeXmacs>. En los casos de
  etiquetas, estilos, paquetes y <abbr|d.t.d.>s, es importante mantener el
  nombre original, porque a menudo corresponde a un nombre de archivo.

  Los siguientes macros y funciones son usadas para propsitos de enlace e
  indexacin, aunque ellos deben ser mejorados en el futuro:

  <\explain|<markup|simple-link>>
    Este macro toma una URL <math|x> como argumento y es un hiperenlace con
    un nombre y destinacin <math|x>.
  </explain>

  <\explain|<markup|hyper-link>>
    Este macro is un hiperenlace usual.
  </explain>

  <\explain|<markup|concept-link>>
    Este macro toma un concepto como argumento. Despus un hiperenlace
    apropriado podra ser creado automaticamente desde esta y la otra
    documentacin.
  </explain>

  <\explain|<markup|only-index>>
    Indexa una cadena simple.
  </explain>

  <\explain|<markup|def-index>>
    Definicin de un nuevo concepto; el texto es impreso en itlica e
    indexado.
  </explain>

  <\explain|<markup|re-index>>
    Reaparicin de un concepto ya definido; el texto es impreso en romano y
    puesto en el ndice.
  </explain>

  Las siguientes etiquetas son tambin frecuentemente usadas:

  <\explain|<markup|icon>>
    Enlace a un icono en un directorio central como
    <verbatim|$TEXMACS_PATH/doc/images/pixmaps>.
  </explain>

  <\explain|<markup|screenshot>>
    Enlace a una captura de pantalla. Las capturas de pantalla actuales son
    almacenadas en un directorio central como
    <verbatim|$TEXMACS_PATH/doc/images/screenshots>.
  </explain>

  <\explain|<markup|scheme>>
    El lenguage <scheme>.
  </explain>

  <\explain|<markup|framed-fragment>>
    Para mostrar un pedazo de cdigo en un marco agradable.
  </explain>

  <\explain|<markup|scheme-fragment>>
    Para cdigo <scheme> multi-prrafo.
  </explain>

  <\explain|<markup|tm-fragment>>
    Para un pedazos de etiquetas de cdigo <TeXmacs> en formato <scheme>.
  </explain>

  <\explain|<markup|descriptive-table>>
    Para tablas descriptivas; tales tablas pueden ser usadas para documentar
    listas de atajos de teclado, diferentes tipos de etiquetas, etc.
  </explain>

  El estilo <tmstyle|tmdoc> herededa de el estilo <tmstyle|generic> y usted
  debe usar macros como <markup|em>, <markup|verbatim>, <markup|itemize>,
  <abbr|etc.> para este estilo donde sea apropiado.

  <tmdoc-copyright|1998--2002|Joris van der Hoeven, Offray Vladimir Luna
  Crdenas>

  <tmdoc-license|Se garantiza el permiso para copiar, distribuir y/o
  modificar este documento bajo los terminos de la GNU Free Documentation
  License, Versin 1.1 o cualquier versin posterior publicada por la Free
  Software Foundation; sin Secciones Invariantes, sin Textos de Portada, y
  sin Textos de Contraportada. Una copia de la licencia est incluida en la
  seccin titulada "GNU Free Documentation License".>

  <tmdoc-license|Permission is granted to copy, distribute and/or modify this
  document under the terms of the GNU Free Documentation License, Version 1.1
  or any later version published by the Free Software Foundation; with no
  Invariant Sections, with no Front-Cover Texts, and with no Back-Cover
  Texts. A copy of the license is included in the section entitled "GNU Free
  Documentation License".>
</body>

<\initial>
  <\collection>
    <associate|language|spanish>
  </collection>
</initial>