<TeXmacs|1.0.4.2>

<style|tmdoc>

<\body>
  <tmdoc-title|<translate|standard length units|english|german>>

  Die Bltter von <TeXmacs> - Bumen enthalten entweder normalen Text oder
  spezielle Daten. \ <TeXmacs> kennt die folgenden atomaren Datentypen:

  <\description>
    <item*|Boolesche Zahlen>Entweder <verbatim|true> oder <verbatim|false>
    (richtig, falsch - ja, nein).

    <item*|Ganzzahl>Folge von Ziffern, vor denen ein Plus- oder Minus-Zeichen
    stehen darf.

    <item*|Gleitpunktzahlen>Zahlen mit Dezimalpunkt in der blichen
    wissenschaftlichen Darstellung.

    <item*|Lngen>Gleitpunktzahl gefolgt von einer Lngeneinheit z. B.
    <verbatim|29.7cm> oder <verbatim|2fn>.
  </description>

  In diesem Abschnitt besprechen wir die <TeXmacs> - Lngeneinheiten.

  Es gibt zwei prinzipiell verschiedene Arten von Lngeneinheiten/Lngen:
  fixe Lngeneinheiten und Kontext-abhngige Lngeneinheiten. Fixe
  Lngeneinheiten sind die blichen Lngeneinheiten: ihre Lnge auf dem
  Bildschirm oder dem Papier ist vorgegeben und unvernderlich. Die Lnge
  Kontext-abhngiger Einheiten wird dagegen den vorliegenden Gegebenheiten
  angepasst. Solche knnen beispielsweise Schriftart und Schriftgre sein.

  Einige der variablen Lngeneinheiten sind <em|dehnbar>. Drei Kennzahlen
  charakterisieren eine <em|dehnbare> Lnge: die minimale Lnge, die
  Vorgabelnge und die maximale Lnge. Wenn Zeilen oder Seiten im Blocksatz
  umgebrochen werden, werden <em|dehnbare Lngen> so angepasst, dass ein
  optimales Druckbild entsteht.\ 

  Im Fall des Seitenumbruchs erlaubt die <src-var|page-flexibility> -
  Umgebung eine zustzliche Steuerung der Dehnbarkeit von Leerrumen. Setzt
  man die <src-var|page-flexibility> auf <with|mode|math|1>, so verhlt sich
  dehnbarer Leerraum wie gewohnt. Wird die <src-var|page-flexibility> dagegen
  auf <with|mode|math|0> gesetzt, dann werden dehnbare Lngen
  <em|<strong|fix><strong|>>. Andere Werte beeinflussen das Verhalten linear.

  <paragraph*|Fixe Lngeneinheiten>

  <\description>
    <item*|<code*|cm>>1 Zentimeter.

    <item*|<code*|mm>>1 Millimeter.

    <item*|<code*|in>>1 inch (Zoll).

    <item*|<code*|pt>>1 typographischer Punkt: 1/72 inch = 0.353 mm.
  </description>

  <paragraph*|kontext-abhngige Lngeneinheiten>

  <\description>
    <item*|<code*|fn>>Die Nenngre der Schrift. Typischerweise sind die
    Basislinien zweier aufeinander folgender Zeilen durch den Abstand
    <verbatim|1fn> getrennt (in <TeXmacs> und <LaTeX> wird ein geringfgig
    grerer Abstand benutzt, um obere und untere Indices besser darstellen
    zu knnen. Die Dehnbarkeit liegt fr 1fn zwischen <verbatim|0.5fn> und
    <verbatim|1.5fn>.

    <item*|<verbatim|fn*>>Ist eine Variante von <verbatim|fn>, mit der
    Vorgabelnge Null, die aber bis <verbatim|1fn> gedehnt werden kann.

    <item*|<code*|spc>>Die dehnbare Breite eines Leerzeichens in der
    aktuellen Schrift.

    <item*|<verbatim|ex>>Die Hhe des Buchstabens ``x'' in der aktuellen
    Schrift.\ 

    <item*|<code*|ln>>Die Breite eines gut aussehenden Bruchstrichs in der
    aktuellen Schrift.

    <item*|<verbatim|yfrac>>Der Abstand eines Bruchstrichs von der Basislinie
    in der aktuellen Schrift. <line-break>(ungefhr <verbatim|0.5ex>).

    <item*|<code*|sep>>Ein typischer Abstand zwischen Text und Graphik in der
    aktuellen Schrift, der bentigt wird, um den Text lesbar darzustellen.
    Beispielsweise wird der Zhler eines Bruchs um den Betrag <verbatim|1sep>
    nach oben gesetzt.
  </description>

  <paragraph*|weitere Lngeneinheiten>

  <\description>
    <item*|<code*|par>>Die zulssige Text-breite in einem Absatz. Sie hngt
    von der Papiergre, den Rndern, der Spaltenzahl, dem Spaltenabstand
    usw. ab.\ 

    <item*|<verbatim|pag>>Die Lnge des Haupt-Textes einer Seite. hnlich wie
    \ <verbatim|par>, wird diese Lngeneinheit von der Papiergre, den
    Rndern usw. beeinflusst.

    <item*|<code*|px>>1 Bildschirm-Pixel. Diese Lngeneinheit hngt von der
    Bildschirmauflsung ab, die \ <TeXmacs> vom X Server beim Start
    mitgeteilt bekommt.

    <item*|<code*|unit>>px/256. Diese Lngeneinheit wird von <TeXmacs> intern
    fr Lngenberechnungen benutzt.
  </description>

  <tmdoc-copyright|2004|Joris van der Hoeven>

  <tmdoc-license|Permission is granted to copy, distribute and/or modify this
  document under the terms of the GNU Free Documentation License, Version 1.1
  or any later version published by the Free Software Foundation; with no
  Invariant Sections, with no Front-Cover Texts, and with no Back-Cover
  Texts. A copy of the license is included in the section entitled "GNU Free
  Documentation License".>
</body>

<\initial>
  <\collection>
    <associate|language|german>
    <associate|preamble|false>
  </collection>
</initial>