<TeXmacs|1.0.4.5>

<style|tmdoc>

<\body>
  <tmdoc-title|Eigene Plugins schreiben>

  Um ein Plugin <verbatim|<em|myplugin>> zuschreiben, sollten Sie zuerst ein
  Verzeichnis erstellen

  <\verbatim>
    \ \ \ \ $TEXMACS_HOME_PATH/plugins/<em|myplugin>
  </verbatim>

  das Sie alle notwendigen Dateien enthalten wird. Denken Sie bitte daran,
  dass der <verbatim|$TEXMACS_HOME_PATH> gem Vorgabe
  <verbatim|$HOME/.TeXmacs> ist. Zustzlich knnen Sie die folgenden
  Verzeichnisse erzeugen, falls Sie sie brauchen sollten:

  <\description-dash>
    <item*|<verbatim|bin>>Fr Binrdateien.

    <item*|<verbatim|doc>>Fr die Dokumentation (noch nicht untersttzt).

    <item*|<verbatim|langs>>Fr Sprach-Dateien wie z.B. Wrterbcher (noch
    nicht untersttzt).

    <item*|<verbatim|lib>>Fr Bibliotheken.

    <item*|<verbatim|packages>>Fr Stil-Pakete.

    <item*|<verbatim|progs>>Fr <value|scheme>-Programme.

    <item*|<verbatim|src>>Fr Quellcode.

    <item*|<verbatim|styles>>Fr Stil-Definitionen.
  </description-dash>

  Generell gilt, Dateien, die sich in diesen Verzeichnissen befinden, werden
  automatisch erkannt, wenn <TeXmacs> startet. Wenn z.B. ein <verbatim|bin>
  Unterverzeichnis existiert, dann wird

  <\verbatim>
    \ \ \ \ $TEXMACS_HOME_PATH/plugins/<em|myplugin>/bin
  </verbatim>

  automatisch zu der <verbatim|PATH>-Kontext-Variablen hinzugefgt. Beachten
  Sie, dass die Verzeichnisstruktur eines Plugins derjenigen von
  <verbatim|$TEXMACS_PATH> hnelt.

  <\example>
    Der simpelste Typ von Plugins besteht nur aus Daten-Dateien, wie z.B.
    einer Sammlung von Stil-Definitionen und Stil-Paketen. Dazu gengt es,
    die Verzeichnisse

    <\verbatim>
      \ \ \ \ $TEXMACS_HOME_PATH/plugins/<em|myplugin>

      \ \ \ \ $TEXMACS_HOME_PATH/plugins/<em|myplugin>/styles

      \ \ \ \ $TEXMACS_HOME_PATH/plugins/<em|myplugin>/packages
    </verbatim>

    herzustellen und die Dateien in die entsprechenden Verzeichnisse zu
    kopieren. Danach werden diese automatisch nach einem Neu-Start von
    <TeXmacs>, in den Mens <menu|Document|Style> bzw. <menu|Document|Use
    package> erscheinen.
  </example>

  Komplexere Plugins, wie z.B. Plugins mit zustzlichem <value|scheme> oder
  <value|cpp> Code muss man meist noch eine
  <value|scheme>-Konfigurations-Datei erstellen

  <\verbatim>
    \ \ \ \ $TEXMACS_HOME_PATH/plugins/<em|myplugin>/progs/init-<em|myplugin>.scm
  </verbatim>

  Diese Konfigurations-Datei sollte eine Anweisung der folgenden Form

  <\scheme-fragment>
    (plugin-configure <em|myplugin>

    \ \ <em|configuration-options>)
  </scheme-fragment>

  enthalten. Darin beschreiben <verbatim|<em|configuration-options>> die
  Ttigkeiten, die beim Start durchzufhren sind, einschlielich der Frage,
  ob der Code in Ordnung ist. In den nachfolgenden Abschnitten werden wir
  anhand von einfachen Beispielen dir Arbeitsweise und die Programmierung von
  Plugins erlutern. Viele weitere Beispiele finden Sie unter

  <\verbatim>
    \ \ \ \ $TEXMACS_PATH/examples/plugins

    \ \ \ \ $TEXMACS_PATH/plugins
  </verbatim>

  Einige werden eingehender im Kapitel ber
  <hyper-link|Schnittstellen|../interface/interface.de.tm> beschrieben.

  <tmdoc-copyright|1998--2002|Joris van der Hoeven>

  <tmdoc-license|Permission is granted to copy, distribute and/or modify this
  document under the terms of the GNU Free Documentation License, Version 1.1
  or any later version published by the Free Software Foundation; with no
  Invariant Sections, with no Front-Cover Texts, and with no Back-Cover
  Texts. A copy of the license is included in the section entitled "GNU Free
  Documentation License".>
</body>

<\initial>
  <\collection>
    <associate|language|german>
    <associate|preamble|false>
  </collection>
</initial>