<TeXmacs|1.0.4.2>

<style|<tuple|tmdoc|number-europe>>

<\body>
  <tmdoc-title|Zhler und Zhlergruppen>

  <TeXmacs> benutzt zum automatischen Nummerieren von Abschnitten, Stzen
  usw. Zhler \Rcounter''. Solche Zhler knnen individuelle Zhler sein wie
  z.B. <src-var|equation-nr> oder zu einer Gruppe hnlicher Zhler gehren
  wie etwa <src-var|theorem-nr>. <TeXmacs> erlaubt die Anpassung von Zhlern
  auf individueller oder auf Gruppenbasis. Man kann die Darstellung des
  Zhlers ndern, diesen beispielsweise mit rmischen Zahlen ausgeben, oder
  man kann spezielle Aktionen durchfhren, dem Zhler z.B. erhhen oder einen
  Unterzhler neu initialisieren.

  Neue individuelle Zhler knnen mit dem folgenden Makro definiert werden:

  <\explain|<explain-macro|new-counter|x>>
    definiert einen neuen Zhler mit dem Namen <src-arg|x>. Der Zhler wird
    in dem numerischen Kontext <src-var|x-nr> gespeichert. Gleichzeitig
    werden die folgenden Makros erzeugt:

    <\explain|<explain-macro|the-<em|x>>>
      Greife auf den Zhler zu, so wie er auf dem Bildschirm erscheint.
    </explain>

    <\explain|<explain-macro|reset-<em|x>>>
      Setze den Zhler auf 0.
    </explain>

    <\explain|<explain-macro|inc-<em|x>>>
      Inkrementiere den Zhler um 1. Dieses Makro kann so gendert werden,
      dass es auch andere Zhler inkrementiert, auch wenn das so in den
      Standard-Stil-Definitionen nicht gemacht wird.
    </explain>

    <\explain|<explain-macro|next-<em|x>>>
      Inkrementiere den Zhler um 1, zeige den Zhler auf dem Bildschirm und
      setze das aktuelle Label.
    </explain>

    Um Anpassungen zu erleichtern, definiert <markup|new-counter> zustzlich
    die folgenden beiden Makros:

    <\explain|<explain-macro|display-<em|x>|nr>>
      Dieses Makro transformiert den numerischen Wert des Zhlers in
      denjenigen, der auf dem Bildschirm gezeigt wird.
    </explain>

    <\explain|<explain-macro|counter-<em|x>|x>>
      Dieses interne Makro gibt den Namen desjenigen Kontexts zurck, dem der
      Zhler angehrt. Normalerweise ist dies \Rnr-x'', es kann aber auch
      umdefiniert worden sein, wenn der Zhler zu einer Gruppe gehrt.
    </explain>
  </explain>

  Wie bereits gesagt benutzt <TeXmacs> <em|Zhlergruppen>, um hnliche Zhler
  auf hnliche Weise zu behandeln. Z.B. gehren zu Zhlergruppe
  <verbatim|theorem-env> die Zhler <verbatim|theorem>,
  <verbatim|proposition>, <verbatim|lemma>, <abbr|usw.>. Man definiert neue
  Zhlergruppen werden mit:

  <\explain|<explain-macro|new-counter-group|g>>
    erzeugt eine neue Zhlergruppe mit dem Namen <src-arg|g> und gleichzeitig
    folgende Makros:

    <\explain>
      <explain-macro|display-in-<em|g>|x|nr>

      <explain-macro|counter-in-<em|g>|x>
    <|explain>
      Diese Makros verhalten sich analog zu den oben beschriebenen Makros
      <markup|display-<em|x>> und <markup|counter-<em|x>> jedoch fr Zhler
      der Gruppe <src-arg|g>. Sie bernehmen als Argument den Namen
      <src-arg|x> des Zhlers.
    </explain>
  </explain>

  Neue Zhler knnen zur Gruppe zugefgt werden mit:

  <\explain|<explain-macro|add-to-counter-group|x|g>>
    Damit wird ein neuer Zhler <src-arg|x> definiert und zur Gruppe
    <src-arg|g> hinzugefgt. Die Rolle der Makros \ <markup|display-<em|x>>
    und <markup|counter-<em|x>> wird bei Gruppen von den Makros
    <markup|display-in-<em|g>> und <markup|counter-in-<em|g>> bernommen.
    Zustzlich werden aber zwei weitere Makros definiert
    <markup|ind-display-<em|x>> und <markup|ind-counter-<em|x>>, die die
    Rolle von <markup|display-<em|x>> und <markup|counter-<em|x>> in
    denjenigen Fllen bernimmt, in denen die Gruppe aus individuellen
    Zhlern besteht.
  </explain>

  Jederzeit kann man entscheiden, ob die Zhler einer Gruppe einen
  gemeinsamen Gruppenzhler oder sie individuelle Zhler benutzt. Dies wird
  z.B. gebraucht, wenn man zwischen dem Amerikanischen Nummerierungsstil und
  dem europischen wechselt:

  <\explain|<explain-macro|group-common-counter|g>>
    Benutze einen gemeinsamen Zhler fr die Zhlergruppe. Dieser wird in der
    Kontextvariablen <src-var|g-nr> gespeichert.
  </explain>

  <\explain|<explain-macro|group-individual-counters|g>>
    Benutze einen individuellen Zhler fr jedes Gruppenmitglied. Das ist die
    Vorgabe.
  </explain>

  Es sei darauf hingewiesen, dass Gruppenzhler rekursiv zu Obergruppen
  gehren knnen. Das zeigen z.B. die folgenden Ausdrcke aus
  <verbatim|env-base.ts>:

  <\tm-fragment>
    <\inactive*>
      <new-counter-group|std-env>
    </inactive*>

    <inactive*|<new-counter-group|theorem-env>>

    <inactive*|<add-to-counter-group|theorem-env|std-env>>

    <inactive*|<group-common-counter|theorem-env>>
  </tm-fragment>

  <tmdoc-copyright|1998--2004|Joris van der Hoeven>

  <tmdoc-license|Permission is granted to copy, distribute and/or modify this
  document under the terms of the GNU Free Documentation License, Version 1.1
  or any later version published by the Free Software Foundation; with no
  Invariant Sections, with no Front-Cover Texts, and with no Back-Cover
  Texts. A copy of the license is included in the section entitled "GNU Free
  Documentation License".>
</body>

<\initial>
  <\collection>
    <associate|language|german>
  </collection>
</initial>