<TeXmacs|1.99.14>

<style|<tuple|generic|chinese|old-dots|old-lengths>>

<\body>
  <doc-data|<doc-title|The C++ Language>>

  <section|Syntax Highlight>

  <subsection|<hlink|Identifiers|https://en.cppreference.com/w/cpp/language/identifiers>>

  <subsection|Numbers>

  <\cpp-code>
    // decimal-literal integer-suffix(optional)

    10, 10u, 10U, 10l, 10ll, 10L, 10LL, 1010LL, 10ul, 10UL, 10ull, 10ULL

    // octal-literal integer-suffix(optional)

    010, 010l, 010ll, 010L, 010LL, 010ul, 010UL, 010ull, 010ULL

    // hex-literal integer-suffix(optional)

    0x10, 0x10l, 0x10ll, 0x10L, 0x10LL, 0x10ul, 0x10UL, 0x10ull, 0x10ULL

    0X10, 0X10l, 0X10ll, 0X10L, 0X10LL, 0X10ul, 0X10UL, 0X10ull, 0X10ULL

    // binary-literal integer-suffix(optional)

    0b10, 0b10l, 0b10ll, 0b10L, 0b10LL, 0b10ul, 0b10UL, 0b10ull, 0b10ULL

    0B10, 0B10l, 0B10ll, 0B10L, 0B10LL, 0B10ul, 0B10UL, 0B10ull, 0B10ULL
  </cpp-code>

  <subsection|Preprocessor>

  <\cpp-code>
    #include \<less\>stdio.h\<gtr\>

    #define PI 3.14
  </cpp-code>

  <section|References>

  <\itemize>
    <item><hlink|integer literal of the C++
    Language|https://en.cppreference.com/w/cpp/language/integer_literal>

    <item><hlink|floating point literal of the C++
    Language|https://en.cppreference.com/w/cpp/language/floating_literal>
  </itemize>
</body>

<initial|<\collection>
</collection>>

<\references>
  <\collection>
    <associate|auto-1|<tuple|1|?>>
    <associate|auto-2|<tuple|1.1|?>>
    <associate|auto-3|<tuple|1.2|?>>
    <associate|auto-4|<tuple|1.3|?>>
    <associate|auto-5|<tuple|2|?>>
  </collection>
</references>

<\auxiliary>
  <\collection>
    <\associate|toc>
      <vspace*|1fn><with|font-series|<quote|bold>|math-font-series|<quote|bold>|1<space|2spc>Syntax
      Highlight> <datoms|<macro|x|<repeat|<arg|x>|<with|font-series|medium|<with|font-size|1|<space|0.2fn>.<space|0.2fn>>>>>|<htab|5mm>>
      <no-break><pageref|auto-1><vspace|0.5fn>

      <with|par-left|<quote|1tab>|1.1<space|2spc><locus|<id|%31959D908-318D59A08>|<link|hyperlink|<id|%31959D908-318D59A08>|<url|https://en.cppreference.com/w/cpp/language/identifiers>>|Identifiers>
      <datoms|<macro|x|<repeat|<arg|x>|<with|font-series|medium|<with|font-size|1|<space|0.2fn>.<space|0.2fn>>>>>|<htab|5mm>>
      <no-break><pageref|auto-2>>

      <with|par-left|<quote|1tab>|1.2<space|2spc>Numbers
      <datoms|<macro|x|<repeat|<arg|x>|<with|font-series|medium|<with|font-size|1|<space|0.2fn>.<space|0.2fn>>>>>|<htab|5mm>>
      <no-break><pageref|auto-3>>

      <vspace*|1fn><with|font-series|<quote|bold>|math-font-series|<quote|bold>|2<space|2spc>References>
      <datoms|<macro|x|<repeat|<arg|x>|<with|font-series|medium|<with|font-size|1|<space|0.2fn>.<space|0.2fn>>>>>|<htab|5mm>>
      <no-break><pageref|auto-4><vspace|0.5fn>
    </associate>
  </collection>
</auxiliary>