
;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
;;
;; MODULE      : koi8-kbd.scm
;; DESCRIPTION : typing russian using the koi8 keyboard encoding
;; COPYRIGHT   : (C) 1999-2001  Joris van der Hoeven and Andrey Grozin
;;
;; This software falls under the GNU general public license version 3 or later.
;; It comes WITHOUT ANY WARRANTY WHATSOEVER. For details, see the file LICENSE
;; in the root directory or <http://www.gnu.org/licenses/gpl-3.0.html>.
;;
;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;

(texmacs-module (text cyrillic koi8-kbd)
  (:use (text text-kbd)))

(kbd-map
  (:mode in-cyrillic-koi8?)

  ("<#411>" "<#430>")
  ("<#412>" "<#431>")
  ("<#427>" "<#432>")
  ("<#417>" "<#433>")
  ("<#414>" "<#434>")
  ("<#415>" "<#435>")
  ("<#426>" "<#436>")
  ("<#42A>" "<#437>")
  ("<#419>" "<#438>")
  ("<#41A>" "<#439>")
  ("<#41B>" "<#43A>")
  ("<#41C>" "<#43B>")
  ("<#41D>" "<#43C>")
  ("<#41E>" "<#43D>")
  ("<#41F>" "<#43E>")
  ("<#420>" "<#43F>")
  ("<#422>" "<#440>")
  ("<#423>" "<#441>")
  ("<#424>" "<#442>")
  ("<#425>" "<#443>")
  ("<#416>" "<#444>")
  ("<#418>" "<#445>")
  ("<#413>" "<#446>")
  ("<#42E>" "<#447>")
  ("<#42B>" "<#448>")
  ("<#42D>" "<#449>")
  ("<#42F>" "<#44A>")
  ("<#429>" "<#44B>")
  ("<#428>" "<#44C>")
  ("<#42C>" "<#44D>")
  ("<#410>" "<#44E>")
  ("<#421>" "<#44F>")
  ("" "<#451>")
  ("accent:umlaut <#415>" "<#451>")

  ("<#431>" "<#410>")
  ("<#432>" "<#411>")
  ("<#447>" "<#412>")
  ("<#437>" "<#413>")
  ("<#434>" "<#414>")
  ("<#435>" "<#415>")
  ("<#446>" "<#416>")
  ("<#44A>" "<#417>")
  ("<#439>" "<#418>")
  ("<#43A>" "<#419>")
  ("<#43B>" "<#41A>")
  ("<#43C>" "<#41B>")
  ("<#43D>" "<#41C>")
  ("<#43E>" "<#41D>")
  ("<#43F>" "<#41E>")
  ("<#440>" "<#41F>")
  ("<#442>" "<#420>")
  ("<#443>" "<#421>")
  ("<#444>" "<#422>")
  ("<#445>" "<#423>")
  ("<#436>" "<#424>")
  ("<#438>" "<#425>")
  ("<#433>" "<#426>")
  ("<#44E>" "<#427>")
  ("<#44B>" "<#428>")
  ("<#44D>" "<#429>")
  ("<#44F>" "<#42A>")
  ("<#449>" "<#42B>")
  ("<#448>" "<#42C>")
  ("<#44C>" "<#42D>")
  ("<#430>" "<#42E>")
  ("<#441>" "<#42F>")
  ("" "<#401>")
  ("accent:umlaut <#435>" "<#401>"))
