<TeXmacs|1.0.1.18>

<style|<tuple|tmdoc|maxima>>

<\body>
  <\expand|tmdoc-title>
    Utilizzare sessioni di Yacas in <TeXmacs>
  </expand>

  Come indica il nome, <name|Yacas>  un altro sistema di computer algebrais
  (Yet Another CAS). Esso pu essere scaricato da

  <\verbatim>
    \ \ \ \ http://www.xs4all.nl/~apinkus/yacas.html
  </verbatim>

  Si pu dare inizio ad una sessione di <name|Yacas> usando
  <apply|menu|Insert|Session|Yacas>. Qui di seguito riportiamo una breve
  sessione dimostrativa:

  <\session|yacas|defau>
    <\output>
      \;
    </output>

    <\input|yacas] >
      f(x):= x+Sin(x);
    </input>

    <\output>
      <\with|mode|math>
        <with|math font family|rm|True>
      </with>
    </output>

    <\input|yacas] >
      D(x) f(x);
    </input>

    <\output>
      <\with|mode|math>
        cos x+1
      </with>
    </output>

    <\input|yacas] >
      Integrate(x,0,Pi) f(x);
    </input>

    <\output>
      <\with|mode|math>
        <frac|\<pi\><rsup|2>|2>+2
      </with>
    </output>

    <\input|yacas] >
      GnuPlot(-10,10,80,f(x));
    </input>

    <\output>
      <\with|mode|math>
        <with|math font family|rm|True>
      </with>
    </output>

    <\input|yacas] >
      \;
    </input>
  </session>

  Il grafico prodotto nell'ultimo comando viene visualizzato in un'altra
  finestra. Utilizzando ``l'istantanea'' di <name|Gimp> si pu salvare il
  grafico come un'immagine che poi viene inserita nel foglio di lavoro con
  <apply|menu|Insert|Image>:

  <expand|big-figure|<postscript|<tuple|<raw_data|%!PS-Adobe-3.0
  EPSF-3.0\n%%Creator: GIMP PostScript file plugin V 1.12 by Peter
  Kirchgessner\n%%Title: /home/cchuang/4.eps\n%%CreationDate: Thu Jul 10
  07:21:51 2003\n%%DocumentData: Clean7Bit\n%%LanguageLevel: 2\n%%Pages:
  1\n%%BoundingBox: 14 14 625 485\n%%EndComments\n%%BeginProlog\n% Use own
  dictionary to avoid conflicts\n10 dict begin\n%%EndProlog\n%%Page: 1 1\n%
  Translate for offset\n14.173228 14.173228 translate\n% Translate to begin
  of first scanline\n0.000000 470.000000 translate\n610.000000 -470.000000
  scale\n% Image geometry\n610 470 8\n% Transformation matrix\n[ 610 0 0 470
  0 0 ]\n% Strings to hold RGB-samples per scanline\n/rstr 610 string
  def\n/gstr 610 string def\n/bstr 610 string def\n{currentfile
  /ASCII85Decode filter /RunLengthDecode filter rstr readstring
  pop}\n{currentfile /ASCII85Decode filter /RunLengthDecode filter gstr
  readstring pop}\n{currentfile /ASCII85Decode filter /RunLengthDecode filter
  bstr readstring pop}\ntrue 3\n%%BeginData: \ \ \ \ \ \ \ 71894 ASCII
  Bytes\ncolorimage\nrVqEKJH16$JH2PIrr7K~\>\nrVqEKJH16$JH2PIrr7K~\>\nrVqEKJH16$JH2PIrr7K~\>\ns3UcGoD\\g*JcC\<$JcC\<$mJd1$bQ%SB!WUMs~\>\ns3UcGoD\\g*JcC\<$JcC\<$mJd1$bQ%SB!WUMs~\>\ns3UcGoD\\g*JcC\<$JcC\<$mJd1$bQ%SB!WUMs~\>\n!RLi9eUc;&eq)D'f'V#h^Xho)s46\\is46bks8W*!J,~\>\n!RLi9eUc;&eq)D'f'V#h^Xho)s46\\is46bks8W*!J,~\>\n!RLi9eUc;&eq)D'f'V#h^Xho)s46\\is46bks8W*!J,~\>\n!RLi9e:H/$eUc8%ea:lf^X_i's4-Vgs4-Yh!ri6#J,~\>\n!RLi9e:H/$eUc8%ea:lf^X_i's4-Vgs4-Yh!ri6#J,~\>\n!RLi9e:H/$eUc8%ea:lf^X_i's4-Vgs4-Yh!ri6#J,~\>\n!\<E/hdt-#"e:H,#eEt`d^XVc%s4$Pes4$Sfs8N'!J,~\>\n!\<E/hdt-#"e:H,#eEt`d^XVc%s4$Pes4$Sfs8N'!J,~\>\n!\<E/hdt-#"e:H,#eEt`d^XVc%s4$Pes4$Sfs8N'!J,~\>\n!\<E/hdf%Vrd`Ketdf@XDdt,u!duVrY^XM]#s3pqpq1JUns3pqps+C9us+C9us8N'!J,~\>\n!\<E/hdf%Vrd`Ketdf@XDdt,u!duVrY^XM]#s3pqpq1JUns3pqps+C9us+C9us8N'!J,~\>\n!\<E/hdf%Vrd`Ketdf@XDdt,u!duVrY^XM]#s3pqpq1JUns3pqps+C9us+C9us8N'!J,~\>\n!\<E0!dJnjrdJnjtdJhPs`2:DYWp8"6^T3jsdK.S\<J^T+tJ^U+;!Pd(PdJqYodJ&:ldJqYodJ\\^t\ndJ\\^rd/j7IJ,~\>\n!\<E0!dJnjrdJnjtdJhPs`2:DYWp8"6^T3jsdK.S\<J^T+tJ^U+;!Pd(PdJqYodJ&:ldJqYodJ\\^t\ndJ\\^rd/j7IJ,~\>\n!\<E0!dJnjrdJnjtdJhPs`2:DYWp8"6^T3jsdK.S\<J^T+tJ^U+;!Pd(PdJqYodJ&:ldJqYodJ\\^t\ndJ\\^rd/j7IJ,~\>\n!s&AJd/AUqd/AUrd/VJsbaQl*dB2]]!meoTp!Ef=aaqijd=K]9d/h#0nBh3_rm:ClrQtSlrm:Cl\nrQkTF!.Y~\>\n!s&AJd/AUqd/AUrd/VJsbaQl*dB2]]!meoTp!Ef=aaqijd=K]9d/h#0nBh3_rm:ClrQtSlrm:Cl\nrQkTF!.Y~\>\n!s&AJd/AUqd/AUrd/VJsbaQl*dB2]]!meoTp!Ef=aaqijd=K]9d/h#0nBh3_rm:ClrQtSlrm:Cl\nrQkTF!.Y~\>\n!s&AIchrFqchrFpci;\>mXh4SZ(!P%N][!mmcd9b9c-X)6d*TSJZF/$WciBI3cjS12[DC5:a/4Qr\n\\A\<aCJ^AtpT?mVRd.#B]d/MAcKDj-rd/D;dKDa$rrr@Q~\>\n!s&AIchrFqchrFpci;\>mXh4SZ(!P%N][!mmcd9b9c-X)6d*TSJZF/$WciBI3cjS12[DC5:a/4Qr\n\\A\<aCJ^AtpT?mVRd.#B]d/MAcKDj-rd/D;dKDa$rrr@Q~\>\n!s&AIchrFqchrFpci;\>mXh4SZ(!P%N][!mmcd9b9c-X)6d*TSJZF/$WciBI3cjS12[DC5:a/4Qr\n\\A\<aCJ^AtpT?mVRd.#B]d/MAcKDj-rd/D;dKDa$rrr@Q~\>\n!\<E0!cM)ticMu2kS'ClW'\>'.(^8nKac^r8)ae$hlNMaOpSGgb6R/P\>6Ur(E^ZMr/NTu_f2J^8nn\nS^.\>Ocg]6[ci22iKDEdmKDj*qchu)cKDWpprr@Q~\>\n!\<E0!cM)ticMu2kS'ClW'\>'.(^8nKac^r8)ae$hlNMaOpSGgb6R/P\>6Ur(E^ZMr/NTu_f2J^8nn\nS^.\>Ocg]6[ci22iKDEdmKDj*qchu)cKDWpprr@Q~\>\n!\<E0!cM)ticMu2kS'ClW'\>'.(^8nKac^r8)ae$hlNMaOpSGgb6R/P\>6Ur(E^ZMr/NTu_f2J^8nn\nS^.\>Ocg]6[ci22iKDEdmKDj*qchu)cKDWpprr@Q~\>\n!\<E/uc2!"ic2Z'.R`j!tUS5]QR*O!lVp\<S[aNho!cH`B'cH`$#rltM2rltP[W;b'BR/YA3TZ;W/\nJ^/hlS^%8NcLB*YcMl&gKDEalKDj'pcMYraKDWmorr@Q~\>\n!\<E/uc2!"ic2Z'.R`j!tUS5]QR*O!lVp\<S[aNho!cH`B'cH`$#rltM2rltP[W;b'BR/YA3TZ;W/\nJ^/hlS^%8NcLB*YcMl&gKDEalKDj'pcMYraKDWmorr@Q~\>\n!\<E/uc2!"ic2Z'.R`j!tUS5]QR*O!lVp\<S[aNho!cH`B'cH`$#rltM2rltP[W;b'BR/YA3TZ;W/\nJ^/hlS^%8NcLB*YcMl&gKDEalKDj'pcMYraKDWmorr@Q~\>\n!\<E/tbkm%ibl\>p,W4U=!['7g"REa!jVTmAXa3D\\sc-\<0#c-\<6#rlkG1rlkJMZ2VuOREWq#TZ2Q-\nJ^&bjS]q2Mc2Gl^KD`snc2PoeKDE^kKDj$oc2Gl^KD`porr@Q~\>\n!\<E/tbkm%ibl\>p,W4U=!['7g"REa!jVTmAXa3D\\sc-\<0#c-\<6#rlkG1rlkJMZ2VuOREWq#TZ2Q-\nJ^&bjS]q2Mc2Gl^KD`snc2PoeKDE^kKDj$oc2Gl^KD`porr@Q~\>\n!\<E/tbkm%ibl\>p,W4U=!['7g"REa!jVTmAXa3D\\sc-\<0#c-\<6#rlkG1rlkJMZ2VuOREWq#TZ2Q-\nJ^&bjS]q2Mc2Gl^KD`snc2PoeKDE^kKDj$oc2Gl^KD`porr@Q~\>\n!\<E/sbPd(ibQ#d*`LG&p['7cuR*\<dgVTd8U`6?/jbfm!!bflQsrlbA/rlbP^Us.'+S,UV7TYo!c\nbCRlgb^n!2bQ5K&rlb%grQG5brlY:oq9&bjrQG5brlb%grQ\>6A!.Y~\>\n!\<E/sbPd(ibQ#d*`LG&p['7cuR*\<dgVTd8U`6?/jbfm!!bflQsrlbA/rlbP^Us.'+S,UV7TYo!c\nbCRlgb^n!2bQ5K&rlb%grQG5brlY:oq9&bjrQG5brlb%grQ\>6A!.Y~\>\n!\<E/sbPd(ibQ#d*`LG&p['7cuR*\<dgVTd8U`6?/jbfm!!bflQsrlbA/rlbP^Us.'+S,UV7TYo!c\nbCRlgb^n!2bQ5K&rlb%grQG5brlY:oq9&bjrQG5brlb%grQ\>6A!.Y~\>\n!\<E/rb5[+ib5TR3];E-\<V9?Z3^\<\<LA`lkWUW2c0+bGM&DUp%t`\\u^^p^WXg&Xh(@BrlYDMR]3NB\nbCRifbFcrY^WZW!pOiFes3(Da!/(*i!/(6ms3(DarIb-mrIb'k!WN.M~\>\n!\<E/rb5[+ib5TR3];E-\<V9?Z3^\<\<LA`lkWUW2c0+bGM&DUp%t`\\u^^p^WXg&Xh(@BrlYDMR]3NB\nbCRifbFcrY^WZW!pOiFes3(Da!/(*i!/(6ms3(DarIb-mrIb'k!WN.M~\>\n!\<E/rb5[+ib5TR3];E-\<V9?Z3^\<\<LA`lkWUW2c0+bGM&DUp%t`\\u^^p^WXg&Xh(@BrlYDMR]3NB\nbCRifbFcrY^WZW!pOiFes3(Da!/(*i!/(6ms3(DarIb-mrIb'k!WN.M~\>\n!\<E/hao'\<]`;e!ZaT0K_aoBKa`5hi!"f8iK`lcI$ao9Eaa2#gpb5]G3b(7]db+?`V^WQMsq1JUe\ns2t;^q1JUes2t;^s+C9ls+C6k!WN.M~\>\n!\<E/hao'\<]`;e!ZaT0K_aoBKa`5hi!"f8iK`lcI$ao9Eaa2#gpb5]G3b(7]db+?`V^WQMsq1JUe\ns2t;^q1JUes2t;^s+C9ls+C6k!WN.M~\>\n!\<E/hao'\<]`;e!ZaT0K_aoBKa`5hi!"f8iK`lcI$ao9Eaa2#gpb5]G3b(7]db+?`V^WQMsq1JUe\ns2t;^q1JUes2t;^s+C9ls+C6k!WN.M~\>\n!\<E/haQgkL^n.IBJ]WJbJ]W_i!PcbGaT'BOaT'BOa8u;@J,~\>\n!\<E/haQgkL^n.IBJ]WJbJ]W_i!PcbGaT'BOaT'BOa8u;@J,~\>\n!\<E/haQgkL^n.IBJ]WJbJ]W_i!PcbGaT'BOaT'BOa8u;@J,~\>\n!\<E/ha+;\<_aFVE`aR.%L^W\>obs2a]Ms2a]M!WN.M~\>\n!\<E/ha+;\<_aFVE`aR.%L^W\>obs2a]Ms2a]M!WN.M~\>\n!\<E/ha+;\<_aFVE`aR.%L^W\>obs2a]Ms2a]M!WN.M~\>\n!\<E/h`du0]a+;9^a6gnJ^W5i`s2XWKs2XWK!WN.M~\>\n!\<E/h`du0]a+;9^a6gnJ^W5i`s2XWKs2XWK!WN.M~\>\n!\<E/h`du0]a+;9^a6gnJ^W5i`s2XWKs2XWK!WN.M~\>\n!\<E/h`IZ$[`du-\\`pLbH^W,c^s2OQIs2OQI!WN.M~\>\n!\<E/h`IZ$[`du-\\`pLbH^W,c^s2OQIs2OQI!WN.M~\>\n!\<E/h`IZ$[`du-\\`pLbH^W,c^s2OQIs2OQI!WN.M~\>\n!!%RkJTHB`JTIN+!!%N~\>\n!!%RkJTHB`JTIN+!!%N~\>\n!!%RkJTHB`JTIN+!!%N~\>\n!\<E0!joBIRk(2ZGk(2Zqjooi+k2p^bJ,~\>\n!\<E0!joBIRk(2ZGk(2Zqjooi+k2p^bJ,~\>\n!\<E0!joBIRk(2ZGk(2Zqjooi+k2p^bJ,~\>\n!\<E0!joBIRk(2ZGk(2Zqjooi+k2p^bJ,~\>\n!\<E0!joBIRk(2ZGk(2Zqjooi+k2p^bJ,~\>\n!\<E0!joBIRk(2ZGk(2Zqjooi+k2p^bJ,~\>\n!\<E0!joBIRk(2ZGk(2Zqjooi+k2p^bJ,~\>\n!\<E0!joBIRk(2ZGk(2Zqjooi+k2p^bJ,~\>\n!\<E0!joBIRk(2ZGk(2Zqjooi+k2p^bJ,~\>\n!\<E0!joBJdjo\>DZjo\>C4k(2ZGk(2[\<jooi+k2p^bJ,~\>\n!\<E0!joBJdjo\>DZjo\>C4k(2ZGk(2[\<jooi+k2p^bJ,~\>\n!\<E0!joBJdjo\>DZjo\>C4k(2ZGk(2[\<jooi+k2p^bJ,~\>\n!\<E0!joBJek5PG[joPPF!.j9`k(2ZGk02rkF8tCbEr^^~\>\n!\<E0!joBJek5PG[joPPF!.j9`k(2ZGk02rkF8tCbEr^^~\>\n!\<E0!joBJek5PG[joPPF!.j9`k(2ZGk02rkF8tCbEr^^~\>\n!\<E0!joBJfjoPPF!\<2*\\!\<2*\\!.j9`k(2ZGk0\<#lF8tCbEr^^~\>\n!\<E0!joBJfjoPPF!\<2*\\!\<2*\\!.j9`k(2ZGk0\<#lF8tCbEr^^~\>\n!\<E0!joBJfjoPPF!\<2*\\!\<2*\\!.j9`k(2ZGk0\<#lF8tCbEr^^~\>\n!\<E0!joBJdjo\>D\\jo\>D\\jo\>C4k(2ZGk(2[\>jooi+k2p^bJ,~\>\n!\<E0!joBJdjo\>D\\jo\>D\\jo\>C4k(2ZGk(2[\>jooi+k2p^bJ,~\>\n!\<E0!joBJdjo\>D\\jo\>D\\jo\>C4k(2ZGk(2[\>jooi+k2p^bJ,~\>\n!\<E0!joBJdjo\>D\\jo\>D\\jo\>DXk(*M`!.b-$!:0^Mjooi+k2p^bJ,~\>\n!\<E0!joBJdjo\>D\\jo\>D\\jo\>DXk(*M`!.b-$!:0^Mjooi+k2p^bJ,~\>\n!\<E0!joBJdjo\>D\\jo\>D\\jo\>DXk(*M`!.b-$!:0^Mjooi+k2p^bJ,~\>\n!\<E0!joBJdjo\>D\\jo\>D\\jo\>DYk(*M`!.b-$!9sRLjooi+k2p^bJ,~\>\n!\<E0!joBJdjo\>D\\jo\>D\\jo\>DYk(*M`!.b-$!9sRLjooi+k2p^bJ,~\>\n!\<E0!joBJdjo\>D\\jo\>D\\jo\>DYk(*M`!.b-$!9sRLjooi+k2p^bJ,~\>\n!\<E0!joBJdjo\>D\\jo\>D\\jo\>DYk5PF4k5ONC!.j;3k5PF4k5FHB!.j;3k5PGHjooi+k2p^bJ,~\>\n!\<E0!joBJdjo\>D\\jo\>D\\jo\>DYk5PF4k5ONC!.j;3k5PF4k5FHB!.j;3k5PGHjooi+k2p^bJ,~\>\n!\<E0!joBJdjo\>D\\jo\>D\\jo\>DYk5PF4k5ONC!.j;3k5PF4k5FHB!.j;3k5PGHjooi+k2p^bJ,~\>\n!\<E0!joBJdjo\>D[joPPF!;bjX!.j;3k5PF4k5ONC!.j;2k5PF4k5ONC!:&\\MF8tCbEr^^~\>\n!\<E0!joBJdjo\>D[joPPF!;bjX!.j;3k5PF4k5ONC!.j;2k5PF4k5ONC!:&\\MF8tCbEr^^~\>\n!\<E0!joBJdjo\>D[joPPF!;bjX!.j;3k5PF4k5ONC!.j;2k5PF4k5ONC!:&\\MF8tCbEr^^~\>\n!\<E0!joBJfk555Yjo\>DWk5PF4k5ONC!.j;3k5PF4k5FHB!.j;3k5PGHjooi+k2p^bJ,~\>\n!\<E0!joBJfk555Yjo\>DWk5PF4k5ONC!.j;3k5PF4k5FHB!.j;3k5PGHjooi+k2p^bJ,~\>\n!\<E0!joBJfk555Yjo\>DWk5PF4k5ONC!.j;3k5PF4k5FHB!.j;3k5PGHjooi+k2p^bJ,~\>\n!\<E0!joBJUk5PF4k(2ZGk(2[_k5PGHjooi+k2p^bJ,~\>\n!\<E0!joBJUk5PF4k(2ZGk(2[_k5PGHjooi+k2p^bJ,~\>\n!\<E0!joBJUk5PF4k(2ZGk(2[_k5PGHjooi+k2p^bJ,~\>\n!\<E0!joBJUk5PF4k(2ZGk(2[_k5PGHjooi+k2p^bJ,~\>\n!\<E0!joBJUk5PF4k(2ZGk(2[_k5PGHjooi+k2p^bJ,~\>\n!\<E0!joBJUk5PF4k(2ZGk(2[_k5PGHjooi+k2p^bJ,~\>\n!\<E0!joBJUk5PF4k(2ZGk(2[_k5PGHjooi+k2p^bJ,~\>\n!\<E0!joBJUk5PF4k(2ZGk(2[_k5PGHjooi+k2p^bJ,~\>\n!\<E0!joBJUk5PF4k(2ZGk(2[_k5PGHjooi+k2p^bJ,~\>\n!\<E0!joBJUk5PF4k(2ZGk(2[_k5PGHjooi+k2p^bJ,~\>\n!\<E0!joBJUk5PF4k(2ZGk(2[_k5PGHjooi+k2p^bJ,~\>\n!\<E0!joBJUk5PF4k(2ZGk(2[_k5PGHjooi+k2p^bJ,~\>\n!\<E0!joBJUk5PF4k(2ZGk2GG(!9O:Gjo\>D9joPPF!7U*1!:&\\MF8tCbEr^^~\>\n!\<E0!joBJUk5PF4k(2ZGk2GG(!9O:Gjo\>D9joPPF!7U*1!:&\\MF8tCbEr^^~\>\n!\<E0!joBJUk5PF4k(2ZGk2GG(!9O:Gjo\>D9joPPF!7U*1!:&\\MF8tCbEr^^~\>\n!\<E0!joBJUk5PF4k(2ZGk2GG(!9O:Gjo\>DWjo\>DMjo\>DUjoPPF!7U*1!:&\\MF8tCbEr^^~\>\n!\<E0!joBJUk5PF4k(2ZGk2GG(!9O:Gjo\>DWjo\>DMjo\>DUjoPPF!7U*1!:&\\MF8tCbEr^^~\>\n!\<E0!joBJUk5PF4k(2ZGk2GG(!9O:Gjo\>DWjo\>DMjo\>DUjoPPF!7U*1!:&\\MF8tCbEr^^~\>\n!\<E0!joBJUk5PF4k(2ZGk2GG(!9O:Gjo\>DWjo\>DBjoPPF!7U*1!:&\\MF8tCbEr^^~\>\n!\<E0!joBJUk5PF4k(2ZGk2GG(!9O:Gjo\>DWjo\>DBjoPPF!7U*1!:&\\MF8tCbEr^^~\>\n!\<E0!joBJUk5PF4k(2ZGk2GG(!9O:Gjo\>DWjo\>DBjoPPF!7U*1!:&\\MF8tCbEr^^~\>\n!\<E0!joBJUk5PF4k(2ZGk1f%t!\<;0c!9O7]k2l[CjoPPFk5\>;[k5GA\\k5\>;Zk5GAUk5PG\\joYVG\n!!(U4p\\t3nlK/7ks5rHb!.Y~\>\n!\<E0!joBJUk5PF4k(2ZGk1f%t!\<;0c!9O7]k2l[CjoPPFk5\>;[k5GA\\k5\>;Zk5GAUk5PG\\joYVG\n!!(U4p&OC?"`s_+k&UNQ~\>\n!\<E0!joBJUk5PF4k(2ZGk1f%t!\<;0c!9O7]k2l[CjoPPFk5\>;[k5GA\\k5\>;Zk5GAUk5PG\\joYVG\n!!(U4p&OC?"`s_+k&UNQ~\>\n!\<E0!joBJUk5PF4k(2ZGk1o)!!\<2*d!9O7]k2l[+!\<2*^!9O:\\jo\>DZjoYVGjoG5\>!!)fV!!*#\\\nrrE)]!!)?Im/QnDrrD?H"`s_+k&UNQ~\>\n!\<E0!joBJUk5PF4k(2ZGk1o)!!\<2*d!9O7]k2l[+!\<2*^!9O:\\jo\>DZjoYVGjoG5\>!!)fV!!*#\\\nrrE)]!!)?Ili?kDrrD?H"`s_+k&UNQ~\>\n!\<E0!joBJUk5PF4k(2ZGk1o)!!\<2*d!9O7]k2l[+!\<2*^!9O:\\jo\>DZjoYVGjoG5\>!!)fV!!*#\\\nrrE)]!!)?Ili?kDrrD?H"`s_+k&UNQ~\>\n!\<E0!joBJUk5PF4k(2ZGk1o)!!\<2*^!9O:\\joPPF!\<2*^!9O:\\joPPFk5\>;[jo\>DZk5\>;Tjo\>D\\\njo\>D\\jo\>DRk2u^;k5PGHjooi+k2p^bJ,~\>\n!\<E0!joBJUk5PF4k(2ZGk1o)!!\<2*^!9O:\\joPPF!\<2*^!9O:\\joPPFk5\>;[jo\>DZk5\>;Tjo\>D\\\njo\>D\\jo\>DRk2l[;k5PGHjooi+k2p^bJ,~\>\n!\<E0!joBJUk5PF4k(2ZGk1o)!!\<2*^!9O:\\joPPF!\<2*^!9O:\\joPPFk5\>;[jo\>DZk5\>;Tjo\>D\\\njo\>D\\jo\>DRk2l[;k5PGHjooi+k2p^bJ,~\>\n!\<E0!joBJUk5PF4k(2ZGk1o)!!\<2*^!9O:\\joPPF!\<2*^!9O:\\joPPF!\<2*_!9WDDrT4([roO1\\\npuVPVroO1\\roO1\\p?);QhWFh\<lK/7ks5rHb!.Y~\>\n!\<E0!joBJUk5PF4k(2ZGk1o)!!\<2*^!9O:\\joPPF!\<2*^!9O:\\joPPF!\<2*_!9WDDrT4([roO1\\\npuVPVroO1\\roO1\\p?)8QhWFh\<lK/7ks5rHb!.Y~\>\n!\<E0!joBJUk5PF4k(2ZGk1o)!!\<2*^!9O:\\joPPF!\<2*^!9O:\\joPPF!\<2*_!9WDDrT4([roO1\\\npuVPVroO1\\roO1\\p?)8QhWFh\<lK/7ks5rHb!.Y~\>\n!\<E0!joBJUk5PF4k(2ZGk1f%s!!23^roOIdjoFQ+!!)-]roOgnjoFQ+!!)0D!9WDDjoFQ+!!*#\\\n!!)rZ!!*#\\!!*#\\!!)fVs8Ud7rrD?H"`s_+k&UNQ~\>\n!\<E0!joBJUk5PF4k(2ZGk1f%s!!23^roOIdjoFQ+!!)-]roOgnjoFQ+!!)0D!9WDDjoFQ+!!*#\\\n!!)rZ!!*#\\!!*#\\!!)fVrrCa7rrD?H"`s_+k&UNQ~\>\n!\<E0!joBJUk5PF4k(2ZGk1f%s!!23^roOIdjoFQ+!!)-]roOgnjoFQ+!!)0D!9WDDjoFQ+!!*#\\\n!!)rZ!!*#\\!!*#\\!!)fVrrCa7rrD?H"`s_+k&UNQ~\>\n!\<E0!joBJUk5PF4k(2ZGk1Jet!9O:\\jp1tLjo\>DD!9WGB!\<;3]!!23^roX4\\roX4\\"6KUGk5GA[\nk5GA\\jo\>D\\jo\>DXk5YJ5k5PGHjooi+k2p^bJ,~\>\n!\<E0!joBJUk5PF4k(2ZGk1Jet!9O:\\jp1tLjo\>DD!9WGB!\<;3]!!23^roX4\\roX4\\"6KUGk5GA[\nk5GA\\jo\>D\\jo\>DXk5PG5k5PGHjooi+k2p^bJ,~\>\n!\<E0!joBJUk5PF4k(2ZGk1Jet!9O:\\jp1tLjo\>DD!9WGB!\<;3]!!23^roX4\\roX4\\"6KUGk5GA[\nk5GA\\jo\>D\\jo\>DXk5PG5k5PGHjooi+k2p^bJ,~\>\n!\<E0!joBJUk5PF4k(2ZGk1o)!!\<2*\\!8?Q8!:T(Ls4-93!:&\\MF8tCbEr^^~\>\n!\<E0!joBJUk5PF4k(2ZGk1o)!!\<2*\\!8?Q8!:T(L!7g63!:&\\MF8tCbEr^^~\>\n!\<E0!joBJUk5PF4k(2ZGk1o)!!\<2*\\!8?Q8!:T(L!7g63!:&\\MF8tCbEr^^~\>\n!\<E0!joBJUk5PF4k(2ZGk1f%t!6F=%s3p-1!:&\\MF8tCbEr^^~\>\n!\<E0!joBJUk5PF4k(2ZGk1f%t!6F=%!7U*1!:&\\MF8tCbEr^^~\>\n!\<E0!joBJUk5PF4k(2ZGk1f%t!6F=%!7U*1!:&\\MF8tCbEr^^~\>\n!\<E0!joBJUk5PF4k(2ZGk+Ur:s3^!/!:&\\MF8tCbEr^^~\>\n!\<E0!joBJUk5PF4k(2ZGk+Ur:!7Bs/!:&\\MF8tCbEr^^~\>\n!\<E0!joBJUk5PF4k(2ZGk+Ur:!7Bs/!:&\\MF8tCbEr^^~\>\n!\<E0!joBJUk5PF4k(2ZGk+_#\<s3Kj-!:&\\MF8tCbEr^^~\>\n!\<E0!joBJUk5PF4k(2ZGk+_#\<!70g-!:&\\MF8tCbEr^^~\>\n!\<E0!joBJUk5PF4k(2ZGk+_#\<!70g-!:&\\MF8tCbEr^^~\>\n!\<E0!joBJUk5PF4k(2ZGk+q/\>s39^+!:&\\MF8tCbEr^^~\>\n!\<E0!joBJUk5PF4k(2ZGk+q/\>!6s[+!:&\\MF8tCbEr^^~\>\n!\<E0!joBJUk5PF4k(2ZGk+q/\>!6s[+!:&\\MF8tCbEr^^~\>\n!\<E0!joBJUk5PF4k(2ZGk,%5?s30X*!:&\\MF8tCbEr^^~\>\n!\<E0!joBJUk5PF4k(2ZGk,%5?!6jU*!:&\\MF8tCbEr^^~\>\n!\<E0!joBJUk5PF4k(2ZGk,%5?!6jU*!:&\\MF8tCbEr^^~\>\n!\<E0!joBJUk5PF4k(2ZGk,7AAs2sL(!:&\\MF8tCbEr^^~\>\n!\<E0!joBJUk5PF4k(2ZGk,7AA!6XI(!:&\\MF8tCbEr^^~\>\n!\<E0!joBJUk5PF4k(2ZGk,7AA!6XI(!:&\\MF8tCbEr^^~\>\n!\<E0!joBJUk5PF4k(2ZGk,@GBs2jF'!:&\\MF8tCbEr^^~\>\n!\<E0!joBJUk5PF4k(2ZGk,@GB!6OC'!:&\\MF8tCbEr^^~\>\n!\<E0!joBJUk5PF4k(2ZGk,@GB!6OC'!:&\\MF8tCbEr^^~\>\n!\<E0!joBJUk5PF4k(2ZGk,IJCs2X:%!:&\\MF8tCbEr^^~\>\n!\<E0!joBJUk5PF4k(2ZGk,IJC!6=7%!:&\\MF8tCbEr^^~\>\n!\<E0!joBJUk5PF4k(2ZGk,IJC!6=7%!:&\\MF8tCbEr^^~\>\n!\<E0!joBJUk5PF4k(2ZGk,RPDs2O4$!:&\\MF8tCbEr^^~\>\n!\<E0!joBJUk5PF4k(2ZGk,RPD!641$!:&\\MF8tCbEr^^~\>\n!\<E0!joBJUk5PF4k(2ZGk,RPD!641$!:&\\MF8tCbEr^^~\>\n!\<E0!joBJUk5PF4k(2ZGk,d_Fs2F.#!:&\\MF8tCbEr^^~\>\n!\<E0!joBJUk5PF4k(2ZGk,d_F!6++#!:&\\MF8tCbEr^^~\>\n!\<E0!joBJUk5PF4k(2ZGk,d_F!6++#!:&\\MF8tCbEr^^~\>\n!\<E0!joBJUk5PF4k(2ZGk,meGs2=("!:&\\MF8tCbEr^^~\>\n!\<E0!joBJUk5PF4k(2ZGk,meG!6"%"!:&\\MF8tCbEr^^~\>\n!\<E0!joBJUk5PF4k(2ZGk,meG!6"%"!:&\\MF8tCbEr^^~\>\n!\<E0!joBJUk5PF4k(2ZGk-!kHs24"!!:&\\MF8tCbEr^^~\>\n!\<E0!joBJUk5PF4k(2ZGk-!kH!5mt!!:&\\MF8tCbEr^^~\>\n!\<E0!joBJUk5PF4k(2ZGk-!kH!5mt!!:&\\MF8tCbEr^^~\>\n!\<E0!joBJUk5PF4k(2ZGk-*nIs2!jt!:&\\MF8tCbEr^^~\>\n!\<E0!joBJUk5PF4k(2ZGk-*nI!5[gt!:&\\MF8tCbEr^^~\>\n!\<E0!joBJUk5PF4k(2ZGk-*nI!5[gt!:&\\MF8tCbEr^^~\>\n!\<E0!joBJUk5PF4k(2ZGk-3tJs1mds!:&\\MF8tCbEr^^~\>\n!\<E0!joBJUk5PF4k(2ZGk-3tJ!5Ras!:&\\MF8tCbEr^^~\>\n!\<E0!joBJUk5PF4k(2ZGk-3tJ!5Ras!:&\\MF8tCbEr^^~\>\n!\<E0!joBJUk5PF4k(2ZGk-=%Ks1d^r!:&\\MF8tCbEr^^~\>\n!\<E0!joBJUk5PF4k(2ZGk-=%K!5I[r!:&\\MF8tCbEr^^~\>\n!\<E0!joBJUk5PF4k(2ZGk-=%K!5I[r!:&\\MF8tCbEr^^~\>\n!\<E0!joBJUk5PF4k(2ZGk-F.Ls1d^r!:&\\MF8tCbEr^^~\>\n!\<E0!joBJUk5PF4k(2ZGk-F.L!5I[r!:&\\MF8tCbEr^^~\>\n!\<E0!joBJUk5PF4k(2ZGk-F.L!5I[r!:&\\MF8tCbEr^^~\>\n!\<E0!joBJUk5PF4k(2ZGk-F+Ls1[Xq!:&\\MF8tCbEr^^~\>\n!\<E0!joBJUk5PF4k(2ZGk-F+L!5@Uq!:&\\MF8tCbEr^^~\>\n!\<E0!joBJUk5PF4k(2ZGk-F+L!5@Uq!:&\\MF8tCbEr^^~\>\n!\<E0!joBJ_k5GAWk5PF4k(2ZGk-O1Ms1RRp!:&\\MF8tCbEr^^~\>\n!\<E0!joBJ_k5GAWk5PF4k(2ZGk-O1M!57Op!:&\\MF8tCbEr^^~\>\n!\<E0!joBJ_k5GAWk5PF4k(2ZGk-O1M!57Op!:&\\MF8tCbEr^^~\>\n!\<E0!joBJ`jo\>D\\jo\>DYk5PF4k(2ZGk-X7Ns1ILo!:&\\MF8tCbEr^^~\>\n!\<E0!joBJ`jo\>D\\jo\>DYk5PF4k(2ZGk-X7N!5.Io!:&\\MF8tCbEr^^~\>\n!\<E0!joBJ`jo\>D\\jo\>DYk5PF4k(2ZGk-X7N!5.Io!:&\\MF8tCbEr^^~\>\n!\<E0!joBJ`jo\>D\\jo\>DYk5PF4k(2ZGk-a@Os1ILo!:&\\MF8tCbEr^^~\>\n!\<E0!joBJ`jo\>D\\jo\>DYk5PF4k(2ZGk-a@O!5.Io!:&\\MF8tCbEr^^~\>\n!\<E0!joBJ`jo\>D\\jo\>DYk5PF4k(2ZGk-a@O!5.Io!:&\\MF8tCbEr^^~\>\n!\<E0!joBJ`jo\>D\\jo\>DYk5PF4k(2ZGk-a=Os1@Fn!:&\\MF8tCbEr^^~\>\n!\<E0!joBJ`jo\>D\\jo\>DYk5PF4k(2ZGk-a=O!5%Cn!:&\\MF8tCbEr^^~\>\n!\<E0!joBJ`jo\>D\\jo\>DYk5PF4k(2ZGk-a=O!5%Cn!:&\\MF8tCbEr^^~\>\n!\<E0!joBJ_k5GAWk5\>:2k(2ZGk.'ORs1RRm!:&\\MF8tCbEr^^~\>\n!\<E0!joBJ_k5GAWk5\>:2k(2ZGk.'OR!57Om!:&\\MF8tCbEr^^~\>\n!\<E0!joBJ_k5GAWk5\>:2k(2ZGk.'OR!57Om!:&\\MF8tCbEr^^~\>\n!\<E0!joBJ`jo\>D\\jo\>DYk5\>:2k(2ZGk.0USs1ILl!:&\\MF8tCbEr^^~\>\n!\<E0!joBJ`jo\>D\\jo\>DYk5\>:2k(2ZGk.0US!5.Il!:&\\MF8tCbEr^^~\>\n!\<E0!joBJ`jo\>D\\jo\>DYk5\>:2k(2ZGk.0US!5.Il!:&\\MF8tCbEr^^~\>\n!\<E0!joBJ`jo\>D\\jo\>DYk5PF4k(2ZGk.'ORs1%4k!:&\\MF8tCbEr^^~\>\n!\<E0!joBJ`jo\>D\\jo\>DYk5PF4k(2ZGk.'OR!4_1k!:&\\MF8tCbEr^^~\>\n!\<E0!joBJ`jo\>D\\jo\>DYk5PF4k(2ZGk.'OR!4_1k!:&\\MF8tCbEr^^~\>\n!\<E0!joBJ`jo\>D\\jo\>DYk5PF4k(2ZGk.0XSs1%4k!:&\\MF8tCbEr^^~\>\n!\<E0!joBJ`jo\>D\\jo\>DYk5PF4k(2ZGk.0XS!4_1k!:&\\MF8tCbEr^^~\>\n!\<E0!joBJ`jo\>D\\jo\>DYk5PF4k(2ZGk.0XS!4_1k!:&\\MF8tCbEr^^~\>\n!\<E0!joBJ_k5GAWk5PF4k(2ZGk.9^Ts0q.j!:&\\MF8tCbEr^^~\>\n!\<E0!joBJ_k5GAWk5PF4k(2ZGk.9^T!4V+j!:&\\MF8tCbEr^^~\>\n!\<E0!joBJ_k5GAWk5PF4k(2ZGk.9^T!4V+j!:&\\MF8tCbEr^^~\>\n!\<E0!joBJUk5PF4k(2ZGk.BdUs0h(i!:&\\MF8tCbEr^^~\>\n!\<E0!joBJUk5PF4k(2ZGk.BdU!4M%i!:&\\MF8tCbEr^^~\>\n!\<E0!joBJUk5PF4k(2ZGk.BdU!4M%i!:&\\MF8tCbEr^^~\>\n!\<E0!joBJUk5PF4k(2ZGk.BaUs0_"h!:&\\MF8tCbEr^^~\>\n!\<E0!joBJUk5PF4k(2ZGk.BaU!4Cth!:&\\MF8tCbEr^^~\>\n!\<E0!joBJUk5PF4k(2ZGk.BaU!4Cth!:&\\MF8tCbEr^^~\>\n!\<E0!joBJUk5PF4k(2ZGk.KgVs0Uqg!:&\\MF8tCbEr^^~\>\n!\<E0!joBJUk5PF4k(2ZGk.KgV!4:ng!:&\\MF8tCbEr^^~\>\n!\<E0!joBJUk5PF4k(2ZGk.KgV!4:ng!:&\\MF8tCbEr^^~\>\n!\<E0!joBJUk5PF4k(2ZGk.TmWs0Lkf!:&\\MF8tCbEr^^~\>\n!\<E0!joBJUk5PF4k(2ZGk.TmW!41hf!:&\\MF8tCbEr^^~\>\n!\<E0!joBJUk5PF4k(2ZGk.TmW!41hf!:&\\MF8tCbEr^^~\>\n!\<E0!joBJUk5PF4k(2ZGk.]sXs0Cee!:&\\MF8tCbEr^^~\>\n!\<E0!joBJUk5PF4k(2ZGk.]sX!4(be!:&\\MF8tCbEr^^~\>\n!\<E0!joBJUk5PF4k(2ZGk.]sX!4(be!:&\\MF8tCbEr^^~\>\n!\<E0!joBJUk5PF4k(2ZGk.g'Ys0Cee!:&\\MF8tCbEr^^~\>\n!\<E0!joBJUk5PF4k(2ZGk.g'Y!4(be!:&\\MF8tCbEr^^~\>\n!\<E0!joBJUk5PF4k(2ZGk.g'Y!4(be!:&\\MF8tCbEr^^~\>\n!\<E0!joBJUk5PF4k(2ZGk.g$Ys0:_d!:&\\MF8tCbEr^^~\>\n!\<E0!joBJUk5PF4k(2ZGk.g$Y!3t\\d!:&\\MF8tCbEr^^~\>\n!\<E0!joBJUk5PF4k(2ZGk.g$Y!3t\\d!:&\\MF8tCbEr^^~\>\n!\<E0!joBJUk5PF4k(2ZGk.p*Zs01Yc!:&\\MF8tCbEr^^~\>\n!\<E0!joBJUk5PF4k(2ZGk.p*Z!3kVc!:&\\MF8tCbEr^^~\>\n!\<E0!joBJUk5PF4k(2ZGk.p*Z!3kVc!:&\\MF8tCbEr^^~\>\n!\<E0!joBJUk5PF4k(2ZGk/$0[s0(Sb!:&\\MF8tCbEr^^~\>\n!\<E0!joBJUk5PF4k(2ZGk/$0[!3bPb!:&\\MF8tCbEr^^~\>\n!\<E0!joBJUk5PF4k(2ZGk/$0[!3bPb!:&\\MF8tCbEr^^~\>\n!\<E0!joBJUk5PF4k(2ZGk/-6\\s/tMa!:&\\MF8tCbEr^^~\>\n!\<E0!joBJUk5PF4k(2ZGk/-6\\!3YJa!:&\\MF8tCbEr^^~\>\n!\<E0!joBJUk5PF4k(2ZGk/-6\\!3YJa!:&\\MF8tCbEr^^~\>\n!\<E0!joBJUk5PF4k(2ZGk/6?]s/tMa!:&\\MF8tCbEr^^~\>\n!\<E0!joBJUk5PF4k(2ZGk/6?]!3YJa!:&\\MF8tCbEr^^~\>\n!\<E0!joBJUk5PF4k(2ZGk/6?]!3YJa!:&\\MF8tCbEr^^~\>\n!\<E0!joBJUk5PF4k(2ZGk/6\<]s/kG`!:&\\MF8tCbEr^^~\>\n!\<E0!joBJUk5PF4k(2ZGk/6\<]!3PD`!:&\\MF8tCbEr^^~\>\n!\<E0!joBJUk5PF4k(2ZGk/6\<]!3PD`!:&\\MF8tCbEr^^~\>\n!\<E0!joBJUk5PF4k(2ZGk/?B^s/bA_!:&\\MF8tCbEr^^~\>\n!\<E0!joBJUk5PF4k(2ZGk/?B^!3G\>_!:&\\MF8tCbEr^^~\>\n!\<E0!joBJUk5PF4k(2ZGk/?B^!3G\>_!:&\\MF8tCbEr^^~\>\n!\<E0!joBJUk5PF4k(2ZGk/HH_s/Y;^!:&\\MF8tCbEr^^~\>\n!\<E0!joBJUk5PF4k(2ZGk/HH_!3\>8^!:&\\MF8tCbEr^^~\>\n!\<E0!joBJUk5PF4k(2ZGk/HH_!3\>8^!:&\\MF8tCbEr^^~\>\n!\<E0!joBJUk5PF4k(2ZGk/HH_s/Y;^!:&\\MF8tCbEr^^~\>\n!\<E0!joBJUk5PF4k(2ZGk/HH_!3\>8^!:&\\MF8tCbEr^^~\>\n!\<E0!joBJUk5PF4k(2ZGk/HH_!3\>8^!:&\\MF8tCbEr^^~\>\n!\<E0!joBJUk5PF4k(2ZGk/QN`s/P5]!:&\\MF8tCbEr^^~\>\n!\<E0!joBJUk5PF4k(2ZGk/QN`!352]!:&\\MF8tCbEr^^~\>\n!\<E0!joBJUk5PF4k(2ZGk/QN`!352]!:&\\MF8tCbEr^^~\>\n!\<E0!joBJUk5PF4k(2ZGk/QN`s/P5]!:&\\MF8tCbEr^^~\>\n!\<E0!joBJUk5PF4k(2ZGk/QN`!352]!:&\\MF8tCbEr^^~\>\n!\<E0!joBJUk5PF4k(2ZGk/QN`!352]!:&\\MF8tCbEr^^~\>\n!\<E0!joBJUk5PF4k(2ZGk/ZTas/G/\\!:&\\MF8tCbEr^^~\>\n!\<E0!joBJUk5PF4k(2ZGk/ZTa!3,,\\!:&\\MF8tCbEr^^~\>\n!\<E0!joBJUk5PF4k(2ZGk/ZTa!3,,\\!:&\\MF8tCbEr^^~\>\n!\<E0!joBJUk5PF4k(2ZGk/cZbs/\>)[!:&\\MF8tCbEr^^~\>\n!\<E0!joBJUk5PF4k(2ZGk/cZb!3#&[!:&\\MF8tCbEr^^~\>\n!\<E0!joBJUk5PF4k(2ZGk/cZb!3#&[!:&\\MF8tCbEr^^~\>\n!\<E0!joBJUk5PF4k(2ZGk/cZbs/\>)[!:&\\MF8tCbEr^^~\>\n!\<E0!joBJUk5PF4k(2ZGk/cZb!3#&[!:&\\MF8tCbEr^^~\>\n!\<E0!joBJUk5PF4k(2ZGk/cZb!3#&[!:&\\MF8tCbEr^^~\>\n!\<E0!joBJUk5PF4k(2ZGk/l`cs/5#Z!:&\\MF8tCbEr^^~\>\n!\<E0!joBJUk5PF4k(2ZGk/l`c!2nuZ!:&\\MF8tCbEr^^~\>\n!\<E0!joBJUk5PF4k(2ZGk/l`c!2nuZ!:&\\MF8tCbEr^^~\>\n!\<E0!joBJUk5PF4k(2ZGk/l`cs/5#Z!:&\\MF8tCbEr^^~\>\n!\<E0!joBJUk5PF4k(2ZGk/l`c!2nuZ!:&\\MF8tCbEr^^~\>\n!\<E0!joBJUk5PF4k(2ZGk/l`c!2nuZ!:&\\MF8tCbEr^^~\>\n!\<E0!joBJUk5PF4k(2ZGk/ufds/+rY!:&\\MF8tCbEr^^~\>\n!\<E0!joBJUk5PF4k(2ZGk/ufd!2eoY!:&\\MF8tCbEr^^~\>\n!\<E0!joBJUk5PF4k(2ZGk/ufd!2eoY!:&\\MF8tCbEr^^~\>\n!\<E0!joBJUk5PF4k(2ZGk0)les/"lX!:&\\MF8tCbEr^^~\>\n!\<E0!joBJUk5PF4k(2ZGk0)le!2\\iX!:&\\MF8tCbEr^^~\>\n!\<E0!joBJUk5PF4k(2ZGk0)le!2\\iX!:&\\MF8tCbEr^^~\>\n!\<E0!joBJUk5PF4k(2ZGk02ufs/"lX!:&\\MF8tCbEr^^~\>\n!\<E0!joBJUk5PF4k(2ZGk02uf!2\\iX!:&\\MF8tCbEr^^~\>\n!\<E0!joBJUk5PF4k(2ZGk02uf!2\\iX!:&\\MF8tCbEr^^~\>\n!\<E0!joBJUk5PF4k(2ZGk02rfs.nfW!:&\\MF8tCbEr^^~\>\n!\<E0!joBJUk5PF4k(2ZGk02rf!2ScW!:&\\MF8tCbEr^^~\>\n!\<E0!joBJUk5PF4k(2ZGk02rf!2ScW!:&\\MF8tCbEr^^~\>\n!\<E0!joBJUk5PF4k(2ZGk0\<#gs.e`V!:&\\MF8tCbEr^^~\>\n!\<E0!joBJUk5PF4k(2ZGk0\<#g!2J]V!:&\\MF8tCbEr^^~\>\n!\<E0!joBJUk5PF4k(2ZGk0\<#g!2J]V!:&\\MF8tCbEr^^~\>\n!\<E0!joBJUk5PF4k(2ZGk0E,hs.e`V!:&\\MF8tCbEr^^~\>\n!\<E0!joBJUk5PF4k(2ZGk0E,h!2J]V!:&\\MF8tCbEr^^~\>\n!\<E0!joBJUk5PF4k(2ZGk0E,h!2J]V!:&\\MF8tCbEr^^~\>\n!\<E0!joBJUk5PF4k(2ZGk0E)hs.\\ZU!:&\\MF8tCbEr^^~\>\n!\<E0!joBJUk5PF4k(2ZGk0E)h!2AWU!:&\\MF8tCbEr^^~\>\n!\<E0!joBJUk5PF4k(2ZGk0E)h!2AWU!:&\\MF8tCbEr^^~\>\n!\<E0!joBJUk5PF4k(2ZGk0N/is.STT!:&\\MF8tCbEr^^~\>\n!\<E0!joBJUk5PF4k(2ZGk0N/i!28QT!:&\\MF8tCbEr^^~\>\n!\<E0!joBJUk5PF4k(2ZGk0N/i!28QT!:&\\MF8tCbEr^^~\>\n!\<E0!joBJUk5PF4k(2ZGk0W8js.STT!:&\\MF8tCbEr^^~\>\n!\<E0!joBJUk5PF4k(2ZGk0W8j!28QT!:&\\MF8tCbEr^^~\>\n!\<E0!joBJUk5PF4k(2ZGk0W8j!28QT!:&\\MF8tCbEr^^~\>\n!\<E0!joBJ_k5GAWk5PF4k(2ZGk0W5js.JNS!:&\\MF8tCbEr^^~\>\n!\<E0!joBJ_k5GAWk5PF4k(2ZGk0W5j!2/KS!:&\\MF8tCbEr^^~\>\n!\<E0!joBJ_k5GAWk5PF4k(2ZGk0W5j!2/KS!:&\\MF8tCbEr^^~\>\n!\<E0!joBJ`jo\>D\\jo\>DYk5PF4k(2ZGk0`;ks.AHR!:&\\MF8tCbEr^^~\>\n!\<E0!joBJ`jo\>D\\jo\>DYk5PF4k(2ZGk0`;k!2&ER!:&\\MF8tCbEr^^~\>\n!\<E0!joBJ`jo\>D\\jo\>DYk5PF4k(2ZGk0`;k!2&ER!:&\\MF8tCbEr^^~\>\n!\<E0!joBJ`jo\>DUk5PF4k(2ZGk0iAls.8BQ!:&\\MF8tCbEr^^~\>\n!\<E0!joBJ`jo\>DUk5PF4k(2ZGk0iAl!1r?Q!:&\\MF8tCbEr^^~\>\n!\<E0!joBJ`jo\>DUk5PF4k(2ZGk0iAl!1r?Q!:&\\MF8tCbEr^^~\>\n!\<E0!joBJ`jo\>DUk5PF4k(2ZGk0rJms.8BQ!:&\\MF8tCbEr^^~\>\n!\<E0!joBJ`jo\>DUk5PF4k(2ZGk0rJm!1r?Q!:&\\MF8tCbEr^^~\>\n!\<E0!joBJ`jo\>DUk5PF4k(2ZGk0rJm!1r?Q!:&\\MF8tCbEr^^~\>\n!\<E0!joBJ`k5\>;Vk5\>:2k(2ZGk1/Sos.JNP!:&\\MF8tCbEr^^~\>\n!\<E0!joBJ`k5\>;Vk5\>:2k(2ZGk1/So!2/KP!:&\\MF8tCbEr^^~\>\n!\<E0!joBJ`k5\>;Vk5\>:2k(2ZGk1/So!2/KP!:&\\MF8tCbEr^^~\>\n!\<E0!joBJ`jo\>D\\jo\>DYk5\>:2k(2ZGk18Yps.AHO!:&\\MF8tCbEr^^~\>\n!\<E0!joBJ`jo\>D\\jo\>DYk5\>:2k(2ZGk18Yp!2&EO!:&\\MF8tCbEr^^~\>\n!\<E0!joBJ`jo\>D\\jo\>DYk5\>:2k(2ZGk18Yp!2&EO!:&\\MF8tCbEr^^~\>\n!\<E0!joBJ`jo\>D\\jo\>DYk5PF4k(2ZGk1/Vos.&6O!:&\\MF8tCbEr^^~\>\n!\<E0!joBJ`jo\>D\\jo\>DYk5PF4k(2ZGk1/Vo!1`3O!:&\\MF8tCbEr^^~\>\n!\<E0!joBJ`jo\>D\\jo\>DYk5PF4k(2ZGk1/Vo!1`3O!:&\\MF8tCbEr^^~\>\n!\<E0!joBJ`jo\>D\\jo\>DYk5PF4k(2ZGk1/Sos-r0N!:&\\MF8tCbEr^^~\>\n!\<E0!joBJ`jo\>D\\jo\>DYk5PF4k(2ZGk1/So!1W-N!:&\\MF8tCbEr^^~\>\n!\<E0!joBJ`jo\>D\\jo\>DYk5PF4k(2ZGk1/So!1W-N!:&\\MF8tCbEr^^~\>\n!\<E0!joBJ_k5GAWk5PF4k(2ZGk18Yps-i*M!:&\\MF8tCbEr^^~\>\n!\<E0!joBJ_k5GAWk5PF4k(2ZGk18Yp!1N'M!:&\\MF8tCbEr^^~\>\n!\<E0!joBJ_k5GAWk5PF4k(2ZGk18Yp!1N'M!:&\\MF8tCbEr^^~\>\n!\<E0!joBJUk5PF4k(2ZGk1Abqs-i*M!:&\\MF8tCbEr^^~\>\n!\<E0!joBJUk5PF4k(2ZGk1Abq!1N'M!:&\\MF8tCbEr^^~\>\n!\<E0!joBJUk5PF4k(2ZGk1Abq!1N'M!:&\\MF8tCbEr^^~\>\n!\<E0!joBJUk5PF4k(2ZGk1A_qs-`$L!:&\\MF8tCbEr^^~\>\n!\<E0!joBJUk5PF4k(2ZGk1A_q!1E!L!:&\\MF8tCbEr^^~\>\n!\<E0!joBJUk5PF4k(2ZGk1A_q!1E!L!:&\\MF8tCbEr^^~\>\n!\<E0!joBJUk5PF4k(2ZGk1Jers-VsK!:&\\MF8tCbEr^^~\>\n!\<E0!joBJUk5PF4k(2ZGk1Jer!1;pK!:&\\MF8tCbEr^^~\>\n!\<E0!joBJUk5PF4k(2ZGk1Jer!1;pK!:&\\MF8tCbEr^^~\>\n!\<E0!joBJUk5PF4k(2ZGk1Skss-MmJ!:&\\MF8tCbEr^^~\>\n!\<E0!joBJUk5PF4k(2ZGk1Sks!12jJ!:&\\MF8tCbEr^^~\>\n!\<E0!joBJUk5PF4k(2ZGk1Sks!12jJ!:&\\MF8tCbEr^^~\>\n!\<E0!joBJUk5PF4k(2ZGk1Skss-MmJ!:&\\MF8tCbEr^^~\>\n!\<E0!joBJUk5PF4k(2ZGk1Sks!12jJ!:&\\MF8tCbEr^^~\>\n!\<E0!joBJUk5PF4k(2ZGk1Sks!12jJ!:&\\MF8tCbEr^^~\>\n!\<E0!joBJUk5PF4k(2ZGk1\\qts-DgI!:&\\MF8tCbEr^^~\>\n!\<E0!joBJUk5PF4k(2ZGk1\\qt!1)dI!:&\\MF8tCbEr^^~\>\n!\<E0!joBJUk5PF4k(2ZGk1\\qt!1)dI!:&\\MF8tCbEr^^~\>\n!\<E0!joBJUk5PF4k(2ZGk1f"us-;aH!:&\\MF8tCbEr^^~\>\n!\<E0!joBJUk5PF4k(2ZGk1f"u!0u^H!:&\\MF8tCbEr^^~\>\n!\<E0!joBJUk5PF4k(2ZGk1f"u!0u^H!:&\\MF8tCbEr^^~\>\n!\<E0!joBJUk5PF4k(2ZGk1f"us-;aH!:&\\MF8tCbEr^^~\>\n!\<E0!joBJUk5PF4k(2ZGk1f"u!0u^H!:&\\MF8tCbEr^^~\>\n!\<E0!joBJUk5PF4k(2ZGk1f"u!0u^H!:&\\MF8tCbEr^^~\>\n!\<E0!joBJUk5PF4k(2ZGk1o)!s-2[G!:&\\MF8tCbEr^^~\>\n!\<E0!joBJUk5PF4k(2ZGk1o)!!0lXG!:&\\MF8tCbEr^^~\>\n!\<E0!joBJUk5PF4k(2ZGk1o)!!0lXG!:&\\MF8tCbEr^^~\>\n!\<E0!joBJUk5PF4k(2ZGk2#/"s-)UF!:&\\MF8tCbEr^^~\>\n!\<E0!joBJUk5PF4k(2ZGk2#/"!0cRF!:&\\MF8tCbEr^^~\>\n!\<E0!joBJUk5PF4k(2ZGk2#/"!0cRF!:&\\MF8tCbEr^^~\>\n!\<E0!joBJUk5PF4k(2ZGk2#/"s-)UF!:&\\MF8tCbEr^^~\>\n!\<E0!joBJUk5PF4k(2ZGk2#/"!0cRF!:&\\MF8tCbEr^^~\>\n!\<E0!joBJUk5PF4k(2ZGk2#/"!0cRF!:&\\MF8tCbEr^^~\>\n!\<E0!joBJUk5PF4k(2ZGk2,5#s,uOE!:&\\MF8tCbEr^^~\>\n!\<E0!joBJUk5PF4k(2ZGk2,5#!0ZLE!:&\\MF8tCbEr^^~\>\n!\<E0!joBJUk5PF4k(2ZGk2,5#!0ZLE!:&\\MF8tCbEr^^~\>\n!\<E0!joBJUk5PF4k(2ZGk25;$s,lID!:&\\MF8tCbEr^^~\>\n!\<E0!joBJUk5PF4k(2ZGk25;$!0QFD!:&\\MF8tCbEr^^~\>\n!\<E0!joBJUk5PF4k(2ZGk25;$!0QFD!:&\\MF8tCbEr^^~\>\n!\<E0!joBJUk5PF4k(2ZGk2\>D%s,lID!:&\\MF8tCbEr^^~\>\n!\<E0!joBJUk5PF4k(2ZGk2\>D%!0QFD!:&\\MF8tCbEr^^~\>\n!\<E0!joBJUk5PF4k(2ZGk2\>D%!0QFD!:&\\MF8tCbEr^^~\>\n!\<E0!joBJUk5PF4k(2ZGk2\>A%s,cCC!:&\\MF8tCbEr^^~\>\n!\<E0!joBJUk5PF4k(2ZGk2\>A%!0H@C!:&\\MF8tCbEr^^~\>\n!\<E0!joBJUk5PF4k(2ZGk2\>A%!0H@C!:&\\MF8tCbEr^^~\>\n!\<E0!joBJUk5PF4k(2ZGk2GG&s,Z=B!:&\\MF8tCbEr^^~\>\n!\<E0!joBJUk5PF4k(2ZGk2GG&!0?:B!:&\\MF8tCbEr^^~\>\n!\<E0!joBJUk5PF4k(2ZGk2GG&!0?:B!:&\\MF8tCbEr^^~\>\n!\<E0!joBJUk5PF4k(2ZGk2PM's,Q7A!:&\\MF8tCbEr^^~\>\n!\<E0!joBJUk5PF4k(2ZGk2PM'!064A!:&\\MF8tCbEr^^~\>\n!\<E0!joBJUk5PF4k(2ZGk2PM'!064A!:&\\MF8tCbEr^^~\>\n!\<E0!joBJUk5PF4k(2ZGk2YS(s,H1@!:&\\MF8tCbEr^^~\>\n!\<E0!joBJUk5PF4k(2ZGk2YS(!0-.@!:&\\MF8tCbEr^^~\>\n!\<E0!joBJUk5PF4k(2ZGk2YS(!0-.@!:&\\MF8tCbEr^^~\>\n!\<E0!joBJUk5PF4k(2ZGk2b\\)s,H1@!:&\\MF8tCbEr^^~\>\n!\<E0!joBJUk5PF4k(2ZGk2b\\)!0-.@!:&\\MF8tCbEr^^~\>\n!\<E0!joBJUk5PF4k(2ZGk2b\\)!0-.@!:&\\MF8tCbEr^^~\>\n!\<E0!joBJUk5PF4k(2ZGk2bY)s,?+?!:&\\MF8tCbEr^^~\>\n!\<E0!joBJUk5PF4k(2ZGk2bY)!0$(?!:&\\MF8tCbEr^^~\>\n!\<E0!joBJUk5PF4k(2ZGk2bY)!0$(?!:&\\MF8tCbEr^^~\>\n!\<E0!joBJUk5PF4k(2ZGk2k_*s,6%\>!:&\\MF8tCbEr^^~\>\n!\<E0!joBJUk5PF4k(2ZGk2k_*!/p"\>!:&\\MF8tCbEr^^~\>\n!\<E0!joBJUk5PF4k(2ZGk2k_*!/p"\>!:&\\MF8tCbEr^^~\>\n!\<E0!joBJUk5PF4k(2ZGk2te+s,,t=!:&\\MF8tCbEr^^~\>\n!\<E0!joBJUk5PF4k(2ZGk2te+!/fq=!:&\\MF8tCbEr^^~\>\n!\<E0!joBJUk5PF4k(2ZGk2te+!/fq=!:&\\MF8tCbEr^^~\>\n!\<E0!joBJUk5PF4k(2ZGk3(k,s,#n\<!:&\\MF8tCbEr^^~\>\n!\<E0!joBJUk5PF4k(2ZGk3(k,!/]k\<!:&\\MF8tCbEr^^~\>\n!\<E0!joBJUk5PF4k(2ZGk3(k,!/]k\<!:&\\MF8tCbEr^^~\>\n!\<E0!joBJUk5PF4k(2ZGk31t-s,#n\<!:&\\MF8tCbEr^^~\>\n!\<E0!joBJUk5PF4k(2ZGk31t-!/]k\<!:&\\MF8tCbEr^^~\>\n!\<E0!joBJUk5PF4k(2ZGk31t-!/]k\<!:&\\MF8tCbEr^^~\>\n!\<E0!joBJUk5PF4k(2ZGk3;%.s+oh;!:&\\MF8tCbEr^^~\>\n!\<E0!joBJUk5PF4k(2ZGk3;%.!/Te;!:&\\MF8tCbEr^^~\>\n!\<E0!joBJUk5PF4k(2ZGk3;%.!/Te;!:&\\MF8tCbEr^^~\>\n!\<E0!joBJUk5PF4k(2ZGk3D+/s+fb:!:&\\MF8tCbEr^^~\>\n!\<E0!joBJUk5PF4k(2ZGk3D+/!/K_:!:&\\MF8tCbEr^^~\>\n!\<E0!joBJUk5PF4k(2ZGk3D+/!/K_:!:&\\MF8tCbEr^^~\>\n!\<E0!joBJUk5PF4k(2ZGk3D(/s+]\\9!:&\\MF8tCbEr^^~\>\n!\<E0!joBJUk5PF4k(2ZGk3D(/!/BY9!:&\\MF8tCbEr^^~\>\n!\<E0!joBJUk5PF4k(2ZGk3D(/!/BY9!:&\\MF8tCbEr^^~\>\n!\<E0!joBJUk5PF4k(2ZGk3M.0s+TV8!:&\\MF8tCbEr^^~\>\n!\<E0!joBJUk5PF4k(2ZGk3M.0!/9S8!:&\\MF8tCbEr^^~\>\n!\<E0!joBJUk5PF4k(2ZGk3M.0!/9S8!:&\\MF8tCbEr^^~\>\n!\<E0!joBJUk5PF4k(2ZGk3V41s+KP7!:&\\MF8tCbEr^^~\>\n!\<E0!joBJUk5PF4k(2ZGk3V41!/0M7!:&\\MF8tCbEr^^~\>\n!\<E0!joBJUk5PF4k(2ZGk3V41!/0M7!:&\\MF8tCbEr^^~\>\n!\<E0!joBJUk5PF4k(2ZGk3_:2s+BJ6!:&\\MF8tCbEr^^~\>\n!\<E0!joBJUk5PF4k(2ZGk3_:2!/'G6!:&\\MF8tCbEr^^~\>\n!\<E0!joBJUk5PF4k(2ZGk3_:2!/'G6!:&\\MF8tCbEr^^~\>\n!\<E0!joBJUk5PF4k(2ZGk3h@3s+9D5!:&\\MF8tCbEr^^~\>\n!\<E0!joBJUk5PF4k(2ZGk3h@3!.sA5!:&\\MF8tCbEr^^~\>\n!\<E0!joBJUk5PF4k(2ZGk3h@3!.sA5!:&\\MF8tCbEr^^~\>\n!\<E0!joBJ]jo\>DXk5PF4k(2ZGk3qI4s+9D5!:&\\MF8tCbEr^^~\>\n!\<E0!joBJ]jo\>DXk5PF4k(2ZGk3qI4!.sA5!:&\\MF8tCbEr^^~\>\n!\<E0!joBJ]jo\>DXk5PF4k(2ZGk3qI4!.sA5!:&\\MF8tCbEr^^~\>\n!\<E0!joBJ]jo\>DXk5PF4k(2ZGk4%O5s+0\>4!:&\\MF8tCbEr^^~\>\n!\<E0!joBJ]jo\>DXk5PF4k(2ZGk4%O5!.j;4!:&\\MF8tCbEr^^~\>\n!\<E0!joBJ]jo\>DXk5PF4k(2ZGk4%O5!.j;4!:&\\MF8tCbEr^^~\>\n!\<E0!joBJ^k5PGXk5PF4k(2ZGk4%L5s+0;6jo\>DHjooi+k2p^bJ,~\>\n!\<E0!joBJ^k5PGXk5PF4k(2ZGk4%L5!.j86jo\>DHjooi+k2p^bJ,~\>\n!\<E0!joBJ^k5PGXk5PF4k(2ZGk4%L5!.j86jo\>DHjooi+k2p^bJ,~\>\n!\<E0!joBJ_joPPF!;bjX!.j9`k(2[bjoGF4k5XTD!:&\\MF8tCbEr^^~\>\n!\<E0!joBJ_joPPF!;bjX!.j9`k(2[bjo\>C4k5XTD!:&\\MF8tCbEr^^~\>\n!\<E0!joBJ_joPPF!;bjX!.j9`k(2[bjo\>C4k5XTD!:&\\MF8tCbEr^^~\>\n!\<E0!joBJ_joPPF!;bjV!.j9`k(2[ejoGF4k555Ejooi+k2p^bJ,~\>\n!\<E0!joBJ_joPPF!;bjV!.j9`k(2[ejo\>C4k555Ejooi+k2p^bJ,~\>\n!\<E0!joBJ_joPPF!;bjV!.j9`k(2[ejo\>C4k555Ejooi+k2p^bJ,~\>\n!\<E0!joBJ`joYVGjoG8?r;_E2J`_OGp#Z8SJ`ZspquH$E"`s_+k&UNQ~\>\n!\<E0!joBJ`joYVGjoG8?r;_E2J`_OGp#Z5SJ`ZspquH$E"`s_+k&UNQ~\>\n!\<E0!joBJ`joYVGjoG8?r;_E2J`_OGp#Z5SJ`ZspquH$E"`s_+k&UNQ~\>\n!\<E0!joBJ`k555Vk5PF4k(2ZGk4Rm:s+0\>1k5PGHjooi+k2p^bJ,~\>\n!\<E0!joBJ`k555Vk5PF4k(2ZGk4Rm:!.j;1k5PGHjooi+k2p^bJ,~\>\n!\<E0!joBJ`k555Vk5PF4k(2ZGk4Rm:!.j;1k5PGHjooi+k2p^bJ,~\>\n!\<E0!joBJ]jo\>DXk5PF4k(2ZGk4[s;s+0\>0k5PGHjooi+k2p^bJ,~\>\n!\<E0!joBJ]jo\>DXk5PF4k(2ZGk4[s;!.j;0k5PGHjooi+k2p^bJ,~\>\n!\<E0!joBJ]jo\>DXk5PF4k(2ZGk4[s;!.j;0k5PGHjooi+k2p^bJ,~\>\n!\<E0!joBJ]jo\>DXk5PF4k(2ZGk4e$\<s+0\>/k5PGHjooi+k2p^bJ,~\>\n!\<E0!joBJ]jo\>DXk5PF4k(2ZGk4e$\<!.j;/k5PGHjooi+k2p^bJ,~\>\n!\<E0!joBJ]jo\>DXk5PF4k(2ZGk4e$\<!.j;/k5PGHjooi+k2p^bJ,~\>\n!\<E0!joBJUk5PF4k(2ZGk4n'=s+0\>-k5PGHjooi+k2p^bJ,~\>\n!\<E0!joBJUk5PF4k(2ZGk4n'=!.j;-k5PGHjooi+k2p^bJ,~\>\n!\<E0!joBJUk5PF4k(2ZGk4n'=!.j;-k5PGHjooi+k2p^bJ,~\>\n!\<E0!joBJUk5PF4k(2ZGk5"-\>s+0\>,k5PGHjooi+k2p^bJ,~\>\n!\<E0!joBJUk5PF4k(2ZGk5"-\>!.j;,k5PGHjooi+k2p^bJ,~\>\n!\<E0!joBJUk5PF4k(2ZGk5"-\>!.j;,k5PGHjooi+k2p^bJ,~\>\n!\<E0!joBJUk5PF4k(2ZGk54\<@s+0\>+k5PGHjooi+k2p^bJ,~\>\n!\<E0!joBJUk5PF4k(2ZGk54\<@!.j;+k5PGHjooi+k2p^bJ,~\>\n!\<E0!joBJUk5PF4k(2ZGk54\<@!.j;+k5PGHjooi+k2p^bJ,~\>\n!\<E0!joBJUk5PF4k(2ZGk5=BAs+0\>*k5PGHjooi+k2p^bJ,~\>\n!\<E0!joBJUk5PF4k(2ZGk5=BA!.j;*k5PGHjooi+k2p^bJ,~\>\n!\<E0!joBJUk5PF4k(2ZGk5=BA!.j;*k5PGHjooi+k2p^bJ,~\>\n!\<E0!joBJUk5PF4k(2ZGk5ONCs+0\>(k5PGHjooi+k2p^bJ,~\>\n!\<E0!joBJUk5PF4k(2ZGk5ONC!.j;(k5PGHjooi+k2p^bJ,~\>\n!\<E0!joBJUk5PF4k(2ZGk5ONC!.j;(k5PGHjooi+k2p^bJ,~\>\n!\<E0!joBJUk5PF4k(2ZGk5XTDs+0\>'k5PGHjooi+k2p^bJ,~\>\n!\<E0!joBJUk5PF4k(2ZGk5XTD!.j;'k5PGHjooi+k2p^bJ,~\>\n!\<E0!joBJUk5PF4k(2ZGk5XTD!.j;'k5PGHjooi+k2p^bJ,~\>\n!\<E0!joBJUk5PF4k(2ZGk5YI4k4%O5!:&\\MF8tCbEr^^~\>\n!\<E0!joBJUk5PF4k(2ZGk5PF4k4%O5!:&\\MF8tCbEr^^~\>\n!\<E0!joBJUk5PF4k(2ZGk5PF4k4%O5!:&\\MF8tCbEr^^~\>\n!\<E0!joBJUk5PF4k(2ZIk5PC3k3qI4!:&\\MF8tCbEr^^~\>\n!\<E0!joBJUk5PF4k(2ZIk5G@3k3qI4!:&\\MF8tCbEr^^~\>\n!\<E0!joBJUk5PF4k(2ZIk5G@3k3qI4!:&\\MF8tCbEr^^~\>\n!\<E0!joBJUk5PF4k(2ZKk5PC3k3_=2!:&\\MF8tCbEr^^~\>\n!\<E0!joBJUk5PF4k(2ZKk5G@3k3_=2!:&\\MF8tCbEr^^~\>\n!\<E0!joBJUk5PF4k(2ZKk5G@3k3_=2!:&\\MF8tCbEr^^~\>\n!\<E0!joBJUk5PF4k(2ZMk5PC3k3M10!:&\\MF8tCbEr^^~\>\n!\<E0!joBJUk5PF4k(2ZMk5G@3k3M10!:&\\MF8tCbEr^^~\>\n!\<E0!joBJUk5PF4k(2ZMk5G@3k3M10!:&\\MF8tCbEr^^~\>\n!\<E0!joBJUk5PF4k(2ZQk5G=2k31t-!:&\\MF8tCbEr^^~\>\n!\<E0!joBJUk5PF4k(2ZQk5\>:2k31t-!:&\\MF8tCbEr^^~\>\n!\<E0!joBJUk5PF4k(2ZQk5\>:2k31t-!:&\\MF8tCbEr^^~\>\n!\<E0!joBJUk5PF4k(2ZTk5PC3k2b\\)!:&\\MF8tCbEr^^~\>\n!\<E0!joBJUk5PF4k(2ZTk5G@3k2b\\)!:&\\MF8tCbEr^^~\>\n!\<E0!joBJUk5PF4k(2ZTk5G@3k2b\\)!:&\\MF8tCbEr^^~\>\n!\<E0!joBJUk5PF4k(2ZXk5G=2k2GJ&!:&\\MF8tCbEr^^~\>\n!\<E0!joBJUk5PF4k(2ZXk5\>:2k2GJ&!:&\\MF8tCbEr^^~\>\n!\<E0!joBJUk5PF4k(2ZXk5\>:2k2GJ&!:&\\MF8tCbEr^^~\>\n!\<E0!joBJUk5PF4k(2["k2QDlk2#2"!:&\\MF8tCbEr^^~\>\n!\<E0!joBJUk5PF4k(2["k2HAlk2#2"!:&\\MF8tCbEr^^~\>\n!\<E0!joBJUk5PF4k(2["k2HAlk2#2"!:&\\MF8tCbEr^^~\>\n!\<E0!joBJUk5PF4k(2[)k5,+/k.^!X!:&\\MF8tCbEr^^~\>\n!\<E0!joBJUk5PF4k(2[)k5#(/k.^!X!:&\\MF8tCbEr^^~\>\n!\<E0!joBJUk5PF4k(2[)k5#(/k.^!X!:&\\MF8tCbEr^^~\>\n!\<E0!joBJUk5PF4k(2[.k5\>71k-sLQ!:&\\MF8tCbEr^^~\>\n!\<E0!joBJUk5PF4k(2[.k5541k-sLQ!:&\\MF8tCbEr^^~\>\n!\<E0!joBJUk5PF4k(2[.k5541k-sLQ!:&\\MF8tCbEr^^~\>\n!\<E0!joBJUk5PF4k(2[0k5PC3k-O4M!:&\\MF8tCbEr^^~\>\n!\<E0!joBJUk5PF4k(2[0k5G@3k-O4M!:&\\MF8tCbEr^^~\>\n!\<E0!joBJUk5PF4k(2[0k5G@3k-O4M!:&\\MF8tCbEr^^~\>\n!\<E0!joBJUk5PF4k(2[2k5PC3k-=(K!:&\\MF8tCbEr^^~\>\n!\<E0!joBJUk5PF4k(2[2k5G@3k-=(K!:&\\MF8tCbEr^^~\>\n!\<E0!joBJUk5PF4k(2[2k5G@3k-=(K!:&\\MF8tCbEr^^~\>\n!\<E0!joBJUk5PF4k(2[4k5PC3k-*qI!:&\\MF8tCbEr^^~\>\n!\<E0!joBJUk5PF4k(2[4k5G@3k-*qI!:&\\MF8tCbEr^^~\>\n!\<E0!joBJUk5PF4k(2[4k5G@3k-*qI!:&\\MF8tCbEr^^~\>\n!\<E0!joBJUk5PF4k(2[6k5YI4k,d_F!:&\\MF8tCbEr^^~\>\n!\<E0!joBJUk5PF4k(2[6k5PF4k,d_F!:&\\MF8tCbEr^^~\>\n!\<E0!joBJUk5PF4k(2[6k5PF4k,d_F!:&\\MF8tCbEr^^~\>\n!\<E0!joBJUk5PF4k(2[8k5YI4k,RSD!:&\\MF8tCbEr^^~\>\n!\<E0!joBJUk5PF4k(2[8k5PF4k,RSD!:&\\MF8tCbEr^^~\>\n!\<E0!joBJUk5PF4k(2[8k5PF4k,RSD!:&\\MF8tCbEr^^~\>\n!\<E0!joBJUk5PF4k(2[:k5YI4k,@GB!:&\\MF8tCbEr^^~\>\n!\<E0!joBJUk5PF4k(2[:k5PF4k,@GB!:&\\MF8tCbEr^^~\>\n!\<E0!joBJUk5PF4k(2[:k5PF4k,@GB!:&\\MF8tCbEr^^~\>\n!\<E0!joBJUk5PF4k(2[\<k5YI4k,.;@!:&\\MF8tCbEr^^~\>\n!\<E0!joBJUk5PF4k(2[\<k5PF4k,.;@!:&\\MF8tCbEr^^~\>\n!\<E0!joBJUk5PF4k(2[\<k5PF4k,.;@!:&\\MF8tCbEr^^~\>\n!\<E0!joBJUk5PF4k(2[=k5YI4k,%5?!:&\\MF8tCbEr^^~\>\n!\<E0!joBJUk5PF4k(2[=k5PF4k,%5?!:&\\MF8tCbEr^^~\>\n!\<E0!joBJUk5PF4k(2[=k5PF4k,%5?!:&\\MF8tCbEr^^~\>\n!\<E0!joBJUk5PF4k(2[?k5YI4k+h)=!:&\\MF8tCbEr^^~\>\n!\<E0!joBJUk5PF4k(2[?k5PF4k+h)=!:&\\MF8tCbEr^^~\>\n!\<E0!joBJUk5PF4k(2[?k5PF4k+h)=!:&\\MF8tCbEr^^~\>\n!\<E0!joBJUk5PF4k(2[@k5YI4k+_#\<!:&\\MF8tCbEr^^~\>\n!\<E0!joBJUk5PF4k(2[@k5PF4k+_#\<!:&\\MF8tCbEr^^~\>\n!\<E0!joBJUk5PF4k(2[@k5PF4k+_#\<!:&\\MF8tCbEr^^~\>\n!\<E0!joBJUk5PF4k(2[AjoGF4k+Ll:!:&\\MF8tCbEr^^~\>\n!\<E0!joBJUk5PF4k(2[Ajo\>C4k+Ll:!:&\\MF8tCbEr^^~\>\n!\<E0!joBJUk5PF4k(2[Ajo\>C4k+Ll:!:&\\MF8tCbEr^^~\>\n!\<E0!joBJUk5PF4k(2[BjoGF4k+Cf9!:&\\MF8tCbEr^^~\>\n!\<E0!joBJUk5PF4k(2[Bjo\>C4k+Cf9!:&\\MF8tCbEr^^~\>\n!\<E0!joBJUk5PF4k(2[Bjo\>C4k+Cf9!:&\\MF8tCbEr^^~\>\n!\<E0!joBJUk5PF4k(2[CjoGF4k+:`8!:&\\MF8tCbEr^^~\>\n!\<E0!joBJUk5PF4k(2[Cjo\>C4k+:`8!:&\\MF8tCbEr^^~\>\n!\<E0!joBJUk5PF4k(2[Cjo\>C4k+:`8!:&\\MF8tCbEr^^~\>\n!\<E0!joBJUk5PF4k(2[DjoGF4k+1Z7!:&\\MF8tCbEr^^~\>\n!\<E0!joBJUk5PF4k(2[Djo\>C4k+1Z7!:&\\MF8tCbEr^^~\>\n!\<E0!joBJUk5PF4k(2[Djo\>C4k+1Z7!:&\\MF8tCbEr^^~\>\n!\<E0!joBJUk5PF4k(2[EjoGF4k+(T6!:&\\MF8tCbEr^^~\>\n!\<E0!joBJUk5PF4k(2[Ejo\>C4k+(T6!:&\\MF8tCbEr^^~\>\n!\<E0!joBJUk5PF4k(2[Ejo\>C4k+(T6!:&\\MF8tCbEr^^~\>\n!\<E0!joBJ_k5GAWk5PF4k(2[FjoGF4k*tN5!:&\\MF8tCbEr^^~\>\n!\<E0!joBJ_k5GAWk5PF4k(2[Fjo\>C4k*tN5!:&\\MF8tCbEr^^~\>\n!\<E0!joBJ_k5GAWk5PF4k(2[Fjo\>C4k*tN5!:&\\MF8tCbEr^^~\>\n!\<E0!joBJ`jo\>D\\jo\>DYk5PF4k(2[GjoGF4k*kH4!:&\\MF8tCbEr^^~\>\n!\<E0!joBJ`jo\>D\\jo\>DYk5PF4k(2[Gjo\>C4k*kH4!:&\\MF8tCbEr^^~\>\n!\<E0!joBJ`jo\>D\\jo\>DYk5PF4k(2[Gjo\>C4k*kH4!:&\\MF8tCbEr^^~\>\n!\<E0!joBJ`jo\>D\\jo\>DYk5PF4k(2[HjoGF4k*bB3!:&\\MF8tCbEr^^~\>\n!\<E0!joBJ`jo\>D\\jo\>DYk5PF4k(2[Hjo\>C4k*bB3!:&\\MF8tCbEr^^~\>\n!\<E0!joBJ`jo\>D\\jo\>DYk5PF4k(2[Hjo\>C4k*bB3!:&\\MF8tCbEr^^~\>\n!\<E0!joBJ\\jo\>DYk5PF4k(2[IjoGF4k*Y\<2!:&\\MF8tCbEr^^~\>\n!\<E0!joBJ\\jo\>DYk5PF4k(2[Ijo\>C4k*Y\<2!:&\\MF8tCbEr^^~\>\n!\<E0!joBJ\\jo\>DYk5PF4k(2[Ijo\>C4k*Y\<2!:&\\MF8tCbEr^^~\>\n!\<E0!joBJ]jo\>DXk5\>:2k(2[LjoGF4k*kH1!:&\\MF8tCbEr^^~\>\n!\<E0!joBJ]jo\>DXk5\>:2k(2[Ljo\>C4k*kH1!:&\\MF8tCbEr^^~\>\n!\<E0!joBJ]jo\>DXk5\>:2k(2[Ljo\>C4k*kH1!:&\\MF8tCbEr^^~\>\n!\<E0!joBJ^jo\>DWk5\>:2k(2[MjoGF4k*bB0!:&\\MF8tCbEr^^~\>\n!\<E0!joBJ^jo\>DWk5\>:2k(2[Mjo\>C4k*bB0!:&\\MF8tCbEr^^~\>\n!\<E0!joBJ^jo\>DWk5\>:2k(2[Mjo\>C4k*bB0!:&\\MF8tCbEr^^~\>\n!\<E0!joBJ_jo\>DVk5PF4k(2[LjoGF4k*\>*/!:&\\MF8tCbEr^^~\>\n!\<E0!joBJ_jo\>DVk5PF4k(2[Ljo\>C4k*\>*/!:&\\MF8tCbEr^^~\>\n!\<E0!joBJ_jo\>DVk5PF4k(2[Ljo\>C4k*\>*/!:&\\MF8tCbEr^^~\>\n!\<E0!joBJ`jo\>DUk5PF4k(2[MjoGF4k*5$.!:&\\MF8tCbEr^^~\>\n!\<E0!joBJ`jo\>DUk5PF4k(2[Mjo\>C4k*5$.!:&\\MF8tCbEr^^~\>\n!\<E0!joBJ`jo\>DUk5PF4k(2[Mjo\>C4k*5$.!:&\\MF8tCbEr^^~\>\n!\<E0!joBJ`k555Vk5PF4k(2[NjoGF4k*+s-!:&\\MF8tCbEr^^~\>\n!\<E0!joBJ`k555Vk5PF4k(2[Njo\>C4k*+s-!:&\\MF8tCbEr^^~\>\n!\<E0!joBJ`k555Vk5PF4k(2[Njo\>C4k*+s-!:&\\MF8tCbEr^^~\>\n!\<E0!joBJUk5PF4k(2[OjoGF4k*"m,!:&\\MF8tCbEr^^~\>\n!\<E0!joBJUk5PF4k(2[Ojo\>C4k*"m,!:&\\MF8tCbEr^^~\>\n!\<E0!joBJUk5PF4k(2[Ojo\>C4k*"m,!:&\\MF8tCbEr^^~\>\n!\<E0!joBJUk5PF4k(2[PjoGF4k)ng+!:&\\MF8tCbEr^^~\>\n!\<E0!joBJUk5PF4k(2[Pjo\>C4k)ng+!:&\\MF8tCbEr^^~\>\n!\<E0!joBJUk5PF4k(2[Pjo\>C4k)ng+!:&\\MF8tCbEr^^~\>\n!\<E0!joBJUk5PF4k(2[Qk5YI4k)ng+!:&\\MF8tCbEr^^~\>\n!\<E0!joBJUk5PF4k(2[Qk5PF4k)ng+!:&\\MF8tCbEr^^~\>\n!\<E0!joBJUk5PF4k(2[Qk5PF4k)ng+!:&\\MF8tCbEr^^~\>\n!\<E0!joBJUk5PF4k(2[Rk5YI4k)ea*!:&\\MF8tCbEr^^~\>\n!\<E0!joBJUk5PF4k(2[Rk5PF4k)ea*!:&\\MF8tCbEr^^~\>\n!\<E0!joBJUk5PF4k(2[Rk5PF4k)ea*!:&\\MF8tCbEr^^~\>\n!\<E0!joBJUk5PF4k(2[Sk5YI4k)\\[)!:&\\MF8tCbEr^^~\>\n!\<E0!joBJUk5PF4k(2[Sk5PF4k)\\[)!:&\\MF8tCbEr^^~\>\n!\<E0!joBJUk5PF4k(2[Sk5PF4k)\\[)!:&\\MF8tCbEr^^~\>\n!\<E0!joBJUk5PF4k(2[SjoGF4k)SU(!:&\\MF8tCbEr^^~\>\n!\<E0!joBJUk5PF4k(2[Sjo\>C4k)SU(!:&\\MF8tCbEr^^~\>\n!\<E0!joBJUk5PF4k(2[Sjo\>C4k)SU(!:&\\MF8tCbEr^^~\>\n!\<E0!joBJUk5PF4k(2[TjoGF4k)JO'!:&\\MF8tCbEr^^~\>\n!\<E0!joBJUk5PF4k(2[Tjo\>C4k)JO'!:&\\MF8tCbEr^^~\>\n!\<E0!joBJUk5PF4k(2[Tjo\>C4k)JO'!:&\\MF8tCbEr^^~\>\n!\<E0!joBJUk5PF4k(2[UjoGF4k)AI&!:&\\MF8tCbEr^^~\>\n!\<E0!joBJUk5PF4k(2[Ujo\>C4k)AI&!:&\\MF8tCbEr^^~\>\n!\<E0!joBJUk5PF4k(2[Ujo\>C4k)AI&!:&\\MF8tCbEr^^~\>\n!\<E0!joBJUk5PF4k(2[VjoGF4k)8C%!:&\\MF8tCbEr^^~\>\n!\<E0!joBJUk5PF4k(2[Vjo\>C4k)8C%!:&\\MF8tCbEr^^~\>\n!\<E0!joBJUk5PF4k(2[Vjo\>C4k)8C%!:&\\MF8tCbEr^^~\>\n!\<E0!joBJUk5PF4k(2[VjoGF4k)8C%!:&\\MF8tCbEr^^~\>\n!\<E0!joBJUk5PF4k(2[Vjo\>C4k)8C%!:&\\MF8tCbEr^^~\>\n!\<E0!joBJUk5PF4k(2[Vjo\>C4k)8C%!:&\\MF8tCbEr^^~\>\n!\<E0!joBJUk5PF4k(2[WjoGF4k)/=$!:&\\MF8tCbEr^^~\>\n!\<E0!joBJUk5PF4k(2[Wjo\>C4k)/=$!:&\\MF8tCbEr^^~\>\n!\<E0!joBJUk5PF4k(2[Wjo\>C4k)/=$!:&\\MF8tCbEr^^~\>\n!\<E0!joBJUk5PF4k(2[XjoGF4k)&7#!:&\\MF8tCbEr^^~\>\n!\<E0!joBJUk5PF4k(2[Xjo\>C4k)&7#!:&\\MF8tCbEr^^~\>\n!\<E0!joBJUk5PF4k(2[Xjo\>C4k)&7#!:&\\MF8tCbEr^^~\>\n!\<E0!joBJUk5PF4k(2[XjoGF4k)&7#!:&\\MF8tCbEr^^~\>\n!\<E0!joBJUk5PF4k(2[Xjo\>C4k)&7#!:&\\MF8tCbEr^^~\>\n!\<E0!joBJUk5PF4k(2[Xjo\>C4k)&7#!:&\\MF8tCbEr^^~\>\n!\<E0!joBJUk5PF4k(2[YjoGF4k(r1"!:&\\MF8tCbEr^^~\>\n!\<E0!joBJUk5PF4k(2[Yjo\>C4k(r1"!:&\\MF8tCbEr^^~\>\n!\<E0!joBJUk5PF4k(2[Yjo\>C4k(r1"!:&\\MF8tCbEr^^~\>\n!\<E0!joBJUk5PF4k(2[ZjoGF4k(i+!!:&\\MF8tCbEr^^~\>\n!\<E0!joBJUk5PF4k(2[Zjo\>C4k(i+!!:&\\MF8tCbEr^^~\>\n!\<E0!joBJUk5PF4k(2[Zjo\>C4k(i+!!:&\\MF8tCbEr^^~\>\n!\<E0!joBJUk5PF4k(2[ZjoGF4k(i+!!:&\\MF8tCbEr^^~\>\n!\<E0!joBJUk5PF4k(2[Zjo\>C4k(i+!!:&\\MF8tCbEr^^~\>\n!\<E0!joBJUk5PF4k(2[Zjo\>C4k(i+!!:&\\MF8tCbEr^^~\>\n!\<E0!joBJUk5PF4k(2[[joGF4k(`$u!:&\\MF8tCbEr^^~\>\n!\<E0!joBJUk5PF4k(2[[jo\>C4k(`$u!:&\\MF8tCbEr^^~\>\n!\<E0!joBJUk5PF4k(2[[jo\>C4k(`$u!:&\\MF8tCbEr^^~\>\n!\<E0!joBJUk5PF4k(2[\\joGF4k(Vst!:&\\MF8tCbEr^^~\>\n!\<E0!joBJUk5PF4k(2[\\jo\>C4k(Vst!:&\\MF8tCbEr^^~\>\n!\<E0!joBJUk5PF4k(2[\\jo\>C4k(Vst!:&\\MF8tCbEr^^~\>\n!\<E0!joBJUk5PF4k(2[]k5YI4k(Vst!:&\\MF8tCbEr^^~\>\n!\<E0!joBJUk5PF4k(2[]k5PF4k(Vst!:&\\MF8tCbEr^^~\>\n!\<E0!joBJUk5PF4k(2[]k5PF4k(Vst!:&\\MF8tCbEr^^~\>\n!\<E0!joBJUk5PF4k(2[]joGF4k(Mms!:&\\MF8tCbEr^^~\>\n!\<E0!joBJUk5PF4k(2[]jo\>C4k(Mms!:&\\MF8tCbEr^^~\>\n!\<E0!joBJUk5PF4k(2[]jo\>C4k(Mms!:&\\MF8tCbEr^^~\>\n!\<E0!joBJUk5PF4k(2[^joGF4k(Dgr!:&\\MF8tCbEr^^~\>\n!\<E0!joBJUk5PF4k(2[^jo\>C4k(Dgr!:&\\MF8tCbEr^^~\>\n!\<E0!joBJUk5PF4k(2[^jo\>C4k(Dgr!:&\\MF8tCbEr^^~\>\n!\<E0!joBJUk5PF4k(2[_k5YI4k(Dgr!:&\\MF8tCbEr^^~\>\n!\<E0!joBJUk5PF4k(2[_k5PF4k(Dgr!:&\\MF8tCbEr^^~\>\n!\<E0!joBJUk5PF4k(2[_k5PF4k(Dgr!:&\\MF8tCbEr^^~\>\n!\<E0!joBJUk5PF4k(2[_joGF4k(;aq!:&\\MF8tCbEr^^~\>\n!\<E0!joBJUk5PF4k(2[_jo\>C4k(;aq!:&\\MF8tCbEr^^~\>\n!\<E0!joBJUk5PF4k(2[_jo\>C4k(;aq!:&\\MF8tCbEr^^~\>\n!\<E0!joBJUk5PF4k(2[`joGF4k(2[p!:&\\MF8tCbEr^^~\>\n!\<E0!joBJUk5PF4k(2[`jo\>C4k(2[p!:&\\MF8tCbEr^^~\>\n!\<E0!joBJUk5PF4k(2[`jo\>C4k(2[p!:&\\MF8tCbEr^^~\>\n!\<E0!joBJUk5PF4k(2[ak5YI4k(2[p!:&\\MF8tCbEr^^~\>\n!\<E0!joBJUk5PF4k(2[ak5PF4k(2[p!:&\\MF8tCbEr^^~\>\n!\<E0!joBJUk5PF4k(2[ak5PF4k(2[p!:&\\MF8tCbEr^^~\>\n!\<E0!joBJUk5PF4k(2[ajoGF4k(2Xrjo\>DHjooi+k2p^bJ,~\>\n!\<E0!joBJUk5PF4k(2[ajo\>C4k(2Xrjo\>DHjooi+k2p^bJ,~\>\n!\<E0!joBJUk5PF4k(2[ajo\>C4k(2Xrjo\>DHjooi+k2p^bJ,~\>\n!\<E0!joBJUk5PF4k(2[bjoGF4k(2[pk5PGHjooi+k2p^bJ,~\>\n!\<E0!joBJUk5PF4k(2[bjo\>C4k(2[pk5PGHjooi+k2p^bJ,~\>\n!\<E0!joBJUk5PF4k(2[bjo\>C4k(2[pk5PGHjooi+k2p^bJ,~\>\n!\<E0!joBJUk5PF4k(2[cjoGF4k(2[ok5PGHjooi+k2p^bJ,~\>\n!\<E0!joBJUk5PF4k(2[cjo\>C4k(2[ok5PGHjooi+k2p^bJ,~\>\n!\<E0!joBJUk5PF4k(2[cjo\>C4k(2[ok5PGHjooi+k2p^bJ,~\>\n!\<E0!joBJUk5PF4k(2[dk5YI4k(2[ok5PGHjooi+k2p^bJ,~\>\n!\<E0!joBJUk5PF4k(2[dk5PF4k(2[ok5PGHjooi+k2p^bJ,~\>\n!\<E0!joBJUk5PF4k(2[dk5PF4k(2[ok5PGHjooi+k2p^bJ,~\>\n!\<E0!joBJUk5PF4k(2[djoGF4k(2[nk5PGHjooi+k2p^bJ,~\>\n!\<E0!joBJUk5PF4k(2[djo\>C4k(2[nk5PGHjooi+k2p^bJ,~\>\n!\<E0!joBJUk5PF4k(2[djo\>C4k(2[nk5PGHjooi+k2p^bJ,~\>\n!\<E0!joBJUk5PF4k(2[ejoGF4k(2[mk5PGHjooi+k2p^bJ,~\>\n!\<E0!joBJUk5PF4k(2[ejo\>C4k(2[mk5PGHjooi+k2p^bJ,~\>\n!\<E0!joBJUk5PF4k(2[ejo\>C4k(2[mk5PGHjooi+k2p^bJ,~\>\n!\<E0!joBJ^jo\>DWk5PF4k(2[fk5YI4k(2[mk5PGHjooi+k2p^bJ,~\>\n!\<E0!joBJ^jo\>DWk5PF4k(2[fk5PF4k(2[mk5PGHjooi+k2p^bJ,~\>\n!\<E0!joBJ^jo\>DWk5PF4k(2[fk5PF4k(2[mk5PGHjooi+k2p^bJ,~\>\n!\<E0!joBJ_joPPF!;bjX!.j9`k4Rj:s+0\<`k54\<@!:&\\MF8tCbEr^^~\>\n!\<E0!joBJ_joPPF!;bjX!.j9`k4Rj:!.j9`k54\<@!:&\\MF8tCbEr^^~\>\n!\<E0!joBJ_joPPF!;bjX!.j9`k4Rj:!.j9`k54\<@!:&\\MF8tCbEr^^~\>\n!\<E0!joBJ`jo\>D\\jo\>DYk5PF4k(2[gjoGF4k(2[kk5PGHjooi+k2p^bJ,~\>\n!\<E0!joBJ`jo\>D\\jo\>DYk5PF4k(2[gjo\>C4k(2[kk5PGHjooi+k2p^bJ,~\>\n!\<E0!joBJ`jo\>D\\jo\>DYk5PF4k(2[gjo\>C4k(2[kk5PGHjooi+k2p^bJ,~\>\n!\<E0!joBJ`jo\>D\\jo\>DYk5PF4k(2[hk5YI4k(2[kk5PGHjooi+k2p^bJ,~\>\n!\<E0!joBJ`jo\>D\\jo\>DYk5PF4k(2[hk5PF4k(2[kk5PGHjooi+k2p^bJ,~\>\n!\<E0!joBJ`jo\>D\\jo\>DYk5PF4k(2[hk5PF4k(2[kk5PGHjooi+k2p^bJ,~\>\n!\<E0!joBJ`jo\>D\\jo\>DYk5\>:2k(2[jjoGF4k(2[mk555Ejooi+k2p^bJ,~\>\n!\<E0!joBJ`jo\>D\\jo\>DYk5\>:2k(2[jjo\>C4k(2[mk555Ejooi+k2p^bJ,~\>\n!\<E0!joBJ`jo\>D\\jo\>DYk5\>:2k(2[jjo\>C4k(2[mk555Ejooi+k2p^bJ,~\>\n!\<E0!joBJ`jo\>D\\jo\>DYk5\>:2k(2[kjoGF4k(2[lk555Ejooi+k2p^bJ,~\>\n!\<E0!joBJ`jo\>D\\jo\>DYk5\>:2k(2[kjo\>C4k(2[lk555Ejooi+k2p^bJ,~\>\n!\<E0!joBJ`jo\>D\\jo\>DYk5\>:2k(2[kjo\>C4k(2[lk555Ejooi+k2p^bJ,~\>\n!\<E0!joBJ`jo\>D\\jo\>DYk5PF4k(2[jjoGF4k(2[hk5PGHjooi+k2p^bJ,~\>\n!\<E0!joBJ`jo\>D\\jo\>DYk5PF4k(2[jjo\>C4k(2[hk5PGHjooi+k2p^bJ,~\>\n!\<E0!joBJ`jo\>D\\jo\>DYk5PF4k(2[jjo\>C4k(2[hk5PGHjooi+k2p^bJ,~\>\n!\<E0!joBJ_joPPF!;bjX!.j9`k5"-\>s+0\<`k4e$\<!:&\\MF8tCbEr^^~\>\n!\<E0!joBJ_joPPF!;bjX!.j9`k5"-\>!.j9`k4e$\<!:&\\MF8tCbEr^^~\>\n!\<E0!joBJ_joPPF!;bjX!.j9`k5"-\>!.j9`k4e$\<!:&\\MF8tCbEr^^~\>\n!\<E0!joBJ^jo\>DWk5PF4k(2[kjoGF4k(2[gk5PGHjooi+k2p^bJ,~\>\n!\<E0!joBJ^jo\>DWk5PF4k(2[kjo\>C4k(2[gk5PGHjooi+k2p^bJ,~\>\n!\<E0!joBJ^jo\>DWk5PF4k(2[kjo\>C4k(2[gk5PGHjooi+k2p^bJ,~\>\n!\<E0!joBJUk5PF4k(2[kjoGF4k(2[gk5PGHjooi+k2p^bJ,~\>\n!\<E0!joBJUk5PF4k(2[kjo\>C4k(2[gk5PGHjooi+k2p^bJ,~\>\n!\<E0!joBJUk5PF4k(2[kjo\>C4k(2[gk5PGHjooi+k2p^bJ,~\>\n!\<E0!joBJUk5PF4k(2[ljoGF4k(2[fk5PGHjooi+k2p^bJ,~\>\n!\<E0!joBJUk5PF4k(2[ljo\>C4k(2[fk5PGHjooi+k2p^bJ,~\>\n!\<E0!joBJUk5PF4k(2[ljo\>C4k(2[fk5PGHjooi+k2p^bJ,~\>\n!\<E0!joBJUk5PF4k(2[mjoGF4k(2[ek5PGHjooi+k2p^bJ,~\>\n!\<E0!joBJUk5PF4k(2[mjo\>C4k(2[ek5PGHjooi+k2p^bJ,~\>\n!\<E0!joBJUk5PF4k(2[mjo\>C4k(2[ek5PGHjooi+k2p^bJ,~\>\n!\<E0!joBJUk5PF4k(2[mjoGF4k(2[ek5PGHjooi+k2p^bJ,~\>\n!\<E0!joBJUk5PF4k(2[mjo\>C4k(2[ek5PGHjooi+k2p^bJ,~\>\n!\<E0!joBJUk5PF4k(2[mjo\>C4k(2[ek5PGHjooi+k2p^bJ,~\>\n!\<E0!joBJUk5PF4k(2[njoGF4k(2[dk5PGHjooi+k2p^bJ,~\>\n!\<E0!joBJUk5PF4k(2[njo\>C4k(2[dk5PGHjooi+k2p^bJ,~\>\n!\<E0!joBJUk5PF4k(2[njo\>C4k(2[dk5PGHjooi+k2p^bJ,~\>\n!\<E0!joBJUk5PF4k(2[njoGF4k(2[dk5PGHjooi+k2p^bJ,~\>\n!\<E0!joBJUk5PF4k(2[njo\>C4k(2[dk5PGHjooi+k2p^bJ,~\>\n!\<E0!joBJUk5PF4k(2[njo\>C4k(2[dk5PGHjooi+k2p^bJ,~\>\n!\<E0!joBJUk5PF4k(2[ojoGF4k(2[ck5PGHjooi+k2p^bJ,~\>\n!\<E0!joBJUk5PF4k(2[ojo\>C4k(2[ck5PGHjooi+k2p^bJ,~\>\n!\<E0!joBJUk5PF4k(2[ojo\>C4k(2[ck5PGHjooi+k2p^bJ,~\>\n!\<E0!joBJUk5PF4k(2[pjoGF4k(2[bk5PGHjooi+k2p^bJ,~\>\n!\<E0!joBJUk5PF4k(2[pjo\>C4k(2[bk5PGHjooi+k2p^bJ,~\>\n!\<E0!joBJUk5PF4k(2[pjo\>C4k(2[bk5PGHjooi+k2p^bJ,~\>\n!\<E0!joBJUk5PF4k(2Xrk5YI4k(2[bk5PGHjooi+k2p^bJ,~\>\n!\<E0!joBJUk5PF4k(2Xrjo\>C4k(2[bk5PGHjooi+k2p^bJ,~\>\n!\<E0!joBJUk5PF4k(2Xrjo\>C4k(2[bk5PGHjooi+k2p^bJ,~\>\n!\<E0!joBJUk5PF4k(2Xqk5U"pJ`cIarrD?H"`s_+k&UNQ~\>\n!\<E0!joBJUk5PF4k(2XqjoBtpJ`cIarrD?H"`s_+k&UNQ~\>\n!\<E0!joBJUk5PF4k(2XqjoBtpJ`cIarrD?H"`s_+k&UNQ~\>\n!\<E0!joBJUk5PF4k(2Xps+0\<`k3qI4!:&\\MF8tCbEr^^~\>\n!\<E0!joBJUk5PF4k(2Xp!.j9`k3qI4!:&\\MF8tCbEr^^~\>\n!\<E0!joBJUk5PF4k(2Xp!.j9`k3qI4!:&\\MF8tCbEr^^~\>\n!\<E0!joBJUk5PF4k(;aqs+0\<`k3qI4!:&\\MF8tCbEr^^~\>\n!\<E0!joBJUk5PF4k(;aq!.j9`k3qI4!:&\\MF8tCbEr^^~\>\n!\<E0!joBJUk5PF4k(;aq!.j9`k3qI4!:&\\MF8tCbEr^^~\>\n!\<E0!joBJUk5PF4k(;^qs+0\<`k3hC3!:&\\MF8tCbEr^^~\>\n!\<E0!joBJUk5PF4k(;^q!.j9`k3hC3!:&\\MF8tCbEr^^~\>\n!\<E0!joBJUk5PF4k(;^q!.j9`k3hC3!:&\\MF8tCbEr^^~\>\n!\<E0!joBJUk5PF4k(Ddrs+0\<`k3_=2!:&\\MF8tCbEr^^~\>\n!\<E0!joBJUk5PF4k(Ddr!.j9`k3_=2!:&\\MF8tCbEr^^~\>\n!\<E0!joBJUk5PF4k(Ddr!.j9`k3_=2!:&\\MF8tCbEr^^~\>\n!\<E0!joBJUk5PF4k(Mmss+0\<`k3_=2!:&\\MF8tCbEr^^~\>\n!\<E0!joBJUk5PF4k(Mms!.j9`k3_=2!:&\\MF8tCbEr^^~\>\n!\<E0!joBJUk5PF4k(Mms!.j9`k3_=2!:&\\MF8tCbEr^^~\>\n!\<E0!joBJUk5PF4k(Mjss+0\<`k3V71!:&\\MF8tCbEr^^~\>\n!\<E0!joBJUk5PF4k(Mjs!.j9`k3V71!:&\\MF8tCbEr^^~\>\n!\<E0!joBJUk5PF4k(Mjs!.j9`k3V71!:&\\MF8tCbEr^^~\>\n!\<E0!joBJUk5PF4k(Vpts+0\<`k3M10!:&\\MF8tCbEr^^~\>\n!\<E0!joBJUk5PF4k(Vpt!.j9`k3M10!:&\\MF8tCbEr^^~\>\n!\<E0!joBJUk5PF4k(Vpt!.j9`k3M10!:&\\MF8tCbEr^^~\>\n!\<E0!joBJUk5PF4k(`!us+0\<`k3D+/!:&\\MF8tCbEr^^~\>\n!\<E0!joBJUk5PF4k(`!u!.j9`k3D+/!:&\\MF8tCbEr^^~\>\n!\<E0!joBJUk5PF4k(`!u!.j9`k3D+/!:&\\MF8tCbEr^^~\>\n!\<E0!joBJUk5PF4k(i+!s+0\<`k3D+/!:&\\MF8tCbEr^^~\>\n!\<E0!joBJUk5PF4k(i+!!.j9`k3D+/!:&\\MF8tCbEr^^~\>\n!\<E0!joBJUk5PF4k(i+!!.j9`k3D+/!:&\\MF8tCbEr^^~\>\n!\<E0!joBJUk5PF4k(i(!s+0\<`k3;%.!:&\\MF8tCbEr^^~\>\n!\<E0!joBJUk5PF4k(i(!!.j9`k3;%.!:&\\MF8tCbEr^^~\>\n!\<E0!joBJUk5PF4k(i(!!.j9`k3;%.!:&\\MF8tCbEr^^~\>\n!\<E0!joBJUk5PF4k(r."s+0\<`k31t-!:&\\MF8tCbEr^^~\>\n!\<E0!joBJUk5PF4k(r."!.j9`k31t-!:&\\MF8tCbEr^^~\>\n!\<E0!joBJUk5PF4k(r."!.j9`k31t-!:&\\MF8tCbEr^^~\>\n!\<E0!joBJUk5PF4k)&4#s+0\<`k3(n,!:&\\MF8tCbEr^^~\>\n!\<E0!joBJUk5PF4k)&4#!.j9`k3(n,!:&\\MF8tCbEr^^~\>\n!\<E0!joBJUk5PF4k)&4#!.j9`k3(n,!:&\\MF8tCbEr^^~\>\n!\<E0!joBJUk5PF4k)/:$s+0\<`k2th+!:&\\MF8tCbEr^^~\>\n!\<E0!joBJUk5PF4k)/:$!.j9`k2th+!:&\\MF8tCbEr^^~\>\n!\<E0!joBJUk5PF4k)/:$!.j9`k2th+!:&\\MF8tCbEr^^~\>\n!\<E0!joBJUk5PF4k)8C%s+0\<`k2th+!:&\\MF8tCbEr^^~\>\n!\<E0!joBJUk5PF4k)8C%!.j9`k2th+!:&\\MF8tCbEr^^~\>\n!\<E0!joBJUk5PF4k)8C%!.j9`k2th+!:&\\MF8tCbEr^^~\>\n!\<E0!joBJUk5PF4k)8@%s+0\<`k2kb*!:&\\MF8tCbEr^^~\>\n!\<E0!joBJUk5PF4k)8@%!.j9`k2kb*!:&\\MF8tCbEr^^~\>\n!\<E0!joBJUk5PF4k)8@%!.j9`k2kb*!:&\\MF8tCbEr^^~\>\n!\<E0!joBJUk5PF4k)AF&s+0\<`k2b\\)!:&\\MF8tCbEr^^~\>\n!\<E0!joBJUk5PF4k)AF&!.j9`k2b\\)!:&\\MF8tCbEr^^~\>\n!\<E0!joBJUk5PF4k)AF&!.j9`k2b\\)!:&\\MF8tCbEr^^~\>\n!\<E0!joBJUk5PF4k)JL's+0\<`k2YV(!:&\\MF8tCbEr^^~\>\n!\<E0!joBJUk5PF4k)JL'!.j9`k2YV(!:&\\MF8tCbEr^^~\>\n!\<E0!joBJUk5PF4k)JL'!.j9`k2YV(!:&\\MF8tCbEr^^~\>\n!\<E0!joBJUk5PF4k)SU(s+0\<`k2YV(!:&\\MF8tCbEr^^~\>\n!\<E0!joBJUk5PF4k)SU(!.j9`k2YV(!:&\\MF8tCbEr^^~\>\n!\<E0!joBJUk5PF4k)SU(!.j9`k2YV(!:&\\MF8tCbEr^^~\>\n!\<E0!joBJUk5PF4k)SR(s+0\<`k2PP'!:&\\MF8tCbEr^^~\>\n!\<E0!joBJUk5PF4k)SR(!.j9`k2PP'!:&\\MF8tCbEr^^~\>\n!\<E0!joBJUk5PF4k)SR(!.j9`k2PP'!:&\\MF8tCbEr^^~\>\n!\<E0!joBJUk5PF4k)\\X)s+0\<`k2GJ&!:&\\MF8tCbEr^^~\>\n!\<E0!joBJUk5PF4k)\\X)!.j9`k2GJ&!:&\\MF8tCbEr^^~\>\n!\<E0!joBJUk5PF4k)\\X)!.j9`k2GJ&!:&\\MF8tCbEr^^~\>\n!\<E0!joBJUk5PF4k)e^*s+0\<`k2\>D%!:&\\MF8tCbEr^^~\>\n!\<E0!joBJUk5PF4k)e^*!.j9`k2\>D%!:&\\MF8tCbEr^^~\>\n!\<E0!joBJUk5PF4k)e^*!.j9`k2\>D%!:&\\MF8tCbEr^^~\>\n!\<E0!joBJ_k5GAWk5PF4k)ng+s+0\<`k2\>D%!:&\\MF8tCbEr^^~\>\n!\<E0!joBJ_k5GAWk5PF4k)ng+!.j9`k2\>D%!:&\\MF8tCbEr^^~\>\n!\<E0!joBJ_k5GAWk5PF4k)ng+!.j9`k2\>D%!:&\\MF8tCbEr^^~\>\n!\<E0!joBJ`jo\>D\\jo\>DYk5PF4k)nd+s+0\<`k25\>$!:&\\MF8tCbEr^^~\>\n!\<E0!joBJ`jo\>D\\jo\>DYk5PF4k)nd+!.j9`k25\>$!:&\\MF8tCbEr^^~\>\n!\<E0!joBJ`jo\>D\\jo\>DYk5PF4k)nd+!.j9`k25\>$!:&\\MF8tCbEr^^~\>\n!\<E0!joBJ`jo\>D\\jo\>DYk5PF4k*"j,s+0\<`k2,8#!:&\\MF8tCbEr^^~\>\n!\<E0!joBJ`jo\>D\\jo\>DYk5PF4k*"j,!.j9`k2,8#!:&\\MF8tCbEr^^~\>\n!\<E0!joBJ`jo\>D\\jo\>DYk5PF4k*"j,!.j9`k2,8#!:&\\MF8tCbEr^^~\>\n!\<E0!joBJ\\jo\>DYk5PF4k*+p-s+0\<`k2#2"!:&\\MF8tCbEr^^~\>\n!\<E0!joBJ\\jo\>DYk5PF4k*+p-!.j9`k2#2"!:&\\MF8tCbEr^^~\>\n!\<E0!joBJ\\jo\>DYk5PF4k*+p-!.j9`k2#2"!:&\\MF8tCbEr^^~\>\n!\<E0!joBJfk555Xjo\>DXk5\>:2k*G-0s+0\<`k25\>!!:&\\MF8tCbEr^^~\>\n!\<E0!joBJfk555Xjo\>DXk5\>:2k*G-0!.j9`k25\>!!:&\\MF8tCbEr^^~\>\n!\<E0!joBJfk555Xjo\>DXk5\>:2k*G-0!.j9`k25\>!!:&\\MF8tCbEr^^~\>\n!\<E0!joBJ^jo\>DWk5\>:2k*P31s+0\<`k2,7u!:&\\MF8tCbEr^^~\>\n!\<E0!joBJ^jo\>DWk5\>:2k*P31!.j9`k2,7u!:&\\MF8tCbEr^^~\>\n!\<E0!joBJ^jo\>DWk5\>:2k*P31!.j9`k2,7u!:&\\MF8tCbEr^^~\>\n!\<E0!joBJ_jo\>DVk5PF4k*G-0s+0\<`k1\\tt!:&\\MF8tCbEr^^~\>\n!\<E0!joBJ_jo\>DVk5PF4k*G-0!.j9`k1\\tt!:&\\MF8tCbEr^^~\>\n!\<E0!joBJ_jo\>DVk5PF4k*G-0!.j9`k1\\tt!:&\\MF8tCbEr^^~\>\n!\<E0!joBJ`jo\>DUk5PF4k*P31s+0\<`k1Sns!:&\\MF8tCbEr^^~\>\n!\<E0!joBJ`jo\>DUk5PF4k*P31!.j9`k1Sns!:&\\MF8tCbEr^^~\>\n!\<E0!joBJ`jo\>DUk5PF4k*P31!.j9`k1Sns!:&\\MF8tCbEr^^~\>\n!\<E0!joBJ`k555Vk5PF4k*Y92s+0\<`k1Jhr!:&\\MF8tCbEr^^~\>\n!\<E0!joBJ`k555Vk5PF4k*Y92!.j9`k1Jhr!:&\\MF8tCbEr^^~\>\n!\<E0!joBJ`k555Vk5PF4k*Y92!.j9`k1Jhr!:&\\MF8tCbEr^^~\>\n!\<E0!joBJUk5PF4k*b?3s+0\<`k1Abq!:&\\MF8tCbEr^^~\>\n!\<E0!joBJUk5PF4k*b?3!.j9`k1Abq!:&\\MF8tCbEr^^~\>\n!\<E0!joBJUk5PF4k*b?3!.j9`k1Abq!:&\\MF8tCbEr^^~\>\n!\<E0!joBJUk5PF4k*kE4s+0\<`k18\\p!:&\\MF8tCbEr^^~\>\n!\<E0!joBJUk5PF4k*kE4!.j9`k18\\p!:&\\MF8tCbEr^^~\>\n!\<E0!joBJUk5PF4k*kE4!.j9`k18\\p!:&\\MF8tCbEr^^~\>\n!\<E0!joBJUk5PF4k+(T6s+0\<`k1/Vo!:&\\MF8tCbEr^^~\>\n!\<E0!joBJUk5PF4k+(T6!.j9`k1/Vo!:&\\MF8tCbEr^^~\>\n!\<E0!joBJUk5PF4k+(T6!.j9`k1/Vo!:&\\MF8tCbEr^^~\>\n!\<E0!joBJUk5PF4k+1Z7s+0\<`k1&Pn!:&\\MF8tCbEr^^~\>\n!\<E0!joBJUk5PF4k+1Z7!.j9`k1&Pn!:&\\MF8tCbEr^^~\>\n!\<E0!joBJUk5PF4k+1Z7!.j9`k1&Pn!:&\\MF8tCbEr^^~\>\n!\<E0!joBJUk5PF4k+:`8s+0\<`k0rJm!:&\\MF8tCbEr^^~\>\n!\<E0!joBJUk5PF4k+:`8!.j9`k0rJm!:&\\MF8tCbEr^^~\>\n!\<E0!joBJUk5PF4k+:`8!.j9`k0rJm!:&\\MF8tCbEr^^~\>\n!\<E0!joBJUk5PF4k+Cc9s+0\<`k0`\>k!:&\\MF8tCbEr^^~\>\n!\<E0!joBJUk5PF4k+Cc9!.j9`k0`\>k!:&\\MF8tCbEr^^~\>\n!\<E0!joBJUk5PF4k+Cc9!.j9`k0`\>k!:&\\MF8tCbEr^^~\>\n!\<E0!joBJUk5PF4k+Li:s+0\<`k0W8j!:&\\MF8tCbEr^^~\>\n!\<E0!joBJUk5PF4k+Li:!.j9`k0W8j!:&\\MF8tCbEr^^~\>\n!\<E0!joBJUk5PF4k+Li:!.j9`k0W8j!:&\\MF8tCbEr^^~\>\n!\<E0!joBJUk5PF4k+Uo;s+0\<`k0N2i!:&\\MF8tCbEr^^~\>\n!\<E0!joBJUk5PF4k+Uo;!.j9`k0N2i!:&\\MF8tCbEr^^~\>\n!\<E0!joBJUk5PF4k+Uo;!.j9`k0N2i!:&\\MF8tCbEr^^~\>\n!\<E0!joBJUk5PF4k+h)=s+0\<`k0E,h!:&\\MF8tCbEr^^~\>\n!\<E0!joBJUk5PF4k+h)=!.j9`k0E,h!:&\\MF8tCbEr^^~\>\n!\<E0!joBJUk5PF4k+h)=!.j9`k0E,h!:&\\MF8tCbEr^^~\>\n!\<E0!joBJUk5PF4k+q/\>s+0\<`k0\<&g!:&\\MF8tCbEr^^~\>\n!\<E0!joBJUk5PF4k+q/\>!.j9`k0\<&g!:&\\MF8tCbEr^^~\>\n!\<E0!joBJUk5PF4k+q/\>!.j9`k0\<&g!:&\\MF8tCbEr^^~\>\n!\<E0!joBJUk5PF4k,%2?s+0\<`k0)oe!:&\\MF8tCbEr^^~\>\n!\<E0!joBJUk5PF4k,%2?!.j9`k0)oe!:&\\MF8tCbEr^^~\>\n!\<E0!joBJUk5PF4k,%2?!.j9`k0)oe!:&\\MF8tCbEr^^~\>\n!\<E0!joBJUk5PF4k,7AAs+0\<`k/uid!:&\\MF8tCbEr^^~\>\n!\<E0!joBJUk5PF4k,7AA!.j9`k/uid!:&\\MF8tCbEr^^~\>\n!\<E0!joBJUk5PF4k,7AA!.j9`k/uid!:&\\MF8tCbEr^^~\>\n!\<E0!joBJUk5PF4k,IMCs+0\<`k/c]b!:&\\MF8tCbEr^^~\>\n!\<E0!joBJUk5PF4k,IMC!.j9`k/c]b!:&\\MF8tCbEr^^~\>\n!\<E0!joBJUk5PF4k,IMC!.j9`k/c]b!:&\\MF8tCbEr^^~\>\n!\<E0!joBJUk5PF4k,[YEs+0\<`k/QQ`!:&\\MF8tCbEr^^~\>\n!\<E0!joBJUk5PF4k,[YE!.j9`k/QQ`!:&\\MF8tCbEr^^~\>\n!\<E0!joBJUk5PF4k,[YE!.j9`k/QQ`!:&\\MF8tCbEr^^~\>\n!\<E0!joBJUk5PF4k-!kGs+0\<`k/?E^!:&\\MF8tCbEr^^~\>\n!\<E0!joBJUk5PF4k-!kG!.j9`k/?E^!:&\\MF8tCbEr^^~\>\n!\<E0!joBJUk5PF4k-!kG!.j9`k/?E^!:&\\MF8tCbEr^^~\>\n!\<E0!joBJUk5PF4k-4"Js+0\<`k/$3[!:&\\MF8tCbEr^^~\>\n!\<E0!joBJUk5PF4k-4"J!.j9`k/$3[!:&\\MF8tCbEr^^~\>\n!\<E0!joBJUk5PF4k-4"J!.j9`k/$3[!:&\\MF8tCbEr^^~\>\n!\<E0!joBJUk5PF4k-F.Ls+0\<`k.g'Y!:&\\MF8tCbEr^^~\>\n!\<E0!joBJUk5PF4k-F.L!.j9`k.g'Y!:&\\MF8tCbEr^^~\>\n!\<E0!joBJUk5PF4k-F.L!.j9`k.g'Y!:&\\MF8tCbEr^^~\>\n!\<E0!joBJUk5PF4k-sLNs+0\<`k.TpW!:&\\MF8tCbEr^^~\>\n!\<E0!joBJUk5PF4k-sLN!.j9`k.TpW!:&\\MF8tCbEr^^~\>\n!\<E0!joBJUk5PF4k-sLN!.j9`k.TpW!:&\\MF8tCbEr^^~\>\n!\<E0!joBJUk5PF4k.TpRs+0\<`k.0XS!:&\\MF8tCbEr^^~\>\n!\<E0!joBJUk5PF4k.TpR!.j9`k.0XS!:&\\MF8tCbEr^^~\>\n!\<E0!joBJUk5PF4k.TpR!.j9`k.0XS!:&\\MF8tCbEr^^~\>\n!\<E0!joBJUk5PF4k1JhYs+0\<`k-F.L!:&\\MF8tCbEr^^~\>\n!\<E0!joBJUk5PF4k1JhY!.j9`k-F.L!:&\\MF8tCbEr^^~\>\n!\<E0!joBJUk5PF4k1JhY!.j9`k-F.L!:&\\MF8tCbEr^^~\>\n!\<E0!joBJUk5PF4k25=ts+0\<`k*P61!:&\\MF8tCbEr^^~\>\n!\<E0!joBJUk5PF4k25=t!.j9`k*P61!:&\\MF8tCbEr^^~\>\n!\<E0!joBJUk5PF4k25=t!.j9`k*P61!:&\\MF8tCbEr^^~\>\n!\<E0!joBJUk5PF4k2YV%s+0\<`k)ng+!:&\\MF8tCbEr^^~\>\n!\<E0!joBJUk5PF4k2YV%!.j9`k)ng+!:&\\MF8tCbEr^^~\>\n!\<E0!joBJUk5PF4k2YV%!.j9`k)ng+!:&\\MF8tCbEr^^~\>\n!\<E0!joBJUk5PF4k3(n*s+0\<`k)AI&!:&\\MF8tCbEr^^~\>\n!\<E0!joBJUk5PF4k3(n*!.j9`k)AI&!:&\\MF8tCbEr^^~\>\n!\<E0!joBJUk5PF4k3(n*!.j9`k)AI&!:&\\MF8tCbEr^^~\>\n!\<E0!joBJUk5PF4k3D+.s+0\<`k(r1"!:&\\MF8tCbEr^^~\>\n!\<E0!joBJUk5PF4k3D+.!.j9`k(r1"!:&\\MF8tCbEr^^~\>\n!\<E0!joBJUk5PF4k3D+.!.j9`k(r1"!:&\\MF8tCbEr^^~\>\n!\<E0!joBJUk5PF4k3M10s+0\<`k(`$u!:&\\MF8tCbEr^^~\>\n!\<E0!joBJUk5PF4k3M10!.j9`k(`$u!:&\\MF8tCbEr^^~\>\n!\<E0!joBJUk5PF4k3M10!.j9`k(`$u!:&\\MF8tCbEr^^~\>\n!\<E0!joBJUk5PF4k3_=2s+0\<`k(Mms!:&\\MF8tCbEr^^~\>\n!\<E0!joBJUk5PF4k3_=2!.j9`k(Mms!:&\\MF8tCbEr^^~\>\n!\<E0!joBJUk5PF4k3_=2!.j9`k(Mms!:&\\MF8tCbEr^^~\>\n!\<E0!joBJUk5PF4k3qI4s+0\<`k(;aq!:&\\MF8tCbEr^^~\>\n!\<E0!joBJUk5PF4k3qI4!.j9`k(;aq!:&\\MF8tCbEr^^~\>\n!\<E0!joBJUk5PF4k3qI4!.j9`k(;aq!:&\\MF8tCbEr^^~\>\n!\<E0!joBJUk5PF4k4%O5s+0\<`k(2[p!:&\\MF8tCbEr^^~\>\n!\<E0!joBJUk5PF4k4%O5!.j9`k(2[p!:&\\MF8tCbEr^^~\>\n!\<E0!joBJUk5PF4k4%O5!.j9`k(2[p!:&\\MF8tCbEr^^~\>\n!\<E0!joBJUk5PF4k47[7s+0\<`k(2[pk5PGHjooi+k2p^bJ,~\>\n!\<E0!joBJUk5PF4k47[7!.j9`k(2[pk5PGHjooi+k2p^bJ,~\>\n!\<E0!joBJUk5PF4k47[7!.j9`k(2[pk5PGHjooi+k2p^bJ,~\>\n!\<E0!joBJUk5PF4k4@^8s+0\<`k(2[nk5PGHjooi+k2p^bJ,~\>\n!\<E0!joBJUk5PF4k4@^8!.j9`k(2[nk5PGHjooi+k2p^bJ,~\>\n!\<E0!joBJUk5PF4k4@^8!.j9`k(2[nk5PGHjooi+k2p^bJ,~\>\n!\<E0!joBJUk5PF4k4Rm:s+0\<`k(2[mk5PGHjooi+k2p^bJ,~\>\n!\<E0!joBJUk5PF4k4Rm:!.j9`k(2[mk5PGHjooi+k2p^bJ,~\>\n!\<E0!joBJUk5PF4k4Rm:!.j9`k(2[mk5PGHjooi+k2p^bJ,~\>\n!\<E0!joBJ]jo\>DXk5PF4k4[p;s+0\<`k(2[kk5PGHjooi+k2p^bJ,~\>\n!\<E0!joBJ]jo\>DXk5PF4k4[p;!.j9`k(2[kk5PGHjooi+k2p^bJ,~\>\n!\<E0!joBJ]jo\>DXk5PF4k4[p;!.j9`k(2[kk5PGHjooi+k2p^bJ,~\>\n!\<E0!joBJ]jo\>DXk5PF4k4e!\<s+0\<`k(2[jk5PGHjooi+k2p^bJ,~\>\n!\<E0!joBJ]jo\>DXk5PF4k4e!\<!.j9`k(2[jk5PGHjooi+k2p^bJ,~\>\n!\<E0!joBJ]jo\>DXk5PF4k4e!\<!.j9`k(2[jk5PGHjooi+k2p^bJ,~\>\n!\<E0!joBJ^k5PGXk5PF4k5"0\>s+0\<`k(2[ik5PGHjooi+k2p^bJ,~\>\n!\<E0!joBJ^k5PGXk5PF4k5"0\>!.j9`k(2[ik5PGHjooi+k2p^bJ,~\>\n!\<E0!joBJ^k5PGXk5PF4k5"0\>!.j9`k(2[ik5PGHjooi+k2p^bJ,~\>\n!\<E0!joBJ_joPPF!;bjX!.j;/k5YI4k(2ZGk4e$\<!:&\\MF8tCbEr^^~\>\n!\<E0!joBJ_joPPF!;bjX!.j;/k5PF4k(2ZGk4e$\<!:&\\MF8tCbEr^^~\>\n!\<E0!joBJ_joPPF!;bjX!.j;/k5PF4k(2ZGk4e$\<!:&\\MF8tCbEr^^~\>\n!\<E0!joBJfk555ZjoPPF!;bjV!.j;2k5YI4k(2ZGk5"0;!:&\\MF8tCbEr^^~\>\n!\<E0!joBJfk555ZjoPPF!;bjV!.j;2k5PF4k(2ZGk5"0;!:&\\MF8tCbEr^^~\>\n!\<E0!joBJfk555ZjoPPF!;bjV!.j;2k5PF4k(2ZGk5"0;!:&\\MF8tCbEr^^~\>\n!\<E0!joBJ`joYVGjoG8?r;_E2roO4\\J`_OGJ`c^hquH$E"`s_+k&UNQ~\>\n!\<E0!joBJ`joYVGjoG8?r;_E2roO1\\J`_OGJ`c^hquH$E"`s_+k&UNQ~\>\n!\<E0!joBJ`joYVGjoG8?r;_E2roO1\\J`_OGJ`c^hquH$E"`s_+k&UNQ~\>\n!\<E0!joBJ`k555Vk5PF4k5FEBs+0\<`k(2[dk5PGHjooi+k2p^bJ,~\>\n!\<E0!joBJ`k555Vk5PF4k5FEB!.j9`k(2[dk5PGHjooi+k2p^bJ,~\>\n!\<E0!joBJ`k555Vk5PF4k5FEB!.j9`k(2[dk5PGHjooi+k2p^bJ,~\>\n!\<E0!joBJ]jo\>DXk5PF4k5OKCs+0\<`k(2[ck5PGHjooi+k2p^bJ,~\>\n!\<E0!joBJ]jo\>DXk5PF4k5OKC!.j9`k(2[ck5PGHjooi+k2p^bJ,~\>\n!\<E0!joBJ]jo\>DXk5PF4k5OKC!.j9`k(2[ck5PGHjooi+k2p^bJ,~\>\n!\<E0!joBJ]jo\>DXk5PF4k5XQDs+0\<`k(2[bk5PGHjooi+k2p^bJ,~\>\n!\<E0!joBJ]jo\>DXk5PF4k5XQD!.j9`k(2[bk5PGHjooi+k2p^bJ,~\>\n!\<E0!joBJ]jo\>DXk5PF4k5XQD!.j9`k(2[bk5PGHjooi+k2p^bJ,~\>\n!\<E0!joBJUk5PF4joOWEJ`_OGJ`cIarrD?H"`s_+k&UNQ~\>\n!\<E0!joBJUk5PF4joOTEJ`_OGJ`cIarrD?H"`s_+k&UNQ~\>\n!\<E0!joBJUk5PF4joOTEJ`_OGJ`cIarrD?H"`s_+k&UNQ~\>\n!\<E0!joBJUk5PF4joGF4k(2ZGk3qI4!:&\\MF8tCbEr^^~\>\n!\<E0!joBJUk5PF4jo\>C4k(2ZGk3qI4!:&\\MF8tCbEr^^~\>\n!\<E0!joBJUk5PF4jo\>C4k(2ZGk3qI4!:&\\MF8tCbEr^^~\>\n!\<E0!joBJUk5PF5joGF4k(2ZGk3hC3!:&\\MF8tCbEr^^~\>\n!\<E0!joBJUk5PF5jo\>C4k(2ZGk3hC3!:&\\MF8tCbEr^^~\>\n!\<E0!joBJUk5PF5jo\>C4k(2ZGk3hC3!:&\\MF8tCbEr^^~\>\n!\<E0!joBJUk5PF6joGF4k(2ZGk3_=2!:&\\MF8tCbEr^^~\>\n!\<E0!joBJUk5PF6jo\>C4k(2ZGk3_=2!:&\\MF8tCbEr^^~\>\n!\<E0!joBJUk5PF6jo\>C4k(2ZGk3_=2!:&\\MF8tCbEr^^~\>\n!\<E0!joBJUk5PF7joGF4k(2ZGk3V71!:&\\MF8tCbEr^^~\>\n!\<E0!joBJUk5PF7jo\>C4k(2ZGk3V71!:&\\MF8tCbEr^^~\>\n!\<E0!joBJUk5PF7jo\>C4k(2ZGk3V71!:&\\MF8tCbEr^^~\>\n!\<E0!joBJUk5PF8joGF4k(2ZGk3M10!:&\\MF8tCbEr^^~\>\n!\<E0!joBJUk5PF8jo\>C4k(2ZGk3M10!:&\\MF8tCbEr^^~\>\n!\<E0!joBJUk5PF8jo\>C4k(2ZGk3M10!:&\\MF8tCbEr^^~\>\n!\<E0!joBJUk5PF9k5YI4k(2ZGk3M10!:&\\MF8tCbEr^^~\>\n!\<E0!joBJUk5PF9k5PF4k(2ZGk3M10!:&\\MF8tCbEr^^~\>\n!\<E0!joBJUk5PF9k5PF4k(2ZGk3M10!:&\\MF8tCbEr^^~\>\n!\<E0!joBJUk5PF9joGF4k(2ZGk3D+/!:&\\MF8tCbEr^^~\>\n!\<E0!joBJUk5PF9jo\>C4k(2ZGk3D+/!:&\\MF8tCbEr^^~\>\n!\<E0!joBJUk5PF9jo\>C4k(2ZGk3D+/!:&\\MF8tCbEr^^~\>\n!\<E0!joBJUk5PF:joGF4k(2ZGk3;%.!:&\\MF8tCbEr^^~\>\n!\<E0!joBJUk5PF:jo\>C4k(2ZGk3;%.!:&\\MF8tCbEr^^~\>\n!\<E0!joBJUk5PF:jo\>C4k(2ZGk3;%.!:&\\MF8tCbEr^^~\>\n!\<E0!joBJUk5PF;joGF4k(2ZGk31t-!:&\\MF8tCbEr^^~\>\n!\<E0!joBJUk5PF;jo\>C4k(2ZGk31t-!:&\\MF8tCbEr^^~\>\n!\<E0!joBJUk5PF;jo\>C4k(2ZGk31t-!:&\\MF8tCbEr^^~\>\n!\<E0!joBJUk5PF\<k5YI4k(2ZGk31t-!:&\\MF8tCbEr^^~\>\n!\<E0!joBJUk5PF\<k5PF4k(2ZGk31t-!:&\\MF8tCbEr^^~\>\n!\<E0!joBJUk5PF\<k5PF4k(2ZGk31t-!:&\\MF8tCbEr^^~\>\n!\<E0!joBJUk5PF\<joGF4k(2ZGk3(n,!:&\\MF8tCbEr^^~\>\n!\<E0!joBJUk5PF\<jo\>C4k(2ZGk3(n,!:&\\MF8tCbEr^^~\>\n!\<E0!joBJUk5PF\<jo\>C4k(2ZGk3(n,!:&\\MF8tCbEr^^~\>\n!\<E0!joBJUk5PF=joGF4k(2ZGk2th+!:&\\MF8tCbEr^^~\>\n!\<E0!joBJUk5PF=jo\>C4k(2ZGk2th+!:&\\MF8tCbEr^^~\>\n!\<E0!joBJUk5PF=jo\>C4k(2ZGk2th+!:&\\MF8tCbEr^^~\>\n!\<E0!joBJUk5PF\>joGF4k(2ZGk2kb*!:&\\MF8tCbEr^^~\>\n!\<E0!joBJUk5PF\>jo\>C4k(2ZGk2kb*!:&\\MF8tCbEr^^~\>\n!\<E0!joBJUk5PF\>jo\>C4k(2ZGk2kb*!:&\\MF8tCbEr^^~\>\n!\<E0!joBJUk5PF?k5YI4k(2ZGk2kb*!:&\\MF8tCbEr^^~\>\n!\<E0!joBJUk5PF?k5PF4k(2ZGk2kb*!:&\\MF8tCbEr^^~\>\n!\<E0!joBJUk5PF?k5PF4k(2ZGk2kb*!:&\\MF8tCbEr^^~\>\n!\<E0!joBJUk5PF?joGF4k(2ZGk2b\\)!:&\\MF8tCbEr^^~\>\n!\<E0!joBJUk5PF?jo\>C4k(2ZGk2b\\)!:&\\MF8tCbEr^^~\>\n!\<E0!joBJUk5PF?jo\>C4k(2ZGk2b\\)!:&\\MF8tCbEr^^~\>\n!\<E0!joBJUk5PF@joGF4k(2ZGk2YV(!:&\\MF8tCbEr^^~\>\n!\<E0!joBJUk5PF@jo\>C4k(2ZGk2YV(!:&\\MF8tCbEr^^~\>\n!\<E0!joBJUk5PF@jo\>C4k(2ZGk2YV(!:&\\MF8tCbEr^^~\>\n!\<E0!joBJUk5PFAjoGF4k(2ZGk2PP'!:&\\MF8tCbEr^^~\>\n!\<E0!joBJUk5PFAjo\>C4k(2ZGk2PP'!:&\\MF8tCbEr^^~\>\n!\<E0!joBJUk5PFAjo\>C4k(2ZGk2PP'!:&\\MF8tCbEr^^~\>\n!\<E0!joBJUk5PFBjoGF4k(2ZGk2GJ&!:&\\MF8tCbEr^^~\>\n!\<E0!joBJUk5PFBjo\>C4k(2ZGk2GJ&!:&\\MF8tCbEr^^~\>\n!\<E0!joBJUk5PFBjo\>C4k(2ZGk2GJ&!:&\\MF8tCbEr^^~\>\n!\<E0!joBJUk5PFCk5YI4k(2ZGk2GJ&!:&\\MF8tCbEr^^~\>\n!\<E0!joBJUk5PFCk5PF4k(2ZGk2GJ&!:&\\MF8tCbEr^^~\>\n!\<E0!joBJUk5PFCk5PF4k(2ZGk2GJ&!:&\\MF8tCbEr^^~\>\n!\<E0!joBJUk5PFCjoGF4k(2ZGk2\>D%!:&\\MF8tCbEr^^~\>\n!\<E0!joBJUk5PFCjo\>C4k(2ZGk2\>D%!:&\\MF8tCbEr^^~\>\n!\<E0!joBJUk5PFCjo\>C4k(2ZGk2\>D%!:&\\MF8tCbEr^^~\>\n!\<E0!joBJUk5PFDjoGF4k(2ZGk25\>$!:&\\MF8tCbEr^^~\>\n!\<E0!joBJUk5PFDjo\>C4k(2ZGk25\>$!:&\\MF8tCbEr^^~\>\n!\<E0!joBJUk5PFDjo\>C4k(2ZGk25\>$!:&\\MF8tCbEr^^~\>\n!\<E0!joBJUk5PFEjoGF4k(2ZGk2,8#!:&\\MF8tCbEr^^~\>\n!\<E0!joBJUk5PFEjo\>C4k(2ZGk2,8#!:&\\MF8tCbEr^^~\>\n!\<E0!joBJUk5PFEjo\>C4k(2ZGk2,8#!:&\\MF8tCbEr^^~\>\n!\<E0!joBJUk5PFFk5YI4k(2ZGk2,8#!:&\\MF8tCbEr^^~\>\n!\<E0!joBJUk5PFFk5PF4k(2ZGk2,8#!:&\\MF8tCbEr^^~\>\n!\<E0!joBJUk5PFFk5PF4k(2ZGk2,8#!:&\\MF8tCbEr^^~\>\n!\<E0!joBJUk5PFFjoGF4k(2ZGk2#2"!:&\\MF8tCbEr^^~\>\n!\<E0!joBJUk5PFFjo\>C4k(2ZGk2#2"!:&\\MF8tCbEr^^~\>\n!\<E0!joBJUk5PFFjo\>C4k(2ZGk2#2"!:&\\MF8tCbEr^^~\>\n!\<E0!joBJUk5PFGjoGF4k(2ZGk1o,!!:&\\MF8tCbEr^^~\>\n!\<E0!joBJUk5PFGjo\>C4k(2ZGk1o,!!:&\\MF8tCbEr^^~\>\n!\<E0!joBJUk5PFGjo\>C4k(2ZGk1o,!!:&\\MF8tCbEr^^~\>\n!\<E0!joBJUk5PFHjoGF4k(2ZGk1f%u!:&\\MF8tCbEr^^~\>\n!\<E0!joBJUk5PFHjo\>C4k(2ZGk1f%u!:&\\MF8tCbEr^^~\>\n!\<E0!joBJUk5PFHjo\>C4k(2ZGk1f%u!:&\\MF8tCbEr^^~\>\n!\<E0!joBJUk5PFIjoGF4k(2ZGk1\\tt!:&\\MF8tCbEr^^~\>\n!\<E0!joBJUk5PFIjo\>C4k(2ZGk1\\tt!:&\\MF8tCbEr^^~\>\n!\<E0!joBJUk5PFIjo\>C4k(2ZGk1\\tt!:&\\MF8tCbEr^^~\>\n!\<E0!joBJUk5PFJk5YI4k(2ZGk1\\tt!:&\\MF8tCbEr^^~\>\n!\<E0!joBJUk5PFJk5PF4k(2ZGk1\\tt!:&\\MF8tCbEr^^~\>\n!\<E0!joBJUk5PFJk5PF4k(2ZGk1\\tt!:&\\MF8tCbEr^^~\>\n!\<E0!joBJUk5PFJjoGF4k(2ZGk1Sns!:&\\MF8tCbEr^^~\>\n!\<E0!joBJUk5PFJjo\>C4k(2ZGk1Sns!:&\\MF8tCbEr^^~\>\n!\<E0!joBJUk5PFJjo\>C4k(2ZGk1Sns!:&\\MF8tCbEr^^~\>\n!\<E0!joBJUk5PFKjoGF4k(2ZGk1Jhr!:&\\MF8tCbEr^^~\>\n!\<E0!joBJUk5PFKjo\>C4k(2ZGk1Jhr!:&\\MF8tCbEr^^~\>\n!\<E0!joBJUk5PFKjo\>C4k(2ZGk1Jhr!:&\\MF8tCbEr^^~\>\n!\<E0!joBJ_k5GAWk5PFLjoGF4k(2ZGk1Abq!:&\\MF8tCbEr^^~\>\n!\<E0!joBJ_k5GAWk5PFLjo\>C4k(2ZGk1Abq!:&\\MF8tCbEr^^~\>\n!\<E0!joBJ_k5GAWk5PFLjo\>C4k(2ZGk1Abq!:&\\MF8tCbEr^^~\>\n!\<E0!joBJ`jo\>D\\jo\>DYk5PFLjoGF4k(2ZGk1Abq!:&\\MF8tCbEr^^~\>\n!\<E0!joBJ`jo\>D\\jo\>DYk5PFLjo\>C4k(2ZGk1Abq!:&\\MF8tCbEr^^~\>\n!\<E0!joBJ`jo\>D\\jo\>DYk5PFLjo\>C4k(2ZGk1Abq!:&\\MF8tCbEr^^~\>\n!\<E0!joBJ`jo\>DUk5PFMjoGF4k(2ZGk18\\p!:&\\MF8tCbEr^^~\>\n!\<E0!joBJ`jo\>DUk5PFMjo\>C4k(2ZGk18\\p!:&\\MF8tCbEr^^~\>\n!\<E0!joBJ`jo\>DUk5PFMjo\>C4k(2ZGk18\\p!:&\\MF8tCbEr^^~\>\n!\<E0!joBJ`jo\>DUk5PFMjoGF4k(2ZGk18\\p!:&\\MF8tCbEr^^~\>\n!\<E0!joBJ`jo\>DUk5PFMjo\>C4k(2ZGk18\\p!:&\\MF8tCbEr^^~\>\n!\<E0!joBJ`jo\>DUk5PFMjo\>C4k(2ZGk18\\p!:&\\MF8tCbEr^^~\>\n!\<E0!joBJfk552Zk5\>;Vk5\>:NjoGF4k(2ZGk1Jho!:&\\MF8tCbEr^^~\>\n!\<E0!joBJfk552Zk5\>;Vk5\>:Njo\>C4k(2ZGk1Jho!:&\\MF8tCbEr^^~\>\n!\<E0!joBJfk552Zk5\>;Vk5\>:Njo\>C4k(2ZGk1Jho!:&\\MF8tCbEr^^~\>\n!\<E0!joBJ`jo\>D\\jo\>DYk5\>:OjoGF4k(2ZGk1Abn!:&\\MF8tCbEr^^~\>\n!\<E0!joBJ`jo\>D\\jo\>DYk5\>:Ojo\>C4k(2ZGk1Abn!:&\\MF8tCbEr^^~\>\n!\<E0!joBJ`jo\>D\\jo\>DYk5\>:Ojo\>C4k(2ZGk1Abn!:&\\MF8tCbEr^^~\>\n!\<E0!joBJ`jo\>D\\jo\>DYk5PFOjoGF4k(2ZGk1&Pn!:&\\MF8tCbEr^^~\>\n!\<E0!joBJ`jo\>D\\jo\>DYk5PFOjo\>C4k(2ZGk1&Pn!:&\\MF8tCbEr^^~\>\n!\<E0!joBJ`jo\>D\\jo\>DYk5PFOjo\>C4k(2ZGk1&Pn!:&\\MF8tCbEr^^~\>\n!\<E0!joBJ`jo\>D\\jo\>DYk5PFPjoGF4k(2ZGk0rJm!:&\\MF8tCbEr^^~\>\n!\<E0!joBJ`jo\>D\\jo\>DYk5PFPjo\>C4k(2ZGk0rJm!:&\\MF8tCbEr^^~\>\n!\<E0!joBJ`jo\>D\\jo\>DYk5PFPjo\>C4k(2ZGk0rJm!:&\\MF8tCbEr^^~\>\n!\<E0!joBJ_k5GAWk5PFPjoGF4k(2ZGk0rJm!:&\\MF8tCbEr^^~\>\n!\<E0!joBJ_k5GAWk5PFPjo\>C4k(2ZGk0rJm!:&\\MF8tCbEr^^~\>\n!\<E0!joBJ_k5GAWk5PFPjo\>C4k(2ZGk0rJm!:&\\MF8tCbEr^^~\>\n!\<E0!joBJUk5PFQjoGF4k(2ZGk0iDl!:&\\MF8tCbEr^^~\>\n!\<E0!joBJUk5PFQjo\>C4k(2ZGk0iDl!:&\\MF8tCbEr^^~\>\n!\<E0!joBJUk5PFQjo\>C4k(2ZGk0iDl!:&\\MF8tCbEr^^~\>\n!\<E0!joBJUk5PFRjoGF4k(2ZGk0`\>k!:&\\MF8tCbEr^^~\>\n!\<E0!joBJUk5PFRjo\>C4k(2ZGk0`\>k!:&\\MF8tCbEr^^~\>\n!\<E0!joBJUk5PFRjo\>C4k(2ZGk0`\>k!:&\\MF8tCbEr^^~\>\n!\<E0!joBJUk5PFSk5YI4k(2ZGk0`\>k!:&\\MF8tCbEr^^~\>\n!\<E0!joBJUk5PFSk5PF4k(2ZGk0`\>k!:&\\MF8tCbEr^^~\>\n!\<E0!joBJUk5PFSk5PF4k(2ZGk0`\>k!:&\\MF8tCbEr^^~\>\n!\<E0!joBJUk5PFSjoGF4k(2ZGk0W8j!:&\\MF8tCbEr^^~\>\n!\<E0!joBJUk5PFSjo\>C4k(2ZGk0W8j!:&\\MF8tCbEr^^~\>\n!\<E0!joBJUk5PFSjo\>C4k(2ZGk0W8j!:&\\MF8tCbEr^^~\>\n!\<E0!joBJUk5PFTjoGF4k(2ZGk0N2i!:&\\MF8tCbEr^^~\>\n!\<E0!joBJUk5PFTjo\>C4k(2ZGk0N2i!:&\\MF8tCbEr^^~\>\n!\<E0!joBJUk5PFTjo\>C4k(2ZGk0N2i!:&\\MF8tCbEr^^~\>\n!\<E0!joBJUk5PFUk5YI4k(2ZGk0N2i!:&\\MF8tCbEr^^~\>\n!\<E0!joBJUk5PFUk5PF4k(2ZGk0N2i!:&\\MF8tCbEr^^~\>\n!\<E0!joBJUk5PFUk5PF4k(2ZGk0N2i!:&\\MF8tCbEr^^~\>\n!\<E0!joBJUk5PFUjoGF4k(2ZGk0E,h!:&\\MF8tCbEr^^~\>\n!\<E0!joBJUk5PFUjo\>C4k(2ZGk0E,h!:&\\MF8tCbEr^^~\>\n!\<E0!joBJUk5PFUjo\>C4k(2ZGk0E,h!:&\\MF8tCbEr^^~\>\n!\<E0!joBJUk5PFVjoGF4k(2ZGk0\<&g!:&\\MF8tCbEr^^~\>\n!\<E0!joBJUk5PFVjo\>C4k(2ZGk0\<&g!:&\\MF8tCbEr^^~\>\n!\<E0!joBJUk5PFVjo\>C4k(2ZGk0\<&g!:&\\MF8tCbEr^^~\>\n!\<E0!joBJUk5PFWk5YI4k(2ZGk0\<&g!:&\\MF8tCbEr^^~\>\n!\<E0!joBJUk5PFWk5PF4k(2ZGk0\<&g!:&\\MF8tCbEr^^~\>\n!\<E0!joBJUk5PFWk5PF4k(2ZGk0\<&g!:&\\MF8tCbEr^^~\>\n!\<E0!joBJUk5PFWjoGF4k(2ZGk02uf!:&\\MF8tCbEr^^~\>\n!\<E0!joBJUk5PFWjo\>C4k(2ZGk02uf!:&\\MF8tCbEr^^~\>\n!\<E0!joBJUk5PFWjo\>C4k(2ZGk02uf!:&\\MF8tCbEr^^~\>\n!\<E0!joBJUk5PFXjoGF4k(2ZGk0)oe!:&\\MF8tCbEr^^~\>\n!\<E0!joBJUk5PFXjo\>C4k(2ZGk0)oe!:&\\MF8tCbEr^^~\>\n!\<E0!joBJUk5PFXjo\>C4k(2ZGk0)oe!:&\\MF8tCbEr^^~\>\n!\<E0!joBJUk5PFYjoGF4k(2ZGk/uid!:&\\MF8tCbEr^^~\>\n!\<E0!joBJUk5PFYjo\>C4k(2ZGk/uid!:&\\MF8tCbEr^^~\>\n!\<E0!joBJUk5PFYjo\>C4k(2ZGk/uid!:&\\MF8tCbEr^^~\>\n!\<E0!joBJUk5PFZk5YI4k(2ZGk/uid!:&\\MF8tCbEr^^~\>\n!\<E0!joBJUk5PFZk5PF4k(2ZGk/uid!:&\\MF8tCbEr^^~\>\n!\<E0!joBJUk5PFZk5PF4k(2ZGk/uid!:&\\MF8tCbEr^^~\>\n!\<E0!joBJUk5PFZjoGF4k(2ZGk/lcc!:&\\MF8tCbEr^^~\>\n!\<E0!joBJUk5PFZjo\>C4k(2ZGk/lcc!:&\\MF8tCbEr^^~\>\n!\<E0!joBJUk5PFZjo\>C4k(2ZGk/lcc!:&\\MF8tCbEr^^~\>\n!\<E0!joBJUk5PF[joGF4k(2ZGk/c]b!:&\\MF8tCbEr^^~\>\n!\<E0!joBJUk5PF[jo\>C4k(2ZGk/c]b!:&\\MF8tCbEr^^~\>\n!\<E0!joBJUk5PF[jo\>C4k(2ZGk/c]b!:&\\MF8tCbEr^^~\>\n!\<E0!joBJUk5PF\\k5YI4k(2ZGk/c]b!:&\\MF8tCbEr^^~\>\n!\<E0!joBJUk5PF\\k5PF4k(2ZGk/c]b!:&\\MF8tCbEr^^~\>\n!\<E0!joBJUk5PF\\k5PF4k(2ZGk/c]b!:&\\MF8tCbEr^^~\>\n!\<E0!joBJUk5PF\\joGF4k(2ZGk/ZWa!:&\\MF8tCbEr^^~\>\n!\<E0!joBJUk5PF\\jo\>C4k(2ZGk/ZWa!:&\\MF8tCbEr^^~\>\n!\<E0!joBJUk5PF\\jo\>C4k(2ZGk/ZWa!:&\\MF8tCbEr^^~\>\n!\<E0!joBJUk5PF]joGF4k(2ZGk/QQ`!:&\\MF8tCbEr^^~\>\n!\<E0!joBJUk5PF]jo\>C4k(2ZGk/QQ`!:&\\MF8tCbEr^^~\>\n!\<E0!joBJUk5PF]jo\>C4k(2ZGk/QQ`!:&\\MF8tCbEr^^~\>\n!\<E0!joBJUk5PF^k5YI4k(2ZGk/QQ`!:&\\MF8tCbEr^^~\>\n!\<E0!joBJUk5PF^k5PF4k(2ZGk/QQ`!:&\\MF8tCbEr^^~\>\n!\<E0!joBJUk5PF^k5PF4k(2ZGk/QQ`!:&\\MF8tCbEr^^~\>\n!\<E0!joBJUk5PF^joGF4k(2ZGk/HK_!:&\\MF8tCbEr^^~\>\n!\<E0!joBJUk5PF^jo\>C4k(2ZGk/HK_!:&\\MF8tCbEr^^~\>\n!\<E0!joBJUk5PF^jo\>C4k(2ZGk/HK_!:&\\MF8tCbEr^^~\>\n!\<E0!joBJUk5PF_joGF4k(2ZGk/?E^!:&\\MF8tCbEr^^~\>\n!\<E0!joBJUk5PF_jo\>C4k(2ZGk/?E^!:&\\MF8tCbEr^^~\>\n!\<E0!joBJUk5PF_jo\>C4k(2ZGk/?E^!:&\\MF8tCbEr^^~\>\n!\<E0!joBJUk5PF`joGF4k(2ZGk/6?]!:&\\MF8tCbEr^^~\>\n!\<E0!joBJUk5PF`jo\>C4k(2ZGk/6?]!:&\\MF8tCbEr^^~\>\n!\<E0!joBJUk5PF`jo\>C4k(2ZGk/6?]!:&\\MF8tCbEr^^~\>\n!\<E0!joBJUk5PF`joGF4k(2ZGk/6?]!:&\\MF8tCbEr^^~\>\n!\<E0!joBJUk5PF`jo\>C4k(2ZGk/6?]!:&\\MF8tCbEr^^~\>\n!\<E0!joBJUk5PF`jo\>C4k(2ZGk/6?]!:&\\MF8tCbEr^^~\>\n!\<E0!joBJUk5PFajoGF4k(2ZGk/-9\\!:&\\MF8tCbEr^^~\>\n!\<E0!joBJUk5PFajo\>C4k(2ZGk/-9\\!:&\\MF8tCbEr^^~\>\n!\<E0!joBJUk5PFajo\>C4k(2ZGk/-9\\!:&\\MF8tCbEr^^~\>\n!\<E0!joBJUk5PFbjoGF4k(2ZGk/$3[!:&\\MF8tCbEr^^~\>\n!\<E0!joBJUk5PFbjo\>C4k(2ZGk/$3[!:&\\MF8tCbEr^^~\>\n!\<E0!joBJUk5PFbjo\>C4k(2ZGk/$3[!:&\\MF8tCbEr^^~\>\n!\<E0!joBJUk5PFbjoGF4k(2ZGk/$3[!:&\\MF8tCbEr^^~\>\n!\<E0!joBJUk5PFbjo\>C4k(2ZGk/$3[!:&\\MF8tCbEr^^~\>\n!\<E0!joBJUk5PFbjo\>C4k(2ZGk/$3[!:&\\MF8tCbEr^^~\>\n!\<E0!joBJUk5PFcjoGF4k(2ZGk.p-Z!:&\\MF8tCbEr^^~\>\n!\<E0!joBJUk5PFcjo\>C4k(2ZGk.p-Z!:&\\MF8tCbEr^^~\>\n!\<E0!joBJUk5PFcjo\>C4k(2ZGk.p-Z!:&\\MF8tCbEr^^~\>\n!\<E0!joBJUk5PFdjoGF4k(2ZGk.g'Y!:&\\MF8tCbEr^^~\>\n!\<E0!joBJUk5PFdjo\>C4k(2ZGk.g'Y!:&\\MF8tCbEr^^~\>\n!\<E0!joBJUk5PFdjo\>C4k(2ZGk.g'Y!:&\\MF8tCbEr^^~\>\n!\<E0!joBJUk5PFdjoGF4k(2ZGk.g'Y!:&\\MF8tCbEr^^~\>\n!\<E0!joBJUk5PFdjo\>C4k(2ZGk.g'Y!:&\\MF8tCbEr^^~\>\n!\<E0!joBJUk5PFdjo\>C4k(2ZGk.g'Y!:&\\MF8tCbEr^^~\>\n!\<E0!joBJUk5PFejoGF4k(2ZGk.^!X!:&\\MF8tCbEr^^~\>\n!\<E0!joBJUk5PFejo\>C4k(2ZGk.^!X!:&\\MF8tCbEr^^~\>\n!\<E0!joBJUk5PFejo\>C4k(2ZGk.^!X!:&\\MF8tCbEr^^~\>\n!\<E0!joBJUk5PFfjoGF4k(2ZGk.TpW!:&\\MF8tCbEr^^~\>\n!\<E0!joBJUk5PFfjo\>C4k(2ZGk.TpW!:&\\MF8tCbEr^^~\>\n!\<E0!joBJUk5PFfjo\>C4k(2ZGk.TpW!:&\\MF8tCbEr^^~\>\n!\<E0!joBJ_k5GAWk5PFgjoGF4k(2ZGk.KjV!:&\\MF8tCbEr^^~\>\n!\<E0!joBJ_k5GAWk5PFgjo\>C4k(2ZGk.KjV!:&\\MF8tCbEr^^~\>\n!\<E0!joBJ_k5GAWk5PFgjo\>C4k(2ZGk.KjV!:&\\MF8tCbEr^^~\>\n!\<E0!joBJ`jo\>D\\jo\>DYk5PFhk5YI4k(2ZGk.KjV!:&\\MF8tCbEr^^~\>\n!\<E0!joBJ`jo\>D\\jo\>DYk5PFhk5PF4k(2ZGk.KjV!:&\\MF8tCbEr^^~\>\n!\<E0!joBJ`jo\>D\\jo\>DYk5PFhk5PF4k(2ZGk.KjV!:&\\MF8tCbEr^^~\>\n!\<E0!joBJ`jo\>D\\jo\>DYk5PFik5YI4k(2ZGk.BdU!:&\\MF8tCbEr^^~\>\n!\<E0!joBJ`jo\>D\\jo\>DYk5PFik5PF4k(2ZGk.BdU!:&\\MF8tCbEr^^~\>\n!\<E0!joBJ`jo\>D\\jo\>DYk5PFik5PF4k(2ZGk.BdU!:&\\MF8tCbEr^^~\>\n!\<E0!joBJ`jo\>D\\jo\>DYk5PFjk5YI4k(2ZGk.9^T!:&\\MF8tCbEr^^~\>\n!\<E0!joBJ`jo\>D\\jo\>DYk5PFjk5PF4k(2ZGk.9^T!:&\\MF8tCbEr^^~\>\n!\<E0!joBJ`jo\>D\\jo\>DYk5PFjk5PF4k(2ZGk.9^T!:&\\MF8tCbEr^^~\>\n!\<E0!joBJfk555Zk5GAWk5\>:jjoGF4k(2ZGk.KjS!:&\\MF8tCbEr^^~\>\n!\<E0!joBJfk555Zk5GAWk5\>:jjo\>C4k(2ZGk.KjS!:&\\MF8tCbEr^^~\>\n!\<E0!joBJfk555Zk5GAWk5\>:jjo\>C4k(2ZGk.KjS!:&\\MF8tCbEr^^~\>\n!\<E0!joBJ`jo\>D\\jo\>DYk5\>:kjoGF4k(2ZGk.BdR!:&\\MF8tCbEr^^~\>\n!\<E0!joBJ`jo\>D\\jo\>DYk5\>:kjo\>C4k(2ZGk.BdR!:&\\MF8tCbEr^^~\>\n!\<E0!joBJ`jo\>D\\jo\>DYk5\>:kjo\>C4k(2ZGk.BdR!:&\\MF8tCbEr^^~\>\n!\<E0!joBJ`jo\>D\\jo\>DYk5PFljoGF4k(2ZGk-sLQ!:&\\MF8tCbEr^^~\>\n!\<E0!joBJ`jo\>D\\jo\>DYk5PFljo\>C4k(2ZGk-sLQ!:&\\MF8tCbEr^^~\>\n!\<E0!joBJ`jo\>D\\jo\>DYk5PFljo\>C4k(2ZGk-sLQ!:&\\MF8tCbEr^^~\>\n!\<E0!joBJ`jo\>D\\jo\>DYk5PFmjoGF4k(2ZGk-jFP!:&\\MF8tCbEr^^~\>\n!\<E0!joBJ`jo\>D\\jo\>DYk5PFmjo\>C4k(2ZGk-jFP!:&\\MF8tCbEr^^~\>\n!\<E0!joBJ`jo\>D\\jo\>DYk5PFmjo\>C4k(2ZGk-jFP!:&\\MF8tCbEr^^~\>\n!\<E0!joBJ_k5GAWk5PFnjoGF4k(2ZGk-a@O!:&\\MF8tCbEr^^~\>\n!\<E0!joBJ_k5GAWk5PFnjo\>C4k(2ZGk-a@O!:&\\MF8tCbEr^^~\>\n!\<E0!joBJ_k5GAWk5PFnjo\>C4k(2ZGk-a@O!:&\\MF8tCbEr^^~\>\n!\<E0!joBJUk5PFok5YI4k(2ZGk-a@O!:&\\MF8tCbEr^^~\>\n!\<E0!joBJUk5PFok5PF4k(2ZGk-a@O!:&\\MF8tCbEr^^~\>\n!\<E0!joBJUk5PFok5PF4k(2ZGk-a@O!:&\\MF8tCbEr^^~\>\n!\<E0!joBJUk5PFpk5YI4k(2ZGk-X:N!:&\\MF8tCbEr^^~\>\n!\<E0!joBJUk5PFpk5PF4k(2ZGk-X:N!:&\\MF8tCbEr^^~\>\n!\<E0!joBJUk5PFpk5PF4k(2ZGk-X:N!:&\\MF8tCbEr^^~\>\n!\<E0!joBJUk5PFqk5YI4k(2ZGk-O4M!:&\\MF8tCbEr^^~\>\n!\<E0!joBJUk5PFqk5PF4k(2ZGk-O4M!:&\\MF8tCbEr^^~\>\n!\<E0!joBJUk5PFqk5PF4k(2ZGk-O4M!:&\\MF8tCbEr^^~\>\n!\<E0!joBJUk5PFqjoGF4k(2ZGk-F.L!:&\\MF8tCbEr^^~\>\n!\<E0!joBJUk5PFqjo\>C4k(2ZGk-F.L!:&\\MF8tCbEr^^~\>\n!\<E0!joBJUk5PFqjo\>C4k(2ZGk-F.L!:&\\MF8tCbEr^^~\>\n!\<E0!joBJUk5PFrjoGF4k(2ZGk-=(K!:&\\MF8tCbEr^^~\>\n!\<E0!joBJUk5PFrjo\>C4k(2ZGk-=(K!:&\\MF8tCbEr^^~\>\n!\<E0!joBJUk5PFrjo\>C4k(2ZGk-=(K!:&\\MF8tCbEr^^~\>\n!\<E0!joBJUk5PFsjoGF4k(2ZGk-4"J!:&\\MF8tCbEr^^~\>\n!\<E0!joBJUk5PFsjo\>C4k(2ZGk-4"J!:&\\MF8tCbEr^^~\>\n!\<E0!joBJUk5PFsjo\>C4k(2ZGk-4"J!:&\\MF8tCbEr^^~\>\n!\<E0!joBJUk5PFtjoGF4k(2ZGk-*qI!:&\\MF8tCbEr^^~\>\n!\<E0!joBJUk5PFtjo\>C4k(2ZGk-*qI!:&\\MF8tCbEr^^~\>\n!\<E0!joBJUk5PFtjo\>C4k(2ZGk-*qI!:&\\MF8tCbEr^^~\>\n!\<E0!joBJUk5PFujoGF4k(2ZGk-!kH!:&\\MF8tCbEr^^~\>\n!\<E0!joBJUk5PFujo\>C4k(2ZGk-!kH!:&\\MF8tCbEr^^~\>\n!\<E0!joBJUk5PFujo\>C4k(2ZGk-!kH!:&\\MF8tCbEr^^~\>\n!\<E0!joBJUk5PG!joGF4k(2ZGk,meG!:&\\MF8tCbEr^^~\>\n!\<E0!joBJUk5PG!jo\>C4k(2ZGk,meG!:&\\MF8tCbEr^^~\>\n!\<E0!joBJUk5PG!jo\>C4k(2ZGk,meG!:&\\MF8tCbEr^^~\>\n!\<E0!joBJUk5PG"joGF4k(2ZGk,d_F!:&\\MF8tCbEr^^~\>\n!\<E0!joBJUk5PG"jo\>C4k(2ZGk,d_F!:&\\MF8tCbEr^^~\>\n!\<E0!joBJUk5PG"jo\>C4k(2ZGk,d_F!:&\\MF8tCbEr^^~\>\n!\<E0!joBJUk5PG#joGF4k(2ZGk,[YE!:&\\MF8tCbEr^^~\>\n!\<E0!joBJUk5PG#jo\>C4k(2ZGk,[YE!:&\\MF8tCbEr^^~\>\n!\<E0!joBJUk5PG#jo\>C4k(2ZGk,[YE!:&\\MF8tCbEr^^~\>\n!\<E0!joBJUk5PG$joGF4k(2ZGk,RSD!:&\\MF8tCbEr^^~\>\n!\<E0!joBJUk5PG$jo\>C4k(2ZGk,RSD!:&\\MF8tCbEr^^~\>\n!\<E0!joBJUk5PG$jo\>C4k(2ZGk,RSD!:&\\MF8tCbEr^^~\>\n!\<E0!joBJUk5PG&k5YI4k(2ZGk,IMC!:&\\MF8tCbEr^^~\>\n!\<E0!joBJUk5PG&k5PF4k(2ZGk,IMC!:&\\MF8tCbEr^^~\>\n!\<E0!joBJUk5PG&k5PF4k(2ZGk,IMC!:&\\MF8tCbEr^^~\>\n!\<E0!joBJUk5PG'k5YI4k(2ZGk,@GB!:&\\MF8tCbEr^^~\>\n!\<E0!joBJUk5PG'k5PF4k(2ZGk,@GB!:&\\MF8tCbEr^^~\>\n!\<E0!joBJUk5PG'k5PF4k(2ZGk,@GB!:&\\MF8tCbEr^^~\>\n!\<E0!joBJUk5PG)k5YI4k(2ZGk,.;@!:&\\MF8tCbEr^^~\>\n!\<E0!joBJUk5PG)k5PF4k(2ZGk,.;@!:&\\MF8tCbEr^^~\>\n!\<E0!joBJUk5PG)k5PF4k(2ZGk,.;@!:&\\MF8tCbEr^^~\>\n!\<E0!joBJUk5PG*k5YI4k(2ZGk,%5?!:&\\MF8tCbEr^^~\>\n!\<E0!joBJUk5PG*k5PF4k(2ZGk,%5?!:&\\MF8tCbEr^^~\>\n!\<E0!joBJUk5PG*k5PF4k(2ZGk,%5?!:&\\MF8tCbEr^^~\>\n!\<E0!joBJUk5PG,k5YI4k(2ZGk+h)=!:&\\MF8tCbEr^^~\>\n!\<E0!joBJUk5PG,k5PF4k(2ZGk+h)=!:&\\MF8tCbEr^^~\>\n!\<E0!joBJUk5PG,k5PF4k(2ZGk+h)=!:&\\MF8tCbEr^^~\>\n!\<E0!joBJUk5PG.k5YI4k(2ZGk+Ur;!:&\\MF8tCbEr^^~\>\n!\<E0!joBJUk5PG.k5PF4k(2ZGk+Ur;!:&\\MF8tCbEr^^~\>\n!\<E0!joBJUk5PG.k5PF4k(2ZGk+Ur;!:&\\MF8tCbEr^^~\>\n!\<E0!joBJUk5PG0k5YI4k(2ZGk+Cf9!:&\\MF8tCbEr^^~\>\n!\<E0!joBJUk5PG0k5PF4k(2ZGk+Cf9!:&\\MF8tCbEr^^~\>\n!\<E0!joBJUk5PG0k5PF4k(2ZGk+Cf9!:&\\MF8tCbEr^^~\>\n!\<E0!joBJUk5PG3k5PC3k(2ZGk+1Z7!:&\\MF8tCbEr^^~\>\n!\<E0!joBJUk5PG3k5G@3k(2ZGk+1Z7!:&\\MF8tCbEr^^~\>\n!\<E0!joBJUk5PG3k5G@3k(2ZGk+1Z7!:&\\MF8tCbEr^^~\>\n!\<E0!joBJUk5PG5k5PC3k(2ZGk*tN5!:&\\MF8tCbEr^^~\>\n!\<E0!joBJUk5PG5k5G@3k(2ZGk*tN5!:&\\MF8tCbEr^^~\>\n!\<E0!joBJUk5PG5k5G@3k(2ZGk*tN5!:&\\MF8tCbEr^^~\>\n!\<E0!joBJUk5PG7k5PC3k(2ZGk*bB3!:&\\MF8tCbEr^^~\>\n!\<E0!joBJUk5PG7k5G@3k(2ZGk*bB3!:&\\MF8tCbEr^^~\>\n!\<E0!joBJUk5PG7k5G@3k(2ZGk*bB3!:&\\MF8tCbEr^^~\>\n!\<E0!joBJUk5PG9k5PC3k(2ZGk*P61!:&\\MF8tCbEr^^~\>\n!\<E0!joBJUk5PG9k5G@3k(2ZGk*P61!:&\\MF8tCbEr^^~\>\n!\<E0!joBJUk5PG9k5G@3k(2ZGk*P61!:&\\MF8tCbEr^^~\>\n!\<E0!joBJUk5PG=k5G=2k(2ZGk*5$.!:&\\MF8tCbEr^^~\>\n!\<E0!joBJUk5PG=k5\>:2k(2ZGk*5$.!:&\\MF8tCbEr^^~\>\n!\<E0!joBJUk5PG=k5\>:2k(2ZGk*5$.!:&\\MF8tCbEr^^~\>\n!\<E0!joBJUk5PGIk4Sb*k(2ZGk)ea*!:&\\MF8tCbEr^^~\>\n!\<E0!joBJUk5PGIk4J_*k(2ZGk)ea*!:&\\MF8tCbEr^^~\>\n!\<E0!joBJUk5PGIk4J_*k(2ZGk)ea*!:&\\MF8tCbEr^^~\>\n!\<E0!joBJUjo\>DGs+0\<`k(2ZKk5PGHjooi+k2p^bJ,~\>\n!\<E0!joBJUk3)erk(2ZGk(Vst!:&\\MF8tCbEr^^~\>\n!\<E0!joBJUk3)erk(2ZGk(Vst!:&\\MF8tCbEr^^~\>\n!\<E0!joBJUk5PF4k(2ZGk(2[_k5PGHjooi+k2p^bJ,~\>\n!\<E0!joBJUk5PF4k(2ZGk(2[_k5PGHjooi+k2p^bJ,~\>\n!\<E0!joBJUk5PF4k(2ZGk(2[_k5PGHjooi+k2p^bJ,~\>\n!\<E0!joBJUk5PF4k(2ZGk(2[_k5PGHjooi+k2p^bJ,~\>\n!\<E0!joBJUk5PF4k(2ZGk(2[_k5PGHjooi+k2p^bJ,~\>\n!\<E0!joBJUk5PF4k(2ZGk(2[_k5PGHjooi+k2p^bJ,~\>\n!\<E0!joBJUk5PF4k(2ZGk(2[_k5PGHjooi+k2p^bJ,~\>\n!\<E0!joBJUk5PF4k(2ZGk(2[_k5PGHjooi+k2p^bJ,~\>\n!\<E0!joBJUk5PF4k(2ZGk(2[_k5PGHjooi+k2p^bJ,~\>\n!\<E0!joBJUk5PF4k(2ZGk(2[_k5PGHjooi+k2p^bJ,~\>\n!\<E0!joBJUk5PF4k(2ZGk(2[_k5PGHjooi+k2p^bJ,~\>\n!\<E0!joBJUk5PF4k(2ZGk(2[_k5PGHjooi+k2p^bJ,~\>\n!\<E0!joBJUk5PF4k(2ZGk(2[_k5PGHjooi+k2p^bJ,~\>\n!\<E0!joBJUk5PF4k(2ZGk(2[_k5PGHjooi+k2p^bJ,~\>\n!\<E0!joBJUk5PF4k(2ZGk(2[_k5PGHjooi+k2p^bJ,~\>\n!\<E0!joBJdjo\>DZjo\>DWk5PF4k(2ZGk(2[_k5PGHjooi+k2p^bJ,~\>\n!\<E0!joBJdjo\>DZjo\>DWk5PF4k(2ZGk(2[_k5PGHjooi+k2p^bJ,~\>\n!\<E0!joBJdjo\>DZjo\>DWk5PF4k(2ZGk(2[_k5PGHjooi+k2p^bJ,~\>\n!\<E0!joBJek5PG[joPPF!;bjX!.j;3k5PF4k5ONC!.j;2k5PF4k5ONC!:&\\MF8tCbEr^^~\>\n!\<E0!joBJek5PG[joPPF!;bjX!.j;3k5PF4k5ONC!.j;2k5PF4k5ONC!:&\\MF8tCbEr^^~\>\n!\<E0!joBJek5PG[joPPF!;bjX!.j;3k5PF4k5ONC!.j;2k5PF4k5ONC!:&\\MF8tCbEr^^~\>\n!\<E0!joBJfjoPPF!\<2*\\!\<2*\\!;kpY!.j;3k5PF4k5ONC!.j;2k5PF4k5ONC!:&\\MF8tCbEr^^~\>\n!\<E0!joBJfjoPPF!\<2*\\!\<2*\\!;kpY!.j;3k5PF4k5ONC!.j;2k5PF4k5ONC!:&\\MF8tCbEr^^~\>\n!\<E0!joBJfjoPPF!\<2*\\!\<2*\\!;kpY!.j;3k5PF4k5ONC!.j;2k5PF4k5ONC!:&\\MF8tCbEr^^~\>\n!\<E0!joBJdjo\>D\\jo\>D\\jo\>DYk5PF4k5ONC!.j;3k5PF4k5FHB!.j;3k5PGHjooi+k2p^bJ,~\>\n!\<E0!joBJdjo\>D\\jo\>D\\jo\>DYk5PF4k5ONC!.j;3k5PF4k5FHB!.j;3k5PGHjooi+k2p^bJ,~\>\n!\<E0!joBJdjo\>D\\jo\>D\\jo\>DYk5PF4k5ONC!.j;3k5PF4k5FHB!.j;3k5PGHjooi+k2p^bJ,~\>\n!\<E0!joBJlk555Yjo\>D\\jo\>D\\jo\>DYk(*M`!.b-$!9sRLjooi+k2p^bJ,~\>\n!\<E0!joBJlk555Yjo\>D\\jo\>D\\jo\>DYk(*M`!.b-$!9sRLjooi+k2p^bJ,~\>\n!\<E0!joBJlk555Yjo\>D\\jo\>D\\jo\>DYk(*M`!.b-$!9sRLjooi+k2p^bJ,~\>\n!\<E0!joBJdjo\>D\\jo\>D\\jo\>DXk(*M`!.b-$!:0^Mjooi+k2p^bJ,~\>\n!\<E0!joBJdjo\>D\\jo\>D\\jo\>DXk(*M`!.b-$!:0^Mjooi+k2p^bJ,~\>\n!\<E0!joBJdjo\>D\\jo\>D\\jo\>DXk(*M`!.b-$!:0^Mjooi+k2p^bJ,~\>\n!\<E0!joBJdjo\>D\\jo\>D\\jo\>C4k(2ZGk(2[\>jooi+k2p^bJ,~\>\n!\<E0!joBJdjo\>D\\jo\>D\\jo\>C4k(2ZGk(2[\>jooi+k2p^bJ,~\>\n!\<E0!joBJdjo\>D\\jo\>D\\jo\>C4k(2ZGk(2[\>jooi+k2p^bJ,~\>\n!\<E0!joBJdjo\>D[joPPF!.j9`k(2ZGk02rkF8tCbEr^^~\>\n!\<E0!joBJdjo\>D[joPPF!.j9`k(2ZGk02rkF8tCbEr^^~\>\n!\<E0!joBJdjo\>D[joPPF!.j9`k(2ZGk02rkF8tCbEr^^~\>\n!\<E0!joBJfk555Yjo\>C4k(2ZGk(2[\<jooi+k2p^bJ,~\>\n!\<E0!joBJfk555Yjo\>C4k(2ZGk(2[\<jooi+k2p^bJ,~\>\n!\<E0!joBJfk555Yjo\>C4k(2ZGk(2[\<jooi+k2p^bJ,~\>\n!\<E0!joBIRk(2ZGk(2Zqjooi+k2p^bJ,~\>\n!\<E0!joBIRk(2ZGk(2Zqjooi+k2p^bJ,~\>\n!\<E0!joBIRk(2ZGk(2Zqjooi+k2p^bJ,~\>\n!\<E0!joBIRk(2ZGk(2Zqjooi+k2p^bJ,~\>\n!\<E0!joBIRk(2ZGk(2Zqjooi+k2p^bJ,~\>\n!\<E0!joBIRk(2ZGk(2Zqjooi+k2p^bJ,~\>\n!\<E0!joBIRk(2ZGk(2Zqjooi+k2p^bJ,~\>\n!\<E0!joBIRk(2ZGk(2Zqjooi+k2p^bJ,~\>\n!\<E0!joBIRk(2ZGk(2Zqjooi+k2p^bJ,~\>\n!\<E0!joBIRk(2ZGk(2Zqjooi+k2p^bJ,~\>\n!\<E0!joBIRk(2ZGk(2Zqjooi+k2p^bJ,~\>\n!\<E0!joBIRk(2ZGk(2Zqjooi+k2p^bJ,~\>\n!\<E0!joBIRk(2ZGk(2Zqjooi+k2p^bJ,~\>\n!\<E0!joBIRk(2ZGk(2Zqjooi+k2p^bJ,~\>\n!\<E0!joBIRk(2ZGk(2Zqjooi+k2p^bJ,~\>\n!\<E0!joBIRk(2ZGk(2Zqjooi+k2p^bJ,~\>\n!\<E0!joBIRk(2ZGk(2Zqjooi+k2p^bJ,~\>\n!\<E0!joBIRk(2ZGk(2Zqjooi+k2p^bJ,~\>\n!\<E0!joBIRk(2ZGk(2Zqjooi+k2p^bJ,~\>\n!\<E0!joBIRk(2ZGk(2Zqjooi+k2p^bJ,~\>\n!\<E0!joBIRk(2ZGk(2Zqjooi+k2p^bJ,~\>\n!\<E0!joBIRk(2ZGk(2Zqjooi+k2p^bJ,~\>\n!\<E0!joBIRk(2ZGk(2Zqjooi+k2p^bJ,~\>\n!\<E0!joBIRk(2ZGk(2Zqjooi+k2p^bJ,~\>\n!\<E0!joBIRk(2ZGk(2Zqjooi+k2p^bJ,~\>\n!\<E0!joBIRk(2ZGk(2Zqjooi+k2p^bJ,~\>\n!\<E0!joBIRk(2ZGk(2Zqjooi+k2p^bJ,~\>\n!\<E0!joBJUjo\>DZjo\>C5k5541k5XQD!.j;3k5542jo\>DZjo\>DMjooi+k2p^bJ,~\>\n!\<E0!joBJUjo\>DZjo\>C5k5541k5XQD!.j;3k5542jo\>DZjo\>DMjooi+k2p^bJ,~\>\n!\<E0!joBJUjo\>DZjo\>C5k5541k5XQD!.j;3k5542jo\>DZjo\>DMjooi+k2p^bJ,~\>\n!\<E0!joBJVk5PG[joPPF!/'D6!.j;1joPPF!.j;4jo\>C4k5XTD!\<)$]!9O:Njooi+k2p^bJ,~\>\n!\<E0!joBJVk5PG[joPPF!/'D6!.j;1joPPF!.j;4jo\>C4k5XTD!\<)$]!9O:Njooi+k2p^bJ,~\>\n!\<E0!joBJVk5PG[joPPF!/'D6!.j;1joPPF!.j;4jo\>C4k5XTD!\<)$]!9O:Njooi+k2p^bJ,~\>\n!\<E0!joBJWjoPPF!\<2*\\!\<2*\\!/0J7!.j;2jo\>D\\jo\>C4joOTEJ`['s!9O:\\jo\>D\\jo\>DOjooi+\nk2p^bJ,~\>\n!\<E0!joBJWjoPPF!\<2*\\!\<2*\\!/0J7!.j;2jo\>D\\jo\>C4joOTEJ`['s!9O:\\jo\>D\\jo\>DOjooi+\nk2p^bJ,~\>\n!\<E0!joBJWjoPPF!\<2*\\!\<2*\\!/0J7!.j;2jo\>D\\jo\>C4joOTEJ`['s!9O:\\jo\>D\\jo\>DOjooi+\nk2p^bJ,~\>\n!\<E0!joBJUjo\>D\\jo\>D\\jo\>C7joYVG!!%T4!TjC]jo\>C4jojfHjo\>C4jo\>D\\jo\>D\\jo\>DOjooi+\nk2p^bJ,~\>\n!\<E0!joBJUjo\>D\\jo\>D\\jo\>C7joYVG!!%T4!TjC]jo\>C4jojfHjo\>C4jo\>D\\jo\>D\\jo\>DOjooi+\nk2p^bJ,~\>\n!\<E0!joBJUjo\>D\\jo\>D\\jo\>C7joYVG!!%T4!TjC]jo\>C4jojfHjo\>C4jo\>D\\jo\>D\\jo\>DOjooi+\nk2p^bJ,~\>\n!\<E0!joBJ]k555Yjo\>D\\jo\>D\\jo\>C=k552_jo\>DDjoBtp!!*#\\!!%T4"m,dbk2lYqjo\>D\\jo\>D\\\njo\>DOjooi+k2p^bJ,~\>\n!\<E0!joBJ]k555Yjo\>D\\jo\>D\\jo\>C=k552_jo\>DDjoBtp!!*#\\!!%T4"m,dbk2lYqjo\>D\\jo\>D\\\njo\>DOjooi+k2p^bJ,~\>\n!\<E0!joBJ]k555Yjo\>D\\jo\>D\\jo\>C=k552_jo\>DDjoBtp!!*#\\!!%T4"m,dbk2lYqjo\>D\\jo\>D\\\njo\>DOjooi+k2p^bJ,~\>\n!\<E0!joBJUjo\>D\\jo\>D\\jo\>C4joOTEJ`Zq4roO1\\J`cmm!!%W5!!*#\\!!*#\\!!)QO"`s_+k&UNQ~\>\n!\<E0!joBJUjo\>D\\jo\>D\\jo\>C4joOTEJ`Zq4roO1\\J`cmm!!%W5!!*#\\!!*#\\!!)QO"`s_+k&UNQ~\>\n!\<E0!joBJUjo\>D\\jo\>D\\jo\>C4joOTEJ`Zq4roO1\\J`cmm!!%W5!!*#\\!!*#\\!!)QO"`s_+k&UNQ~\>\n!\<E0!joBJUjo\>D\\jo\>D\\jo\>C4joOTEJ`Zq4roO1\\J`cmm!!%W5!!*#\\!!*#\\!!)QO"`s_+k&UNQ~\>\n!\<E0!joBJUjo\>D\\jo\>D\\jo\>C4joOTEJ`Zq4roO1\\J`cmm!!%W5!!*#\\!!*#\\!!)QO"`s_+k&UNQ~\>\n!\<E0!joBJUjo\>D\\jo\>D\\jo\>C4joOTEJ`Zq4roO1\\J`cmm!!%W5!!*#\\!!*#\\!!)QO"`s_+k&UNQ~\>\n!\<Be2PM,'u!\<)$]!9O96jo\>D\\jo\>C4joa`GjoBtps5j:]roO1\\K'!%5rT4.]joFo5"d?T_P5kT5~\>\n!\<Be2PM,'u!\<)$]!9O96jo\>D\\jo\>C4joa`GjoBtps5j:]roO1\\K'!%5rT4.]joFo5"d?T_P5kT5~\>\n!\<Be2PM,'u!\<)$]!9O96jo\>D\\jo\>C4joa`GjoBtps5j:]roO1\\K'!%5rT4.]joFo5"d?T_P5kT5~\>\n!!)uU!0c1"quH`Y!!%T4rW%N3roO1\\J`cpnrW%T5quH`Y!!)KM"d@lW]TW\>G~\>\n!!)uU!0c1"quH`Y!!%T4rW%N3roO1\\J`cpnrW%T5quH`Y!!)KM"d@lW]TW\>G~\>\n!!)uU!0c1"quH`Y!!%T4rW%N3roO1\\J`cpnrW%T5quH`Y!!)KM"d@lW]TW\>G~\>\n!\<D'W]E".Hk(2ZGk(2Zqjopt,]Y'F.J,~\>\n!\<D'W]E".Hk(2ZGk(2Zqjopt,]Y'F.J,~\>\n!\<D'W]E".Hk(2ZGk(2Zqjopt,]Y'F.J,~\>\n!\<D'W]E".Hk(2ZGk(2Zqjopt,]Y'F.J,~\>\n!\<D'W]E".Hk(2ZGk(2Zqjopt,]Y'F.J,~\>\n!\<D'W]E".Hk(2ZGk(2Zqjopt,]Y'F.J,~\>\n!\<D'W]E".Hk(2ZGk(2Zqjopt,]Y'F.J,~\>\n!\<D'W]E".Hk(2ZGk(2Zqjopt,]Y'F.J,~\>\n!\<D'W]E".Hk(2ZGk(2Zqjopt,]Y'F.J,~\>\n!\<D'W]E".Hk(2ZGk(2Zqjopt,]Y'F.J,~\>\n!\<D'W]E".Hk(2ZGk(2Zqjopt,]Y'F.J,~\>\n!\<D'W]E".Hk(2ZGk(2Zqjopt,]Y'F.J,~\>\n!\<D'W]E".Hk(2ZGk(2Zqjopt,]Y'F.J,~\>\n!\<D'W]E".Hk(2ZGk(2Zqjopt,]Y'F.J,~\>\n!\<D'W]E".Hk(2ZGk(2Zqjopt,]Y'F.J,~\>\n!\<D'W]E".Hk(2ZGk(2Zqjopt,]Y'F.J,~\>\n!\<D'W]E".Hk(2ZGk(2Zqjopt,]Y'F.J,~\>\n!\<D'W]E".Hk(2ZGk(2Zqjopt,]Y'F.J,~\>\n!\<D'W]E".Hk(2ZGk(2Zqjopt,]Y'F.J,~\>\n!\<D'W]E".Hk(2ZGk(2Zqjopt,]Y'F.J,~\>\n!\<D'W]E".Hk(2ZGk(2Zqjopt,]Y'F.J,~\>\n!\<D'W]E".Hk(2ZGk(2Zqjopt,]Y'F.J,~\>\n!\<D'W]E".Hk(2ZGk(2Zqjopt,]Y'F.J,~\>\n!\<D'W]E".Hk(2ZGk(2Zqjopt,]Y'F.J,~\>\n!\<D'W]E".Hk(2ZGk(2Zqjopt,]Y'F.J,~\>\n!\<D'W]E".Hk(2ZGk(2Zqjopt,]Y'F.J,~\>\n!\<D'W]E".Hk(2ZGk(2Zqjopt,]Y'F.J,~\>\n!\<D'W]E".Hk(2ZGk(2Zqjopt,]Y'F.J,~\>\n!\<D'W]E".Hk(2ZGk(2Zqjopt,]Y'F.J,~\>\n!\<D'W]E".Hk(2ZGk(2Zqjopt,]Y'F.J,~\>\n!\<D'W]E".Hk(2ZGk(2Zqjopt,]Y'F.J,~\>\n!\<D'W]E".Hk(2ZGk(2Zqjopt,]Y'F.J,~\>\n!\<D'W]E".Hk(2ZGk(2Zqjopt,]Y'F.J,~\>\n!\<D'W]E".Hk(2ZGk(2Zqjopt,]Y'F.J,~\>\n!\<D'W]E".Hk(2ZGk(2Zqjopt,]Y'F.J,~\>\n!\<D'W]E".Hk(2ZGk(2Zqjopt,]Y'F.J,~\>\n!\<D'W]E".Hk(2ZGk(2Zqjopt,]Y'F.J,~\>\n!\<D'W]E".Hk(2ZGk(2Zqjopt,]Y'F.J,~\>\n!\<D'W]E".Hk(2ZGk(2Zqjopt,]Y'F.J,~\>\n!\<D'W]E".Hk(2ZGk(2Zqjopt,]Y'F.J,~\>\n!\<D'W]E".Hk(2ZGk(2Zqjopt,]Y'F.J,~\>\n!\<D'W]E".Hk(2ZGk(2Zqjopt,]Y'F.J,~\>\n!\<D'V]^_2:F+JC`F+JDUEr`lDP5sP?]E+2rJ,~\>\n!\<D'V]^_2:F+JC`F+JDUEr`lDP5sP?]E+2rJ,~\>\n!\<D'V]^_2:F+JC`F+JDUEr`lDP5sP?]E+2rJ,~\>\n!ri8YrOha[!5*m_JcC\<$JcEpnn_jDZ!g\<TaJ,~\>\n!ri8YrOha[!5*m_JcC\<$JcEpnn_jDZ!g\<TaJ,~\>\n!ri8YrOha[!5*m_JcC\<$JcEpnn_jDZ!g\<TaJ,~\>\n!ri8Yn%8XaJ`_OGJ`_OGbN8f_n%8^c!!%N~\>\n!ri8Yn%8XaJ`_OGJ`_OGbN8f_n%8^c!!%N~\>\n!ri8Yn%8XaJ`_OGJ`_OGbN8f_n%8^c!!%N~\>\ns8N-#PEYOL!0_urJ`_OGJ`b/\<!9!C[s-!Kak0/\>~\>\ns8N-#PEYOL!0_urJ`_OGJ`b/\<!9!C[s-!Kak0/\>~\>\ns8N-#PEYOL!0_urJ`_OGJ`b/\<!9!C[s-!Kak0/\>~\>\nrr;uun\<8EEJTHB`JTK"U!5.icrr\<+As8RT~\>\nrr;uun\<8EEJTHB`JTK"U!5.icrr\<+As8RT~\>\nrr;uun\<8EEJTHB`JTK"U!5.icrr\<+As8RT~\>\nr;V\<JJH16$JH2VKrVqB~\>\nr;V\<JJH16$JH2VKrVqB~\>\nr;V\<JJH16$JH2VKrVqB~\>\n%%EndData\nshowpage\n%%Trailer\nend\n%%EOF\n>|eps>|*.6|*.6||||>|Il
  grafico di <with|mode|math|x+sin x> prodotto da <name|Yacas>.>

  <apply|tmdoc-copyright|2003|Chu-Ching Huang, Lucia Gecchelin>

  <expand|tmdoc-license|Permission is granted to copy, distribute and/or
  modify this document under the terms of the GNU Free Documentation License,
  Version 1.1 or any later version published by the Free Software Foundation;
  with no Invariant Sections, with no Front-Cover Texts, and with no
  Back-Cover Texts. A copy of the license is included in the section entitled
  "GNU Free Documentation License".>
</body>

<\initial>
  <\collection>
    <associate|paragraph width|150mm>
    <associate|odd page margin|30mm>
    <associate|page right margin|30mm>
    <associate|page top margin|30mm>
    <associate|reduction page right margin|25mm>
    <associate|page type|a4>
    <associate|reduction page bottom margin|15mm>
    <associate|even page margin|30mm>
    <associate|reduction page left margin|25mm>
    <associate|page bottom margin|30mm>
    <associate|reduction page top margin|15mm>
    <associate|language|italian>
  </collection>
</initial>

<\references>
  <\collection>
    <associate|toc-10|<tuple|8.2|?>>
    <associate|toc-11|<tuple|8.3|?>>
    <associate|gly-1|<tuple|1|?>>
    <associate|idx-1|<tuple|<uninit>|?>>
    <associate|idx-2|<tuple|<uninit>|?>>
    <associate|gly-2|<tuple|2|?>>
    <associate|toc-12|<tuple|8.4|?>>
    <associate|gly-3|<tuple|3|?>>
    <associate|toc-13|<tuple|8.5|?>>
    <associate|idx-3|<tuple|3|?>>
    <associate|gly-4|<tuple|4|?>>
    <associate|toc-14|<tuple|8.6|?>>
    <associate|idx-4|<tuple|7|?>>
    <associate|gly-5|<tuple|5|?>>
    <associate|toc-15|<tuple|8.7|?>>
    <associate|idx-5|<tuple|8|?>>
    <associate|gly-6|<tuple|6|?>>
    <associate|toc-16|<tuple|8.8|?>>
    <associate|gly-7|<tuple|7|?>>
    <associate|gly-8|<tuple|8|?>>
    <associate|gly-9|<tuple|9|?>>
    <associate|toc-1|<tuple|1|?>>
    <associate|toc-2|<tuple|2|?>>
    <associate|toc-3|<tuple|3|?>>
    <associate|toc-4|<tuple|4|?>>
    <associate|toc-5|<tuple|5|?>>
    <associate|toc-6|<tuple|6|?>>
    <associate|toc-7|<tuple|7|?>>
    <associate|toc-8|<tuple|8|?>>
    <associate|toc-9|<tuple|8.1|?>>
  </collection>
</references>

<\auxiliary>
  <\collection>
    <\associate|figure>
      <tuple|normal|The graph of <with|mode|<quote|math>|x+sin x> as produced
      by <with|font shape|<quote|small-caps>|Yacas>.|<pageref|gly-1>>
    </associate>
    <\associate|idx>
      <tuple|<tuple|<with|font family|<quote|ss>|Inserisci>|<with|font
      family|<quote|ss>|Sessione>|<with|font
      family|<quote|ss>|Yacas>>|<pageref|idx-1>>

      <tuple|<tuple|<with|font family|<quote|ss>|Inserisci>|<with|font
      family|<quote|ss>|Immagine>>|<pageref|idx-2>>
    </associate>
  </collection>
</auxiliary>
